<?php

namespace UBV\AutenticacionBundle\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Component\Validator\Constraints\Length;
use Symfony\Component\Form\Extension\Core\Type\TextType;

class RegistroAspiranteType extends AbstractType
{
    /**
	 * 
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
          $builder
            ->add('tipoDocumentoIdentificacion', EntityType::class, array(
                'constraints' => new NotBlank(array('groups' => array('Default'))),
                'class' => 'UBVSurUbvBundle:DocumentoIdentidadTipo',
                'label'=>" ",
                'empty_data'      => "0",
                'placeholder'=>"",
                'attr'       => array('class' => 'form-control form-control-choice','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('programaNivel', EntityType::class, array(
                'class' => 'UBVSurUbvBundle:ProgramaNivel',
                'label'      =>"Tipo de Programa que Aspira Ingresar",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control form-control-choice','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
            
            ->add('identificacion', null, array(
                'constraints' => new NotBlank(array('groups' => array('Default'))),
                'label'=>'Numero de Identificación',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('primerNombre', TextType::class, array(
                'constraints' => new NotBlank(array('groups' => array('Default'))),
                'label'=>'Primer Nombre',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('segundoNombre', null, array(
                'label'=>'Segundo Nombre',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('primerApellido', null, array(
                'constraints' => new NotBlank(array('groups' => array('Default'))),
                'label'=>'Primer Apellido',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('segundoApellido', null, array(
                'label'=>'Segundo Apellido',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
            
            ->add('correoPersonal',"Symfony\Component\Form\Extension\Core\Type\EmailType", array(
                'constraints' => new NotBlank(array('groups' => array('Default'))),
                'label'=>'Correo Electronico Personal',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
            
        ;
    }
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'constrints' => true,
            'validation_groups' => 'Default',
        ));
    }
    
    public function getBlockPrefix()
    {
        return 'registro_aspirante';
    }
}