<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\ActividadEstatus;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Actividadestatus controller.
 *
 * @Route("actividadestatus")
 */
class ActividadEstatusController extends Controller
{
    /**
     * Lists all actividadEstatus entities.
     *
     * @Route("/", name="actividadestatus_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $actividadEstatuses = $em->getRepository('UBVSurUbvBundle:ActividadEstatus')->findAll();

        return $this->render('actividadestatus/index.html.twig', array(
            'actividadEstatuses' => $actividadEstatuses,
        ));
    }

    /**
     * Creates a new actividadEstatus entity.
     *
     * @Route("/new", name="actividadestatus_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $actividadEstatus = new Actividadestatus();
        $form = $this->createForm('UBV\SurUbvBundle\Form\ActividadEstatusType', $actividadEstatus);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($actividadEstatus);
            $em->flush();

            return $this->redirectToRoute('actividadestatus_show', array('id' => $actividadEstatus->getId()));
        }

        return $this->render('actividadestatus/new.html.twig', array(
            'actividadEstatus' => $actividadEstatus,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a actividadEstatus entity.
     *
     * @Route("/{id}", name="actividadestatus_show")
     * @Method("GET")
     */
    public function showAction(ActividadEstatus $actividadEstatus)
    {
        $deleteForm = $this->createDeleteForm($actividadEstatus);

        return $this->render('actividadestatus/show.html.twig', array(
            'actividadEstatus' => $actividadEstatus,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing actividadEstatus entity.
     *
     * @Route("/{id}/edit", name="actividadestatus_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, ActividadEstatus $actividadEstatus)
    {
        $deleteForm = $this->createDeleteForm($actividadEstatus);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\ActividadEstatusType', $actividadEstatus);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('actividadestatus_edit', array('id' => $actividadEstatus->getId()));
        }

        return $this->render('actividadestatus/edit.html.twig', array(
            'actividadEstatus' => $actividadEstatus,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a actividadEstatus entity.
     *
     * @Route("/{id}", name="actividadestatus_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, ActividadEstatus $actividadEstatus)
    {
        $form = $this->createDeleteForm($actividadEstatus);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($actividadEstatus);
            $em->flush();
        }

        return $this->redirectToRoute('actividadestatus_index');
    }

    /**
     * Creates a form to delete a actividadEstatus entity.
     *
     * @param ActividadEstatus $actividadEstatus The actividadEstatus entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(ActividadEstatus $actividadEstatus)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('actividadestatus_delete', array('id' => $actividadEstatus->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
