<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\ActividadEtapa;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Actividadetapa controller.
 *
 * @Route("actividadetapa")
 */
class ActividadEtapaController extends Controller
{
    /**
     * Lists all actividadEtapa entities.
     *
     * @Route("/", name="actividadetapa_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $actividadEtapas = $em->getRepository('UBVSurUbvBundle:ActividadEtapa')->findAll();

        return $this->render('actividadetapa/index.html.twig', array(
            'actividadEtapas' => $actividadEtapas,
        ));
    }

    /**
     * Creates a new actividadEtapa entity.
     *
     * @Route("/new", name="actividadetapa_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $actividadEtapa = new Actividadetapa();
        $form = $this->createForm('UBV\SurUbvBundle\Form\ActividadEtapaType', $actividadEtapa);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($actividadEtapa);
            $em->flush();

            return $this->redirectToRoute('actividadetapa_show', array('id' => $actividadEtapa->getId()));
        }

        return $this->render('actividadetapa/new.html.twig', array(
            'actividadEtapa' => $actividadEtapa,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a actividadEtapa entity.
     *
     * @Route("/{id}", name="actividadetapa_show")
     * @Method("GET")
     */
    public function showAction(ActividadEtapa $actividadEtapa)
    {
        $deleteForm = $this->createDeleteForm($actividadEtapa);

        return $this->render('actividadetapa/show.html.twig', array(
            'actividadEtapa' => $actividadEtapa,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing actividadEtapa entity.
     *
     * @Route("/{id}/edit", name="actividadetapa_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, ActividadEtapa $actividadEtapa)
    {
        $deleteForm = $this->createDeleteForm($actividadEtapa);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\ActividadEtapaType', $actividadEtapa);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('actividadetapa_edit', array('id' => $actividadEtapa->getId()));
        }

        return $this->render('actividadetapa/edit.html.twig', array(
            'actividadEtapa' => $actividadEtapa,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a actividadEtapa entity.
     *
     * @Route("/{id}", name="actividadetapa_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, ActividadEtapa $actividadEtapa)
    {
        $form = $this->createDeleteForm($actividadEtapa);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($actividadEtapa);
            $em->flush();
        }

        return $this->redirectToRoute('actividadetapa_index');
    }

    /**
     * Creates a form to delete a actividadEtapa entity.
     *
     * @param ActividadEtapa $actividadEtapa The actividadEtapa entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(ActividadEtapa $actividadEtapa)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('actividadetapa_delete', array('id' => $actividadEtapa->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
