<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AldeaMallaCurricula;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Aldeamallacurricula controller.
 *
 * @Route("aldeamallacurricula")
 */
class AldeaMallaCurriculaController extends Controller
{
    /**
     * Lists all aldeaMallaCurricula entities.
     *
     * @Route("/", name="aldeamallacurricula_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $aldeaMallaCurriculas = $em->getRepository('UBVSurUbvBundle:AldeaMallaCurricula')->findAll();

        return $this->render('aldeamallacurricula/index.html.twig', array(
            'aldeaMallaCurriculas' => $aldeaMallaCurriculas,
        ));
    }

    /**
     * Creates a new aldeaMallaCurricula entity.
     *
     * @Route("/new", name="aldeamallacurricula_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $aldeaMallaCurricula = new Aldeamallacurricula();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AldeaMallaCurriculaType', $aldeaMallaCurricula);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($aldeaMallaCurricula);
            $em->flush();

            return $this->redirectToRoute('aldeamallacurricula_show', array('id' => $aldeaMallaCurricula->getId()));
        }

        return $this->render('aldeamallacurricula/new.html.twig', array(
            'aldeaMallaCurricula' => $aldeaMallaCurricula,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a aldeaMallaCurricula entity.
     *
     * @Route("/{id}", name="aldeamallacurricula_show")
     * @Method("GET")
     */
    public function showAction(AldeaMallaCurricula $aldeaMallaCurricula)
    {
        $deleteForm = $this->createDeleteForm($aldeaMallaCurricula);

        return $this->render('aldeamallacurricula/show.html.twig', array(
            'aldeaMallaCurricula' => $aldeaMallaCurricula,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing aldeaMallaCurricula entity.
     *
     * @Route("/{id}/edit", name="aldeamallacurricula_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AldeaMallaCurricula $aldeaMallaCurricula)
    {
        $deleteForm = $this->createDeleteForm($aldeaMallaCurricula);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AldeaMallaCurriculaType', $aldeaMallaCurricula);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('aldeamallacurricula_edit', array('id' => $aldeaMallaCurricula->getId()));
        }

        return $this->render('aldeamallacurricula/edit.html.twig', array(
            'aldeaMallaCurricula' => $aldeaMallaCurricula,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a aldeaMallaCurricula entity.
     *
     * @Route("/{id}", name="aldeamallacurricula_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AldeaMallaCurricula $aldeaMallaCurricula)
    {
        $form = $this->createDeleteForm($aldeaMallaCurricula);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($aldeaMallaCurricula);
            $em->flush();
        }

        return $this->redirectToRoute('aldeamallacurricula_index');
    }

    /**
     * Creates a form to delete a aldeaMallaCurricula entity.
     *
     * @param AldeaMallaCurricula $aldeaMallaCurricula The aldeaMallaCurricula entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AldeaMallaCurricula $aldeaMallaCurricula)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('aldeamallacurricula_delete', array('id' => $aldeaMallaCurricula->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
