<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AldeaPrograma;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Aldeaprograma controller.
 *
 * @Route("aldeaprograma")
 */
class AldeaProgramaController extends Controller
{
    /**
     * Lists all aldeaPrograma entities.
     *
     * @Route("/", name="aldeaprograma_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $aldeaProgramas = $em->getRepository('UBVSurUbvBundle:AldeaPrograma')->findAll();

        return $this->render('aldeaprograma/index.html.twig', array(
            'aldeaProgramas' => $aldeaProgramas,
        ));
    }

    /**
     * Creates a new aldeaPrograma entity.
     *
     * @Route("/new", name="aldeaprograma_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $aldeaPrograma = new Aldeaprograma();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AldeaProgramaType', $aldeaPrograma);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($aldeaPrograma);
            $em->flush();

            return $this->redirectToRoute('aldeaprograma_show', array('id' => $aldeaPrograma->getId()));
        }

        return $this->render('aldeaprograma/new.html.twig', array(
            'aldeaPrograma' => $aldeaPrograma,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a aldeaPrograma entity.
     *
     * @Route("/{id}", name="aldeaprograma_show")
     * @Method("GET")
     */
    public function showAction(AldeaPrograma $aldeaPrograma)
    {
        $deleteForm = $this->createDeleteForm($aldeaPrograma);

        return $this->render('aldeaprograma/show.html.twig', array(
            'aldeaPrograma' => $aldeaPrograma,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing aldeaPrograma entity.
     *
     * @Route("/{id}/edit", name="aldeaprograma_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AldeaPrograma $aldeaPrograma)
    {
        $deleteForm = $this->createDeleteForm($aldeaPrograma);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AldeaProgramaType', $aldeaPrograma);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('aldeaprograma_edit', array('id' => $aldeaPrograma->getId()));
        }

        return $this->render('aldeaprograma/edit.html.twig', array(
            'aldeaPrograma' => $aldeaPrograma,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a aldeaPrograma entity.
     *
     * @Route("/{id}", name="aldeaprograma_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AldeaPrograma $aldeaPrograma)
    {
        $form = $this->createDeleteForm($aldeaPrograma);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($aldeaPrograma);
            $em->flush();
        }

        return $this->redirectToRoute('aldeaprograma_index');
    }

    /**
     * Creates a form to delete a aldeaPrograma entity.
     *
     * @param AldeaPrograma $aldeaPrograma The aldeaPrograma entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AldeaPrograma $aldeaPrograma)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('aldeaprograma_delete', array('id' => $aldeaPrograma->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
