<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AldeaTelefono;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Aldeatelefono controller.
 *
 * @Route("aldeatelefono")
 */
class AldeaTelefonoController extends Controller
{
    /**
     * Lists all aldeaTelefono entities.
     *
     * @Route("/", name="aldeatelefono_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $aldeaTelefonos = $em->getRepository('UBVSurUbvBundle:AldeaTelefono')->findAll();

        return $this->render('aldeatelefono/index.html.twig', array(
            'aldeaTelefonos' => $aldeaTelefonos,
        ));
    }

    /**
     * Creates a new aldeaTelefono entity.
     *
     * @Route("/new", name="aldeatelefono_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $aldeaTelefono = new Aldeatelefono();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AldeaTelefonoType', $aldeaTelefono);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($aldeaTelefono);
            $em->flush();

            return $this->redirectToRoute('aldeatelefono_show', array('id' => $aldeaTelefono->getId()));
        }

        return $this->render('aldeatelefono/new.html.twig', array(
            'aldeaTelefono' => $aldeaTelefono,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a aldeaTelefono entity.
     *
     * @Route("/{id}", name="aldeatelefono_show")
     * @Method("GET")
     */
    public function showAction(AldeaTelefono $aldeaTelefono)
    {
        $deleteForm = $this->createDeleteForm($aldeaTelefono);

        return $this->render('aldeatelefono/show.html.twig', array(
            'aldeaTelefono' => $aldeaTelefono,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing aldeaTelefono entity.
     *
     * @Route("/{id}/edit", name="aldeatelefono_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AldeaTelefono $aldeaTelefono)
    {
        $deleteForm = $this->createDeleteForm($aldeaTelefono);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AldeaTelefonoType', $aldeaTelefono);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('aldeatelefono_edit', array('id' => $aldeaTelefono->getId()));
        }

        return $this->render('aldeatelefono/edit.html.twig', array(
            'aldeaTelefono' => $aldeaTelefono,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a aldeaTelefono entity.
     *
     * @Route("/{id}", name="aldeatelefono_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AldeaTelefono $aldeaTelefono)
    {
        $form = $this->createDeleteForm($aldeaTelefono);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($aldeaTelefono);
            $em->flush();
        }

        return $this->redirectToRoute('aldeatelefono_index');
    }

    /**
     * Creates a form to delete a aldeaTelefono entity.
     *
     * @param AldeaTelefono $aldeaTelefono The aldeaTelefono entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AldeaTelefono $aldeaTelefono)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('aldeatelefono_delete', array('id' => $aldeaTelefono->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
