<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\AldeaTipo;
use UBV\SurUbvBundle\Form\AldeaTipoType;

/**
 * AldeaTipo controller.
 *
 * @Route("/aldeatipo")
 */
class AldeaTipoController extends Controller
{
    /**
     * Lists all AldeaTipo entities.
     *
     * @Route("/", name="aldeatipo_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $aldeaTipos = $em->getRepository('UBVSurUbvBundle:AldeaTipo')->findAll();

        return $this->render('aldeatipo/index.html.twig', array(
            'aldeaTipos' => $aldeaTipos,
        ));
    }

    /**
     * Creates a new AldeaTipo entity.
     *
     * @Route("/new", name="aldeatipo_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $aldeaTipo = new AldeaTipo();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AldeaTipoType', $aldeaTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($aldeaTipo);
            $em->flush();
            
             $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Tipo de  Aldea creado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('aldeatipo_index', array('id' => $aldeaTipo->getId()));
        }

        return $this->render('aldeatipo/new.html.twig', array(
            'aldeaTipo' => $aldeaTipo,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a AldeaTipo entity.
     *
     * @Route("/{id}", name="aldeatipo_show")
     * @Method("GET")
     */
    public function showAction(AldeaTipo $aldeaTipo)
    {
       

        return $this->render('aldeatipo/show.html.twig', array(
            'aldeaTipo' => $aldeaTipo,
            
        ));
    }

    /**
     * Displays a form to edit an existing AldeaTipo entity.
     *
     * @Route("/{id}/edit", name="aldeatipo_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AldeaTipo $aldeaTipo)
    {
        
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AldeaTipoType', $aldeaTipo);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($aldeaTipo);
            $em->flush();
            
             $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Editado!',
          'message' => 'Tipo de  Aldea Editado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('aldeatipo_index', array('id' => $aldeaTipo->getId()));
        }

        return $this->render('aldeatipo/edit.html.twig', array(
            'aldeaTipo' => $aldeaTipo,
            'edit_form' => $editForm->createView(),
            
        ));
    }

    /**
     * Deletes a AldeaTipo entity.
   *
   * @Route("/borrar/{id}", name="aldeatipo_delete") <--- aqui le defines la ruta que va a tomar-->
   * @Method("GET")
   */
  public function deleteAction(Request $request, $id) {
    $em = $this->getDoctrine()->getManager();
    $entity = $em->getRepository('UBVSurUbvBundle:AldeaTipo')->Find($id);
    $em->remove($entity);
    $em->flush();
    
     $this->get('session')->getFlashBag()->set(
              'danger', array(
          'title' => 'Eliminado!',
          'message' => 'Tipo de  Aldea Eliminado satisfactoriamente.'
              )
      );

    return $this->redirectToRoute('aldeatipo_index');
  }

  /**
   * Creates a form to delete a AldeaTipo entity.
   *
   * @param AldeaTipo $id The AldeaTipo entity
   *
   * @return \Symfony\Component\Form\Form The form
   */
  private function createDeleteForm($id) {
    return $this->createFormBuilder()
                    ->setAction($this->generateUrl('aldeatipo_delete', array('id' => $id)))
                    ->setMethod('DELETE')
                    ->getForm()
    ;
  }
}
