<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AmbienteDetalle;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Ambientedetalle controller.
 *
 * @Route("ambientedetalle")
 */
class AmbienteDetalleController extends Controller
{
    /**
     * Lists all ambienteDetalle entities.
     *
     * @Route("/", name="ambientedetalle_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $ambienteDetalles = $em->getRepository('UBVSurUbvBundle:AmbienteDetalle')->findAll();

        return $this->render('ambientedetalle/index.html.twig', array(
            'ambienteDetalles' => $ambienteDetalles,
        ));
    }

    /**
     * Creates a new ambienteDetalle entity.
     *
     * @Route("/new", name="ambientedetalle_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $ambienteDetalle = new Ambientedetalle();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AmbienteDetalleType', $ambienteDetalle);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($ambienteDetalle);
            $em->flush();

            return $this->redirectToRoute('ambientedetalle_show', array('id' => $ambienteDetalle->getId()));
        }

        return $this->render('ambientedetalle/new.html.twig', array(
            'ambienteDetalle' => $ambienteDetalle,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a ambienteDetalle entity.
     *
     * @Route("/{id}", name="ambientedetalle_show")
     * @Method("GET")
     */
    public function showAction(AmbienteDetalle $ambienteDetalle)
    {
        $deleteForm = $this->createDeleteForm($ambienteDetalle);

        return $this->render('ambientedetalle/show.html.twig', array(
            'ambienteDetalle' => $ambienteDetalle,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing ambienteDetalle entity.
     *
     * @Route("/{id}/edit", name="ambientedetalle_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AmbienteDetalle $ambienteDetalle)
    {
        $deleteForm = $this->createDeleteForm($ambienteDetalle);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AmbienteDetalleType', $ambienteDetalle);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('ambientedetalle_edit', array('id' => $ambienteDetalle->getId()));
        }

        return $this->render('ambientedetalle/edit.html.twig', array(
            'ambienteDetalle' => $ambienteDetalle,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a ambienteDetalle entity.
     *
     * @Route("/{id}", name="ambientedetalle_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AmbienteDetalle $ambienteDetalle)
    {
        $form = $this->createDeleteForm($ambienteDetalle);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($ambienteDetalle);
            $em->flush();
        }

        return $this->redirectToRoute('ambientedetalle_index');
    }

    /**
     * Creates a form to delete a ambienteDetalle entity.
     *
     * @param AmbienteDetalle $ambienteDetalle The ambienteDetalle entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AmbienteDetalle $ambienteDetalle)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('ambientedetalle_delete', array('id' => $ambienteDetalle->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
