<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AmbienteEspacio;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Ambienteespacio controller.
 *
 * @Route("ambienteespacio")
 */
class AmbienteEspacioController extends Controller
{
    /**
     * Lists all ambienteEspacio entities.
     *
     * @Route("/", name="ambienteespacio_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $ambienteEspacios = $em->getRepository('UBVSurUbvBundle:AmbienteEspacio')->findAll();

        return $this->render('ambienteespacio/index.html.twig', array(
            'ambienteEspacios' => $ambienteEspacios,
        ));
    }

    /**
     * Creates a new ambienteEspacio entity.
     *
     * @Route("/new", name="ambienteespacio_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $ambienteEspacio = new Ambienteespacio();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AmbienteEspacioType', $ambienteEspacio);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($ambienteEspacio);
            $em->flush();

            return $this->redirectToRoute('ambienteespacio_show', array('id' => $ambienteEspacio->getId()));
        }

        return $this->render('ambienteespacio/new.html.twig', array(
            'ambienteEspacio' => $ambienteEspacio,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a ambienteEspacio entity.
     *
     * @Route("/{id}", name="ambienteespacio_show")
     * @Method("GET")
     */
    public function showAction(AmbienteEspacio $ambienteEspacio)
    {
        $deleteForm = $this->createDeleteForm($ambienteEspacio);

        return $this->render('ambienteespacio/show.html.twig', array(
            'ambienteEspacio' => $ambienteEspacio,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing ambienteEspacio entity.
     *
     * @Route("/{id}/edit", name="ambienteespacio_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AmbienteEspacio $ambienteEspacio)
    {
        $deleteForm = $this->createDeleteForm($ambienteEspacio);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AmbienteEspacioType', $ambienteEspacio);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('ambienteespacio_edit', array('id' => $ambienteEspacio->getId()));
        }

        return $this->render('ambienteespacio/edit.html.twig', array(
            'ambienteEspacio' => $ambienteEspacio,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a ambienteEspacio entity.
     *
     * @Route("/{id}", name="ambienteespacio_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AmbienteEspacio $ambienteEspacio)
    {
        $form = $this->createDeleteForm($ambienteEspacio);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($ambienteEspacio);
            $em->flush();
        }

        return $this->redirectToRoute('ambienteespacio_index');
    }

    /**
     * Creates a form to delete a ambienteEspacio entity.
     *
     * @param AmbienteEspacio $ambienteEspacio The ambienteEspacio entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AmbienteEspacio $ambienteEspacio)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('ambienteespacio_delete', array('id' => $ambienteEspacio->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
