<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AporteInstitucion;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Aporteinstitucion controller.
 *
 * @Route("aporteinstitucion")
 */
class AporteInstitucionController extends Controller
{
    /**
     * Lists all aporteInstitucion entities.
     *
     * @Route("/", name="aporteinstitucion_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $aporteInstitucions = $em->getRepository('UBVSurUbvBundle:AporteInstitucion')->findAll();

        return $this->render('aporteinstitucion/index.html.twig', array(
            'aporteInstitucions' => $aporteInstitucions,
        ));
    }

    /**
     * Creates a new aporteInstitucion entity.
     *
     * @Route("/new", name="aporteinstitucion_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $aporteInstitucion = new Aporteinstitucion();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AporteInstitucionType', $aporteInstitucion);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($aporteInstitucion);
            $em->flush();

            return $this->redirectToRoute('aporteinstitucion_show', array('id' => $aporteInstitucion->getId()));
        }

        return $this->render('aporteinstitucion/new.html.twig', array(
            'aporteInstitucion' => $aporteInstitucion,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a aporteInstitucion entity.
     *
     * @Route("/{id}", name="aporteinstitucion_show")
     * @Method("GET")
     */
    public function showAction(AporteInstitucion $aporteInstitucion)
    {
        $deleteForm = $this->createDeleteForm($aporteInstitucion);

        return $this->render('aporteinstitucion/show.html.twig', array(
            'aporteInstitucion' => $aporteInstitucion,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing aporteInstitucion entity.
     *
     * @Route("/{id}/edit", name="aporteinstitucion_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AporteInstitucion $aporteInstitucion)
    {
        $deleteForm = $this->createDeleteForm($aporteInstitucion);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AporteInstitucionType', $aporteInstitucion);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('aporteinstitucion_edit', array('id' => $aporteInstitucion->getId()));
        }

        return $this->render('aporteinstitucion/edit.html.twig', array(
            'aporteInstitucion' => $aporteInstitucion,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a aporteInstitucion entity.
     *
     * @Route("/{id}", name="aporteinstitucion_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AporteInstitucion $aporteInstitucion)
    {
        $form = $this->createDeleteForm($aporteInstitucion);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($aporteInstitucion);
            $em->flush();
        }

        return $this->redirectToRoute('aporteinstitucion_index');
    }

    /**
     * Creates a form to delete a aporteInstitucion entity.
     *
     * @param AporteInstitucion $aporteInstitucion The aporteInstitucion entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AporteInstitucion $aporteInstitucion)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('aporteinstitucion_delete', array('id' => $aporteInstitucion->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
