<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AreaConocimiento;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Areaconocimiento controller.
 *
 * @Route("areaconocimiento")
 */
class AreaConocimientoController extends Controller
{
    /**
     * Lists all areaConocimiento entities.
     *
     * @Route("/", name="areaconocimiento_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $areaConocimientos = $em->getRepository('UBVSurUbvBundle:AreaConocimiento')->findAll();

        return $this->render('areaconocimiento/index.html.twig', array(
            'areaConocimientos' => $areaConocimientos,
        ));
    }

    /**
     * Creates a new areaConocimiento entity.
     *
     * @Route("/new", name="areaconocimiento_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $areaConocimiento = new Areaconocimiento();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AreaConocimientoType', $areaConocimiento);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($areaConocimiento);
            $em->flush();

            return $this->redirectToRoute('areaconocimiento_show', array('id' => $areaConocimiento->getId()));
        }

        return $this->render('areaconocimiento/new.html.twig', array(
            'areaConocimiento' => $areaConocimiento,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a areaConocimiento entity.
     *
     * @Route("/{id}", name="areaconocimiento_show")
     * @Method("GET")
     */
    public function showAction(AreaConocimiento $areaConocimiento)
    {
        $deleteForm = $this->createDeleteForm($areaConocimiento);

        return $this->render('areaconocimiento/show.html.twig', array(
            'areaConocimiento' => $areaConocimiento,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing areaConocimiento entity.
     *
     * @Route("/{id}/edit", name="areaconocimiento_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AreaConocimiento $areaConocimiento)
    {
        $deleteForm = $this->createDeleteForm($areaConocimiento);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AreaConocimientoType', $areaConocimiento);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('areaconocimiento_edit', array('id' => $areaConocimiento->getId()));
        }

        return $this->render('areaconocimiento/edit.html.twig', array(
            'areaConocimiento' => $areaConocimiento,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a areaConocimiento entity.
     *
     * @Route("/{id}", name="areaconocimiento_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AreaConocimiento $areaConocimiento)
    {
        $form = $this->createDeleteForm($areaConocimiento);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($areaConocimiento);
            $em->flush();
        }

        return $this->redirectToRoute('areaconocimiento_index');
    }

    /**
     * Creates a form to delete a areaConocimiento entity.
     *
     * @param AreaConocimiento $areaConocimiento The areaConocimiento entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AreaConocimiento $areaConocimiento)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('areaconocimiento_delete', array('id' => $areaConocimiento->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
