<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AreaConocimientoOpsu;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Areaconocimientoopsu controller.
 *
 * @Route("areaconocimientoopsu")
 */
class AreaConocimientoOpsuController extends Controller
{
    /**
     * Lists all areaConocimientoOpsu entities.
     *
     * @Route("/", name="areaconocimientoopsu_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $areaConocimientoOpsus = $em->getRepository('UBVSurUbvBundle:AreaConocimientoOpsu')->findAll();

        return $this->render('areaconocimientoopsu/index.html.twig', array(
            'areaConocimientoOpsus' => $areaConocimientoOpsus,
        ));
    }

    /**
     * Creates a new areaConocimientoOpsu entity.
     *
     * @Route("/new", name="areaconocimientoopsu_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $areaConocimientoOpsu = new Areaconocimientoopsu();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AreaConocimientoOpsuType', $areaConocimientoOpsu);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($areaConocimientoOpsu);
            $em->flush();

            return $this->redirectToRoute('areaconocimientoopsu_show', array('id' => $areaConocimientoOpsu->getId()));
        }

        return $this->render('areaconocimientoopsu/new.html.twig', array(
            'areaConocimientoOpsu' => $areaConocimientoOpsu,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a areaConocimientoOpsu entity.
     *
     * @Route("/{id}", name="areaconocimientoopsu_show")
     * @Method("GET")
     */
    public function showAction(AreaConocimientoOpsu $areaConocimientoOpsu)
    {
        $deleteForm = $this->createDeleteForm($areaConocimientoOpsu);

        return $this->render('areaconocimientoopsu/show.html.twig', array(
            'areaConocimientoOpsu' => $areaConocimientoOpsu,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing areaConocimientoOpsu entity.
     *
     * @Route("/{id}/edit", name="areaconocimientoopsu_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AreaConocimientoOpsu $areaConocimientoOpsu)
    {
        $deleteForm = $this->createDeleteForm($areaConocimientoOpsu);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AreaConocimientoOpsuType', $areaConocimientoOpsu);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('areaconocimientoopsu_edit', array('id' => $areaConocimientoOpsu->getId()));
        }

        return $this->render('areaconocimientoopsu/edit.html.twig', array(
            'areaConocimientoOpsu' => $areaConocimientoOpsu,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a areaConocimientoOpsu entity.
     *
     * @Route("/{id}", name="areaconocimientoopsu_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AreaConocimientoOpsu $areaConocimientoOpsu)
    {
        $form = $this->createDeleteForm($areaConocimientoOpsu);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($areaConocimientoOpsu);
            $em->flush();
        }

        return $this->redirectToRoute('areaconocimientoopsu_index');
    }

    /**
     * Creates a form to delete a areaConocimientoOpsu entity.
     *
     * @param AreaConocimientoOpsu $areaConocimientoOpsu The areaConocimientoOpsu entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AreaConocimientoOpsu $areaConocimientoOpsu)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('areaconocimientoopsu_delete', array('id' => $areaConocimientoOpsu->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
