<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AreaConocimientoUbv;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Areaconocimientoubv controller.
 *
 * @Route("areaconocimientoubv")
 */
class AreaConocimientoUbvController extends Controller
{
    /**
     * Lists all areaConocimientoUbv entities.
     *
     * @Route("/", name="areaconocimientoubv_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $areaConocimientoUbvs = $em->getRepository('UBVSurUbvBundle:AreaConocimientoUbv')->findAll();

        return $this->render('areaconocimientoubv/index.html.twig', array(
            'areaConocimientoUbvs' => $areaConocimientoUbvs,
        ));
    }

    /**
     * Creates a new areaConocimientoUbv entity.
     *
     * @Route("/new", name="areaconocimientoubv_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $areaConocimientoUbv = new Areaconocimientoubv();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AreaConocimientoUbvType', $areaConocimientoUbv);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($areaConocimientoUbv);
            $em->flush();

            return $this->redirectToRoute('areaconocimientoubv_show', array('id' => $areaConocimientoUbv->getId()));
        }

        return $this->render('areaconocimientoubv/new.html.twig', array(
            'areaConocimientoUbv' => $areaConocimientoUbv,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a areaConocimientoUbv entity.
     *
     * @Route("/{id}", name="areaconocimientoubv_show")
     * @Method("GET")
     */
    public function showAction(AreaConocimientoUbv $areaConocimientoUbv)
    {
        $deleteForm = $this->createDeleteForm($areaConocimientoUbv);

        return $this->render('areaconocimientoubv/show.html.twig', array(
            'areaConocimientoUbv' => $areaConocimientoUbv,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing areaConocimientoUbv entity.
     *
     * @Route("/{id}/edit", name="areaconocimientoubv_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AreaConocimientoUbv $areaConocimientoUbv)
    {
        $deleteForm = $this->createDeleteForm($areaConocimientoUbv);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AreaConocimientoUbvType', $areaConocimientoUbv);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('areaconocimientoubv_edit', array('id' => $areaConocimientoUbv->getId()));
        }

        return $this->render('areaconocimientoubv/edit.html.twig', array(
            'areaConocimientoUbv' => $areaConocimientoUbv,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a areaConocimientoUbv entity.
     *
     * @Route("/{id}", name="areaconocimientoubv_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AreaConocimientoUbv $areaConocimientoUbv)
    {
        $form = $this->createDeleteForm($areaConocimientoUbv);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($areaConocimientoUbv);
            $em->flush();
        }

        return $this->redirectToRoute('areaconocimientoubv_index');
    }

    /**
     * Creates a form to delete a areaConocimientoUbv entity.
     *
     * @param AreaConocimientoUbv $areaConocimientoUbv The areaConocimientoUbv entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AreaConocimientoUbv $areaConocimientoUbv)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('areaconocimientoubv_delete', array('id' => $areaConocimientoUbv->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
