<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\Aspirante;
use UBV\SurUbvBundle\Form\AspiranteType;
use UBV\SurUbvBundle\Form\EstudianteDocumentoType;
use UBV\SurUbvBundle\Form\EstudianteDocumentoEditType;
use UBV\SurUbvBundle\Entity\EstudianteDocumento;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\RedirectResponse;


/**
 * Aspirante controller.
 *
 * @Route("/aspirante")
 */
class AspiranteController extends Controller
{
    /**
     * Lists all Aspirante entities.
     *
     * @Route("/", name="aspirante_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();
        
        $aspirantes = $em->getRepository('UBVSurUbvBundle:Aspirante')->findDatosAspirantes();
        
        //$aspirantes = $em->getRepository('UBVSurUbvBundle:Aspirante')->findAll();

        return $this->render('aspirante/index.html.twig', array(
            'aspirantes' => $aspirantes,
        ));
    }
    
     /**
     * Envio de SMS
     *
     * @Route("/envio_sms", name="envio_sms")
     * @Method("POST")
     */
    public function enviarSmsAction(Request $request)
    {
      $telefono = "04242552272"; //celular de Hector
      $mensaje = "Esto es una Prueba de Envio de SMS de Sur@Ubv favor informar que recibio el mensaje";
      $mensajeCodificado = rawurlencode($mensaje);
      $url= "http://167.134.102.230:8766/";
      $token = rawurlencode("waeTushaph9ohsah#");
      $smsUrl = $url.'?number='.$telefono.'&message='.$mensajeCodificado.'&token='.$token;
      
      $response = $this->get('ubv.envio_sms')->enviarSms($smsUrl);
      
      return $this->redirectToRoute('aspirante_lista_documentos');
    }
    
    /**
     * Cargar Aspirante Documentos.
     *
     * @Route("/documentos", name="aspirante_documentos")
     * @Method({"GET", "POST"})
     */
    public function cargarDocumentosAction(Request $request)
    {
        $em = $this->getDoctrine()->getManager();
        $documento = new EstudianteDocumento();
        $persona = $this->getUser();
        $documento->setPersona($persona);
        //$documento->setRequisitoInscripcion($em->getRepository("UBVSurUbvBundle:RequisitoInscripcion")->findOneById($request->get("id")));
        $form = $this->createForm('UBV\SurUbvBundle\Form\EstudianteDocumentoType',$documento,array('action' => $this->generateUrl('aspirante_documentos')));
        
        
        $form->handleRequest($request);
        //die(dump($request));
        if ($form->isSubmitted() && $form->isValid()) {
          //die(dump($request));
            $documento->setPersona($persona);
            $em->persist($documento);
            $em->flush();

            return $this->redirectToRoute('aspirante_lista_documentos');
        }
        
        return $this->render('aspirante/cargar_documentos.html.twig',array(
            'form'=> $form->createView(),
        ));
    }
    
    
    /**
     * Cargar Aspirante Documentos.
     *
     * @Route("/carga_documento_aspirante/{aspiranteId}", name="carga_documento_aspirante")
     * @Method({"GET", "POST"})
     */
    public function pruebaAction(Request $request, $aspiranteId)
    {
      $em = $this->getDoctrine()->getManager();
        $documento = new EstudianteDocumento();
        
        //$aspirante = $em->getRepository("UBVSurUbvBundle:Aspirante")->findOneById($aspiranteId);
        $persona = $em->getRepository("UBVSurUbvBundle:Persona")->findObjetoPersonaByIdAspirante($aspiranteId);
        
        $documento->setPersona($persona);
        //$documento->setRequisitoInscripcion($em->getRepository("UBVSurUbvBundle:RequisitoInscripcion")->findOneById($request->get("id")));
        $form = $this->createForm('UBV\SurUbvBundle\Form\EstudianteDocumentoType',$documento);
        $form->handleRequest($request);
        //die(dump($request));
        if ($form->isSubmitted() && $form->isValid()) {
          //die(dump($request));
            $documento->setPersona($persona);
            $em->persist($documento);
            $em->flush();

            return $this->redirectToRoute('aspirante_lista_documentos_aspirante',array('id'=>$aspiranteId));
        }
        
        return $this->render('aspirante/cargar_documentos.html.twig',array(
            'form'=> $form->createView(),
        ));
      
      //die(dump($aspiranteId));
    }
    
    /**
     * Cargar Aspirante Documentos.
     *
     * @Route("/documentos_aspirante/{id}", name="carga_documentos_aspirante")
     * @Method({"GET", "POST"})
     */
    public function cargarDocumentosAspiranteAction(Request $request, $aspiranteId)
    {
        $em = $this->getDoctrine()->getManager();
        $documento = new EstudianteDocumento();
        $persona = $this->getUser();
        $documento->setPersona($persona);
        //$documento->setRequisitoInscripcion($em->getRepository("UBVSurUbvBundle:RequisitoInscripcion")->findOneById($request->get("id")));
        $form = $this->createForm('UBV\SurUbvBundle\Form\EstudianteDocumentoType',$documento,array('action' => $this->generateUrl('carga_documentos_aspirante',array('id'=>1))));
        
        
        $form->handleRequest($request);
        //die(dump($request));
        if ($form->isSubmitted() && $form->isValid()) {
          //die(dump($request));
            $documento->setPersona($persona);
            $em->persist($documento);
            $em->flush();

            return $this->redirectToRoute('aspirante_lista_documentos');
        }
        
        return $this->render('aspirante/cargar_documentos.html.twig',array(
            'form'=> $form->createView(),
        ));
    }
    
    /**
     * Listar Aspirante Documentos.
     *
     * @Route("/listar_documentos/", name="aspirante_lista_documentos")
     * @Method({"GET"})
     */
    public function listarDocumentosAction()
    {
        $em = $this->getDoctrine()->getManager();
        
        $persona = $this->getUser();
        $documentos = $em->getRepository("UBVSurUbvBundle:EstudianteDocumento")->findDocumentosByPersona($persona->getId());

        return $this->render('aspirante/listar_documentos.html.twig', array(
            'documentos' => $documentos,
        ));
    }
    
    /**
     * Listar Documentos Por Aspirante .
     *
     * @Route("/listar_documentos_aspirante/{id}", name="aspirante_lista_documentos_aspirante")
     * @Method({"GET"})
     */
    public function listarDocumentosAspiranteAction($id)
    {
        $em = $this->getDoctrine()->getManager();
        //die(dump($id));
        
        $documentos = $em->getRepository("UBVSurUbvBundle:EstudianteDocumento")->findDocumentosByAspiranteId($id);
        //$documentos = $em->getRepository("UBVSurUbvBundle:EstudianteDocumento")->findDocumentosByAspiranteId($id);
        //die(dump($documentos));
        
        return $this->render('aspirante/listar_documentos_aspirante.html.twig', array(
            'documentos' => $documentos,
            'nombreAspiranteCompleto'=> $documentos["Persona"]['primer_nombre'].' '.$documentos["Persona"]['segundo_nombre'].' '.$documentos["Persona"]['primer_apellido'].' '.$documentos["Persona"]['segundo_apellido']
        ));
    }
    
    /**
     * Borrar Aspirante Documentos.
     *
     * @Route("/borrar_documentos/{id}", name="aspirante_borrar_documentos")
     * @Method({"GET"})
     */
    public function borrarDocumentosAction(Request $request, $id)
    {
        $em = $this->getDoctrine()->getManager();
        
        $documento = $em->getRepository("UBVSurUbvBundle:EstudianteDocumento")->findOneById($request->get('id'));
        
        $rutoDocumento = $documento->getWebPath();
     
        $em->remove($documento);
        $em->flush();
        
        return $this->redirectToRoute('aspirante_lista_documentos');
    }
    
    /**
     * Displays a form to edit an existing Documento Aspirante entity.
     *
     * @Route("/editar_documentos/{id}", name="aspirante_editar_documentos")
     * @Method({"GET", "POST"})
     */
    public function editarDocumentosAction(Request $request, $id)
    {
        $em = $this->getDoctrine()->getManager();
        $documento = $em->getRepository("UBVSurUbvBundle:EstudianteDocumento")->findOneById($request->get('id'));
        //$persona = $this->getUser();
        //$documento->setPersona($persona);
        //$documento->setRequisitoInscripcion($em->getRepository("UBVSurUbvBundle:RequisitoInscripcion")->findOneById($request->get("id")));
        
        $form = $this->createForm('UBV\SurUbvBundle\Form\EstudianteDocumentoEditType',$documento,array('action' => $this->generateUrl('aspirante_editar_documentos',array('id'=>$documento->getId()))));

        $form->handleRequest($request);
        //die(dump($request));
        if ($form->isSubmitted() && $form->isValid()) {
          //die(dump($request));
          //$documento->setPersona($persona);
          $em->persist($documento);
          $em->flush();

            return $this->redirectToRoute('aspirante_lista_documentos');
        }
        
        return $this->render('aspirante/cargar_documentos.html.twig',array(
            'form'=> $form->createView(),
            'documento'=>$documento,
        ));
    }
    

    /**
     * Creates a new Aspirante entity.
     *
     * @Route("/new", name="aspirante_new")
     * @Method({"POST"})
     */
    public function newAction(Request $request)
    { 
      $em = $this->getDoctrine()->getManager();
      
      $session = $request->getSession();
 
      $personaId = $session->get('personaId');
      $programaNivel = $session->get('programaNivel');
      
      $objetoProgramaNivel = $em->getRepository('UBVSurUbvBundle:ProgramaNivel')->findOneById($programaNivel);
      $DescripcionPrograma = $objetoProgramaNivel->getDescripcion();
      
      $persona = $em->getRepository('UBVSurUbvBundle:Persona')->findObjetoPersonaById($personaId);
      
      $aspiranteTipo = $em->getRepository('UBVSurUbvBundle:AspiranteTipo')->findOneById(4);
      
      //$periodoAcademicoActivo = $em->getRepository('UBVSurUbvBundle:PeriodoAcademico')->findOneByEstatus(true);
      $periodoAcademicoActivo= $em->getRepository('UBVSurUbvBundle:PeriodoAcademico')->findObjetoPeriodoAcademicoByEstatus();
      //die(var_dump($periodoAcademicoActivo));
      //$estudianteDocumento = $em->getRepository('UBVSurUbvBundle:EstudianteDocumento')->findDocumentosPersonaByTipoPrograma($personaId, $programaTipo);
      
      
      $fechaNacimiento = $persona->getFechaNacimiento();
      $estadoCivil = $persona->getEstadoCivil();
      
      //$nacionalidad = $persona->getPersonaNacionalidads();
      $nacionalidad = $em->getRepository('UBVSurUbvBundle:PersonaNacionalidad')->findObjetoNacionalidadByEstatus($personaId);
      $aspirante = $em->getRepository('UBVSurUbvBundle:Aspirante')->findObjetoAspiranteByPersonaId($personaId, $programaNivel);
      
      $paisNacimiento = $persona->getPais();
      $genero = $persona->getGenero();
      
      $primerNombre = $persona->getPrimerNombre();
      $segundoNombre = $persona->getSegundoNombre();
      
      $primerApellido = $persona->getPrimerApellido();
      $segundoApellido = $persona->getSegundoApellido();
      
      //die(var_dump($estadoCivil));
      
      //die(var_dump($variable));
      
      $aspirante = new Aspirante();
      //$documento = new EstudianteDocumento();
      
      $aspirante->setAspiranteTipo($aspiranteTipo);
      $aspirante->setPeriodoAsignado($periodoAcademicoActivo["descripcion"]);
      
      //$aspirante->getPersona()->getPersonaNacionalidads()->add($nacionalidad);
      $persona->getAspirantes()->add($aspirante);
      
      //$persona->getEstudianteDocumentos()->add($documento);
      
      
      //die(var_dump($persona));
      
      if($DescripcionPrograma == "Pre-Grado"){
        
        $form = $this->createForm('UBV\SurUbvBundle\Form\AspiranteExistePregradoType', $aspirante,array('action' => $this->generateUrl('aspirante_new'),));
        //$form = $this->createForm('UBV\AutenticacionBundle\Form\Type\RegistrationAspirantePreGradoType', $persona,array('action' => $this->generateUrl('aspirante_new'),));
      
        
      }else{
        //die(var_dump("safd"));
        $form = $this->createForm('UBV\SurUbvBundle\Form\AspiranteExistePregradoType', $aspirante,array('action' => $this->generateUrl('aspirante_new'),));
      }
      
      $form['pais']->setdata($persona->getPais());
      $form['fechaNacimiento']->setdata($persona->getFechaNacimiento());
      $form['primerNombre']->setdata($persona->getPrimerNombre());
      $form['segundoNombre']->setdata($persona->getSegundoNombre());
      $form['primerApellido']->setdata($persona->getPrimerApellido());
      $form['segundoApellido']->setdata($persona->getSegundoApellido());
      $form['estadoCivil']->setdata($persona->getEstadoCivil());
      $form['genero']->setdata($persona->getGenero());
      $form['email']->setdata($persona->getEmail());
      $form['username']->setdata($persona->getUserName());
      $form['documentoIdentidadTipo']->setdata($nacionalidad->getDocumentoIdentidadTipo());
      $form['numIdentificacion']->setdata($nacionalidad->getIdentificacion());
      $form['nacionalidad']->setdata($nacionalidad->getNacionalidad());
      
      $form->handleRequest($request);
      
      
      $estatusAspirante = $em->getRepository('UBVSurUbvBundle:AspiranteEstatus')->findOneById(2);
      
      $grupo = "Aspirante";
      $gruposAsignar = $em->getRepository('UBVSurUbvBundle:Grupo')->findObjetoGrupoByDescripcion($grupo);
      
      if ($form->isSubmitted() && $form->isValid()) {
          $em = $this->getDoctrine()->getManager();
          $persona->setGroups($gruposAsignar);
          $persona->setFechaNacimiento($persona->getFechaNacimiento());
          $persona->setPais($paisNacimiento);
          $persona->setEstadoCivil($estadoCivil);
          $persona->setGenero($genero);
          
          $persona->setPrimerNombre($primerNombre);
          $persona->setSegundoNombre($segundoNombre);
          
          $persona->setPrimerApellido($primerApellido);
          $persona->setSegundoApellido($segundoApellido);
          $aspirante->setAspiranteTipo($aspiranteTipo);
          //die(var_dump($nacionalidad->get(0)->getDocumentoIdentidadTipo()));
          
          foreach ($nacionalidad as $nac){
            $persona->getPersonaNacionalidads()->get(0)->setIdentificacion($nacionalidad->get(0)->getidentificacion());
            $persona->getPersonaNacionalidads()->get(0)->setDocumentoIdentidadTipo($nacionalidad->get(0)->getDocumentoIdentidadTipo());
          }
          //$persona->addPersonaNacionalidad($nacionalidad);
          //die(var_dump($datosPersona->getFechaNacimiento()));
          //die(var_dump($form['personaNacionalidads'][0]['identificacion']->getData()));
          $aspirante->setAspiranteEstatus($estatusAspirante);
          
          $persona->addAspirante($aspirante);
          //$persona->addEstudianteDocumento($documento);
          
          //$documento->setPersona($persona);
          
          $aspirante->setPersona($persona);
          
                    
          $em->persist($aspirante);
 
          $em->flush();
          
          return $this->redirectToRoute('aspirante_show', array('id' => $aspirante->getId()));
      }
      
      //return $this->render('FOSUserBundle:Registration:register_aspirante_pregrado.html.twig', array(
      return $this->render(':aspirante:new.html.twig', array(
          'persona'=>$persona,
          'aspirante' => $aspirante,
          'form' => $form->createView(),
      ));
    }

    /**
     * Finds and displays a Aspirante entity.
     *
     * @Route("/{id}", name="aspirante_show")
     * @Method("GET")
     */
    public function showAction(Aspirante $aspirante)
    {
        $deleteForm = $this->createDeleteForm($aspirante);

        return $this->render('aspirante/show.html.twig', array(
            'aspirante' => $aspirante,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing Aspirante entity.
     *
     * @Route("/{id}/edit", name="aspirante_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, Aspirante $aspirante)
    {
        $deleteForm = $this->createDeleteForm($aspirante);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AspiranteType', $aspirante);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($aspirante);
            $em->flush();

            return $this->redirectToRoute('aspirante_edit', array('id' => $aspirante->getId()));
        }

        return $this->render('aspirante/edit.html.twig', array(
            'aspirante' => $aspirante,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a Aspirante entity.
     *
     * @Route("/{id}", name="aspirante_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, Aspirante $aspirante)
    {
        $form = $this->createDeleteForm($aspirante);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($aspirante);
            $em->flush();
        }

        return $this->redirectToRoute('aspirante_index');
    }

    /**
     * Creates a form to delete a Aspirante entity.
     *
     * @param Aspirante $aspirante The Aspirante entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(Aspirante $aspirante)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('aspirante_delete', array('id' => $aspirante->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
    
    /**
     * Descargar Documento de Aspirante.
     *
     * @Route("/{id}/descargar_documento", name="descargar_documento")
     */
    public function descargarDocumentoAction($id)
    {
      
        $em = $this->getDoctrine()->getManager();
        
        $documento = $em->getRepository("UBVSurUbvBundle:EstudianteDocumento")->findOneById($id);
        
        //$request = $this->get('request');
        
        //$direccion = $this->get('kernel')->getRootDir(). "/../web/upload/documents/proyecto/";
        
        $content =  file_get_contents($documento->getAbsolutePath());
        
        $response = new Response();
        
        $response->headers->set('Content-Type', 'mime/type');
        $response->headers->set('Content-Disposition', 'attachment;filename="'.$documento->getRutaDocumento());

        $response->setContent($content);
        return $response;        
        
    }
    
    /**
     * Descargar Documento de Aspirante.
     *
     * @Route("/{id}/verificar_documento", name="verificar_documento")
     * @Method("GET")
     */
    public function verificarDocumentoAction($id)
    {
      
        $em = $this->getDoctrine()->getManager();
        
        $documento = $em->getRepository("UBVSurUbvBundle:EstudianteDocumento")->findDocumentosAndAspiranteIdById($id);
        $objetoDocumento = $documento[0]["ObjetoDocumento"];
        //die(dump($documento[0]->getPersona()->getAspirantes()->getId()));
        $objetoDocumento->setEstatus(true);
        $em->persist($objetoDocumento);
        $em->flush();
        
        return $this->redirectToRoute('aspirante_lista_documentos_aspirante',array('id'=>$documento[0]['AspiranteId']));
        
        
        
    }
    
}
