<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AspiranteEstatus;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Aspiranteestatus controller.
 *
 * @Route("aspiranteestatus")
 */
class AspiranteEstatusController extends Controller
{
    /**
     * Lists all aspiranteEstatus entities.
     *
     * @Route("/", name="aspiranteestatus_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $aspiranteEstatuses = $em->getRepository('UBVSurUbvBundle:AspiranteEstatus')->findAll();

        return $this->render('aspiranteestatus/index.html.twig', array(
            'aspiranteEstatuses' => $aspiranteEstatuses,
        ));
    }

    /**
     * Creates a new aspiranteEstatus entity.
     *
     * @Route("/new", name="aspiranteestatus_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $aspiranteEstatus = new Aspiranteestatus();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AspiranteEstatusType', $aspiranteEstatus);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($aspiranteEstatus);
            $em->flush();

            return $this->redirectToRoute('aspiranteestatus_show', array('id' => $aspiranteEstatus->getId()));
        }

        return $this->render('aspiranteestatus/new.html.twig', array(
            'aspiranteEstatus' => $aspiranteEstatus,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a aspiranteEstatus entity.
     *
     * @Route("/{id}", name="aspiranteestatus_show")
     * @Method("GET")
     */
    public function showAction(AspiranteEstatus $aspiranteEstatus)
    {
        $deleteForm = $this->createDeleteForm($aspiranteEstatus);

        return $this->render('aspiranteestatus/show.html.twig', array(
            'aspiranteEstatus' => $aspiranteEstatus,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing aspiranteEstatus entity.
     *
     * @Route("/{id}/edit", name="aspiranteestatus_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AspiranteEstatus $aspiranteEstatus)
    {
        $deleteForm = $this->createDeleteForm($aspiranteEstatus);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AspiranteEstatusType', $aspiranteEstatus);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('aspiranteestatus_edit', array('id' => $aspiranteEstatus->getId()));
        }

        return $this->render('aspiranteestatus/edit.html.twig', array(
            'aspiranteEstatus' => $aspiranteEstatus,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a aspiranteEstatus entity.
     *
     * @Route("/{id}", name="aspiranteestatus_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AspiranteEstatus $aspiranteEstatus)
    {
        $form = $this->createDeleteForm($aspiranteEstatus);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($aspiranteEstatus);
            $em->flush();
        }

        return $this->redirectToRoute('aspiranteestatus_index');
    }

    /**
     * Creates a form to delete a aspiranteEstatus entity.
     *
     * @param AspiranteEstatus $aspiranteEstatus The aspiranteEstatus entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AspiranteEstatus $aspiranteEstatus)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('aspiranteestatus_delete', array('id' => $aspiranteEstatus->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
