<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\AspiranteTipo;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Aspirantetipo controller.
 *
 * @Route("aspirantetipo")
 */
class AspiranteTipoController extends Controller
{
    /**
     * Lists all aspiranteTipo entities.
     *
     * @Route("/", name="aspirantetipo_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $aspiranteTipos = $em->getRepository('UBVSurUbvBundle:AspiranteTipo')->findAll();

        return $this->render('aspirantetipo/index.html.twig', array(
            'aspiranteTipos' => $aspiranteTipos,
        ));
    }

    /**
     * Creates a new aspiranteTipo entity.
     *
     * @Route("/new", name="aspirantetipo_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $aspiranteTipo = new Aspirantetipo();
        $form = $this->createForm('UBV\SurUbvBundle\Form\AspiranteTipoType', $aspiranteTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($aspiranteTipo);
            $em->flush();

            return $this->redirectToRoute('aspirantetipo_show', array('id' => $aspiranteTipo->getId()));
        }

        return $this->render('aspirantetipo/new.html.twig', array(
            'aspiranteTipo' => $aspiranteTipo,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a aspiranteTipo entity.
     *
     * @Route("/{id}", name="aspirantetipo_show")
     * @Method("GET")
     */
    public function showAction(AspiranteTipo $aspiranteTipo)
    {
        $deleteForm = $this->createDeleteForm($aspiranteTipo);

        return $this->render('aspirantetipo/show.html.twig', array(
            'aspiranteTipo' => $aspiranteTipo,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing aspiranteTipo entity.
     *
     * @Route("/{id}/edit", name="aspirantetipo_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, AspiranteTipo $aspiranteTipo)
    {
        $deleteForm = $this->createDeleteForm($aspiranteTipo);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\AspiranteTipoType', $aspiranteTipo);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('aspirantetipo_edit', array('id' => $aspiranteTipo->getId()));
        }

        return $this->render('aspirantetipo/edit.html.twig', array(
            'aspiranteTipo' => $aspiranteTipo,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a aspiranteTipo entity.
     *
     * @Route("/{id}", name="aspirantetipo_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, AspiranteTipo $aspiranteTipo)
    {
        $form = $this->createDeleteForm($aspiranteTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($aspiranteTipo);
            $em->flush();
        }

        return $this->redirectToRoute('aspirantetipo_index');
    }

    /**
     * Creates a form to delete a aspiranteTipo entity.
     *
     * @param AspiranteTipo $aspiranteTipo The aspiranteTipo entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(AspiranteTipo $aspiranteTipo)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('aspirantetipo_delete', array('id' => $aspiranteTipo->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
