<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\Banco;
use UBV\SurUbvBundle\Form\BancoType;

/**
 * Banco controller.
 *
 * @Route("/banco")
 */
class BancoController extends Controller
{
    /**
     * Lists all Banco entities.
     *
     * @Route("/", name="banco_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $bancos = $em->getRepository('UBVSurUbvBundle:Banco')->findAll();

        return $this->render('banco/index.html.twig', array(
            'bancos' => $bancos,
        ));
    }

    /**
     * Creates a new Banco entity.
     *
     * @Route("/new", name="banco_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $banco = new Banco();
        $form = $this->createForm('UBV\SurUbvBundle\Form\BancoType', $banco);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($banco);
            $em->flush();
            
            $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Banco creado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('banco_index', array('id' => $banco->getId()));
        }

        return $this->render('banco/new.html.twig', array(
            'banco' => $banco,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a Banco entity.
     *
     * @Route("/{id}", name="banco_show")
     * @Method("GET")
     */
    public function showAction(Banco $banco)
    {
       

        return $this->render('banco/show.html.twig', array(
            'banco' => $banco,
           
        ));
    }

    /**
     * Displays a form to edit an existing Banco entity.
     *
     * @Route("/{id}/edit", name="banco_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, Banco $banco)
    {
        
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\BancoType', $banco);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($banco);
            $em->flush();
            
            $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Editado!',
          'message' => 'Banco Editado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('banco_index', array('id' => $banco->getId()));
        }

        return $this->render('banco/edit.html.twig', array(
            'banco' => $banco,
            'edit_form' => $editForm->createView(),
            
        ));
    }

    /**
     * Deletes a Banco entity.
   *
   * @Route("/borrar/{id}", name="banco_delete") <--- aqui le defines la ruta que va a tomar-->
   * @Method("GET")
   */
  public function deleteAction(Request $request, $id) {
    $em = $this->getDoctrine()->getManager();
    $entity = $em->getRepository('UBVSurUbvBundle:Banco')->Find($id);
    $em->remove($entity);
    $em->flush();
    
    $this->get('session')->getFlashBag()->set(
              'danger', array(
          'title' => 'Eliminado!',
          'message' => 'Banco Eliminado satisfactoriamente.'
              )
      );

    return $this->redirectToRoute('banco_index');
  }

  /**
   * Creates a form to delete a Banco entity.
   *
   * @param Banco $id The Banco entity
   *
   * @return \Symfony\Component\Form\Form The form
   */
  private function createDeleteForm($id) {
    return $this->createFormBuilder()
                    ->setAction($this->generateUrl('banco_delete', array('id' => $id)))
                    ->setMethod('DELETE')
                    ->getForm()
    ;
  }
}

