<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\CargaAcademica;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Cargaacademica controller.
 *
 * @Route("cargaacademica")
 */
class CargaAcademicaController extends Controller
{
    /**
     * Lists all cargaAcademica entities.
     *
     * @Route("/", name="cargaacademica_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $cargaAcademicas = $em->getRepository('UBVSurUbvBundle:CargaAcademica')->findAll();

        return $this->render('cargaacademica/index.html.twig', array(
            'cargaAcademicas' => $cargaAcademicas,
        ));
    }

    /**
     * Creates a new cargaAcademica entity.
     *
     * @Route("/new", name="cargaacademica_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $cargaAcademica = new Cargaacademica();
        $form = $this->createForm('UBV\SurUbvBundle\Form\CargaAcademicaType', $cargaAcademica);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($cargaAcademica);
            $em->flush();

            return $this->redirectToRoute('cargaacademica_show', array('id' => $cargaAcademica->getId()));
        }

        return $this->render('cargaacademica/new.html.twig', array(
            'cargaAcademica' => $cargaAcademica,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a cargaAcademica entity.
     *
     * @Route("/{id}", name="cargaacademica_show")
     * @Method("GET")
     */
    public function showAction(CargaAcademica $cargaAcademica)
    {
        $deleteForm = $this->createDeleteForm($cargaAcademica);

        return $this->render('cargaacademica/show.html.twig', array(
            'cargaAcademica' => $cargaAcademica,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing cargaAcademica entity.
     *
     * @Route("/{id}/edit", name="cargaacademica_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, CargaAcademica $cargaAcademica)
    {
        $deleteForm = $this->createDeleteForm($cargaAcademica);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\CargaAcademicaType', $cargaAcademica);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('cargaacademica_edit', array('id' => $cargaAcademica->getId()));
        }

        return $this->render('cargaacademica/edit.html.twig', array(
            'cargaAcademica' => $cargaAcademica,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a cargaAcademica entity.
     *
     * @Route("/{id}", name="cargaacademica_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, CargaAcademica $cargaAcademica)
    {
        $form = $this->createDeleteForm($cargaAcademica);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($cargaAcademica);
            $em->flush();
        }

        return $this->redirectToRoute('cargaacademica_index');
    }

    /**
     * Creates a form to delete a cargaAcademica entity.
     *
     * @param CargaAcademica $cargaAcademica The cargaAcademica entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(CargaAcademica $cargaAcademica)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('cargaacademica_delete', array('id' => $cargaAcademica->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
