<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\ComunidadTipo;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Comunidadtipo controller.
 *
 * @Route("comunidadtipo")
 */
class ComunidadTipoController extends Controller
{
    /**
     * Lists all comunidadTipo entities.
     *
     * @Route("/", name="comunidadtipo_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $comunidadTipos = $em->getRepository('UBVSurUbvBundle:ComunidadTipo')->findAll();

        return $this->render('comunidadtipo/index.html.twig', array(
            'comunidadTipos' => $comunidadTipos,
        ));
    }

    /**
     * Creates a new comunidadTipo entity.
     *
     * @Route("/new", name="comunidadtipo_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $comunidadTipo = new Comunidadtipo();
        $form = $this->createForm('UBV\SurUbvBundle\Form\ComunidadTipoType', $comunidadTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($comunidadTipo);
            $em->flush();

            return $this->redirectToRoute('comunidadtipo_show', array('id' => $comunidadTipo->getId()));
        }

        return $this->render('comunidadtipo/new.html.twig', array(
            'comunidadTipo' => $comunidadTipo,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a comunidadTipo entity.
     *
     * @Route("/{id}", name="comunidadtipo_show")
     * @Method("GET")
     */
    public function showAction(ComunidadTipo $comunidadTipo)
    {
        $deleteForm = $this->createDeleteForm($comunidadTipo);

        return $this->render('comunidadtipo/show.html.twig', array(
            'comunidadTipo' => $comunidadTipo,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing comunidadTipo entity.
     *
     * @Route("/{id}/edit", name="comunidadtipo_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, ComunidadTipo $comunidadTipo)
    {
        $deleteForm = $this->createDeleteForm($comunidadTipo);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\ComunidadTipoType', $comunidadTipo);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('comunidadtipo_edit', array('id' => $comunidadTipo->getId()));
        }

        return $this->render('comunidadtipo/edit.html.twig', array(
            'comunidadTipo' => $comunidadTipo,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a comunidadTipo entity.
     *
     * @Route("/{id}", name="comunidadtipo_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, ComunidadTipo $comunidadTipo)
    {
        $form = $this->createDeleteForm($comunidadTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($comunidadTipo);
            $em->flush();
        }

        return $this->redirectToRoute('comunidadtipo_index');
    }

    /**
     * Creates a form to delete a comunidadTipo entity.
     *
     * @param ComunidadTipo $comunidadTipo The comunidadTipo entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(ComunidadTipo $comunidadTipo)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('comunidadtipo_delete', array('id' => $comunidadTipo->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
