<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\CorreoTipo;
use UBV\SurUbvBundle\Form\CorreoTipoType;

/**
 * CorreoTipo controller.
 *
 * @Route("/correotipo")
 */
class CorreoTipoController extends Controller
{
    /**
     * Lists all CorreoTipo entities.
     *
     * @Route("/", name="correotipo_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $correoTipos = $em->getRepository('UBVSurUbvBundle:CorreoTipo')->findAll();

        return $this->render('correotipo/index.html.twig', array(
            'correoTipos' => $correoTipos,
        ));
    }

    /**
     * Creates a new CorreoTipo entity.
     *
     * @Route("/new", name="correotipo_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $correoTipo = new CorreoTipo();
        $form = $this->createForm('UBV\SurUbvBundle\Form\CorreoTipoType', $correoTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($correoTipo);
            $em->flush();
            
             $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Tipo de Correo creado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('correotipo_index', array('id' => $correoTipo->getId()));
        }

        return $this->render('correotipo/new.html.twig', array(
            'correoTipo' => $correoTipo,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a CorreoTipo entity.
     *
     * @Route("/{id}", name="correotipo_show")
     * @Method("GET")
     */
    public function showAction(CorreoTipo $correoTipo)
    {
       

        return $this->render('correotipo/show.html.twig', array(
            'correoTipo' => $correoTipo,
            
        ));
    }

    /**
     * Displays a form to edit an existing CorreoTipo entity.
     *
     * @Route("/{id}/edit", name="correotipo_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, CorreoTipo $correoTipo)
    {
        
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\CorreoTipoType', $correoTipo);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($correoTipo);
            $em->flush();
            
            $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Editado!',
          'message' => 'Tipo de Correo Editado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('correotipo_index', array('id' => $correoTipo->getId()));
        }

        return $this->render('correotipo/edit.html.twig', array(
            'correoTipo' => $correoTipo,
            'edit_form' => $editForm->createView(),
            
        ));
    }

    /**
   * Deletes a CorreoTipo entity.
   *
   * @Route("/borrar/{id}", name="correotipo_delete") <--- aqui le defines la ruta que va a tomar-->
   * @Method("GET")
   */
  public function deleteAction(Request $request, $id) {
    $em = $this->getDoctrine()->getManager();
    $entity = $em->getRepository('UBVSurUbvBundle:CorreoTipo')->Find($id);
    $em->remove($entity);
    $em->flush();
    
     $this->get('session')->getFlashBag()->set(
              'danger', array(
          'title' => 'Eliminado!',
          'message' => 'Tipo de Correo Eliminado satisfactoriamente.'
              )
      );
    

    return $this->redirectToRoute('correotipo_index');
  }

  /**
   * Creates a form to delete a CorreoTipo entity.
   *
   * @param CorreoTipo $id The ECorreoTipo entity
   *
   * @return \Symfony\Component\Form\Form The form
   */
  private function createDeleteForm($id) {
    return $this->createFormBuilder()
                    ->setAction($this->generateUrl('correotipo_delete', array('id' => $id)))
                    ->setMethod('DELETE')
                    ->getForm()
    ;
  }
}
