<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\CuentaBancariaTipo;
use UBV\SurUbvBundle\Form\CuentaBancariaTipoType;

/**
 * CuentaBancariaTipo controller.
 *
 * @Route("/cuentabancariatipo")
 */
class CuentaBancariaTipoController extends Controller
{
    /**
     * Lists all CuentaBancariaTipo entities.
     *
     * @Route("/", name="cuentabancariatipo_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $cuentaBancariaTipos = $em->getRepository('UBVSurUbvBundle:CuentaBancariaTipo')->findAll();

        return $this->render('cuentabancariatipo/index.html.twig', array(
            'cuentaBancariaTipos' => $cuentaBancariaTipos,
        ));
    }

    /**
     * Creates a new CuentaBancariaTipo entity.
     *
     * @Route("/new", name="cuentabancariatipo_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $cuentaBancariaTipo = new CuentaBancariaTipo();
        $form = $this->createForm('UBV\SurUbvBundle\Form\CuentaBancariaTipoType', $cuentaBancariaTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($cuentaBancariaTipo);
            $em->flush();

            return $this->redirectToRoute('cuentabancariatipo_index', array('id' => $cuentaBancariaTipo->getId()));
        }

        return $this->render('cuentabancariatipo/new.html.twig', array(
            'cuentaBancariaTipo' => $cuentaBancariaTipo,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a CuentaBancariaTipo entity.
     *
     * @Route("/{id}", name="cuentabancariatipo_show")
     * @Method("GET")
     */
    public function showAction(CuentaBancariaTipo $cuentaBancariaTipo)
    {
        $deleteForm = $this->createDeleteForm($cuentaBancariaTipo);

        return $this->render('cuentabancariatipo/show.html.twig', array(
            'cuentaBancariaTipo' => $cuentaBancariaTipo,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing CuentaBancariaTipo entity.
     *
     * @Route("/{id}/edit", name="cuentabancariatipo_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, CuentaBancariaTipo $cuentaBancariaTipo)
    {
        $deleteForm = $this->createDeleteForm($cuentaBancariaTipo);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\CuentaBancariaTipoType', $cuentaBancariaTipo);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($cuentaBancariaTipo);
            $em->flush();

            return $this->redirectToRoute('cuentabancariatipo_index', array('id' => $cuentaBancariaTipo->getId()));
        }

        return $this->render('cuentabancariatipo/edit.html.twig', array(
            'cuentaBancariaTipo' => $cuentaBancariaTipo,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a CuentaBancariaTipo entity.
     *
     * @Route("/{id}", name="cuentabancariatipo_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, CuentaBancariaTipo $cuentaBancariaTipo)
    {
        $form = $this->createDeleteForm($cuentaBancariaTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($cuentaBancariaTipo);
            $em->flush();
        }

        return $this->redirectToRoute('cuentabancariatipo_index');
    }

    /**
     * Creates a form to delete a CuentaBancariaTipo entity.
     *
     * @param CuentaBancariaTipo $cuentaBancariaTipo The CuentaBancariaTipo entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(CuentaBancariaTipo $cuentaBancariaTipo)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('cuentabancariatipo_delete', array('id' => $cuentaBancariaTipo->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
