<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\DocenteAldea;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Docentealdea controller.
 *
 * @Route("docentealdea")
 */
class DocenteAldeaController extends Controller
{
    /**
     * Lists all docenteAldea entities.
     *
     * @Route("/", name="docentealdea_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $docenteAldeas = $em->getRepository('UBVSurUbvBundle:DocenteAldea')->findAll();

        return $this->render('docentealdea/index.html.twig', array(
            'docenteAldeas' => $docenteAldeas,
        ));
    }

    /**
     * Creates a new docenteAldea entity.
     *
     * @Route("/new", name="docentealdea_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $docenteAldea = new Docentealdea();
        $form = $this->createForm('UBV\SurUbvBundle\Form\DocenteAldeaType', $docenteAldea);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($docenteAldea);
            $em->flush();

            return $this->redirectToRoute('docentealdea_show', array('id' => $docenteAldea->getId()));
        }

        return $this->render('docentealdea/new.html.twig', array(
            'docenteAldea' => $docenteAldea,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a docenteAldea entity.
     *
     * @Route("/{id}", name="docentealdea_show")
     * @Method("GET")
     */
    public function showAction(DocenteAldea $docenteAldea)
    {
        $deleteForm = $this->createDeleteForm($docenteAldea);

        return $this->render('docentealdea/show.html.twig', array(
            'docenteAldea' => $docenteAldea,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing docenteAldea entity.
     *
     * @Route("/{id}/edit", name="docentealdea_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, DocenteAldea $docenteAldea)
    {
        $deleteForm = $this->createDeleteForm($docenteAldea);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\DocenteAldeaType', $docenteAldea);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('docentealdea_edit', array('id' => $docenteAldea->getId()));
        }

        return $this->render('docentealdea/edit.html.twig', array(
            'docenteAldea' => $docenteAldea,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a docenteAldea entity.
     *
     * @Route("/{id}", name="docentealdea_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, DocenteAldea $docenteAldea)
    {
        $form = $this->createDeleteForm($docenteAldea);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($docenteAldea);
            $em->flush();
        }

        return $this->redirectToRoute('docentealdea_index');
    }

    /**
     * Creates a form to delete a docenteAldea entity.
     *
     * @param DocenteAldea $docenteAldea The docenteAldea entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(DocenteAldea $docenteAldea)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('docentealdea_delete', array('id' => $docenteAldea->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
