<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\DocenteDedicacion;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Docentededicacion controller.
 *
 * @Route("docentededicacion")
 */
class DocenteDedicacionController extends Controller
{
    /**
     * Lists all docenteDedicacion entities.
     *
     * @Route("/", name="docentededicacion_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $docenteDedicacions = $em->getRepository('UBVSurUbvBundle:DocenteDedicacion')->findAll();

        return $this->render('docentededicacion/index.html.twig', array(
            'docenteDedicacions' => $docenteDedicacions,
        ));
    }

    /**
     * Creates a new docenteDedicacion entity.
     *
     * @Route("/new", name="docentededicacion_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $docenteDedicacion = new Docentededicacion();
        $form = $this->createForm('UBV\SurUbvBundle\Form\DocenteDedicacionType', $docenteDedicacion);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($docenteDedicacion);
            $em->flush();

            return $this->redirectToRoute('docentededicacion_show', array('id' => $docenteDedicacion->getId()));
        }

        return $this->render('docentededicacion/new.html.twig', array(
            'docenteDedicacion' => $docenteDedicacion,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a docenteDedicacion entity.
     *
     * @Route("/{id}", name="docentededicacion_show")
     * @Method("GET")
     */
    public function showAction(DocenteDedicacion $docenteDedicacion)
    {
        $deleteForm = $this->createDeleteForm($docenteDedicacion);

        return $this->render('docentededicacion/show.html.twig', array(
            'docenteDedicacion' => $docenteDedicacion,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing docenteDedicacion entity.
     *
     * @Route("/{id}/edit", name="docentededicacion_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, DocenteDedicacion $docenteDedicacion)
    {
        $deleteForm = $this->createDeleteForm($docenteDedicacion);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\DocenteDedicacionType', $docenteDedicacion);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('docentededicacion_edit', array('id' => $docenteDedicacion->getId()));
        }

        return $this->render('docentededicacion/edit.html.twig', array(
            'docenteDedicacion' => $docenteDedicacion,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a docenteDedicacion entity.
     *
     * @Route("/{id}", name="docentededicacion_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, DocenteDedicacion $docenteDedicacion)
    {
        $form = $this->createDeleteForm($docenteDedicacion);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($docenteDedicacion);
            $em->flush();
        }

        return $this->redirectToRoute('docentededicacion_index');
    }

    /**
     * Creates a form to delete a docenteDedicacion entity.
     *
     * @param DocenteDedicacion $docenteDedicacion The docenteDedicacion entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(DocenteDedicacion $docenteDedicacion)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('docentededicacion_delete', array('id' => $docenteDedicacion->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
