<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\DocenteEstatus;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Docenteestatus controller.
 *
 * @Route("docenteestatus")
 */
class DocenteEstatusController extends Controller
{
    /**
     * Lists all docenteEstatus entities.
     *
     * @Route("/", name="docenteestatus_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $docenteEstatuses = $em->getRepository('UBVSurUbvBundle:DocenteEstatus')->findAll();

        return $this->render('docenteestatus/index.html.twig', array(
            'docenteEstatuses' => $docenteEstatuses,
        ));
    }

    /**
     * Creates a new docenteEstatus entity.
     *
     * @Route("/new", name="docenteestatus_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $docenteEstatus = new Docenteestatus();
        $form = $this->createForm('UBV\SurUbvBundle\Form\DocenteEstatusType', $docenteEstatus);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($docenteEstatus);
            $em->flush();

            return $this->redirectToRoute('docenteestatus_show', array('id' => $docenteEstatus->getId()));
        }

        return $this->render('docenteestatus/new.html.twig', array(
            'docenteEstatus' => $docenteEstatus,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a docenteEstatus entity.
     *
     * @Route("/{id}", name="docenteestatus_show")
     * @Method("GET")
     */
    public function showAction(DocenteEstatus $docenteEstatus)
    {
        $deleteForm = $this->createDeleteForm($docenteEstatus);

        return $this->render('docenteestatus/show.html.twig', array(
            'docenteEstatus' => $docenteEstatus,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing docenteEstatus entity.
     *
     * @Route("/{id}/edit", name="docenteestatus_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, DocenteEstatus $docenteEstatus)
    {
        $deleteForm = $this->createDeleteForm($docenteEstatus);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\DocenteEstatusType', $docenteEstatus);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('docenteestatus_edit', array('id' => $docenteEstatus->getId()));
        }

        return $this->render('docenteestatus/edit.html.twig', array(
            'docenteEstatus' => $docenteEstatus,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a docenteEstatus entity.
     *
     * @Route("/{id}", name="docenteestatus_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, DocenteEstatus $docenteEstatus)
    {
        $form = $this->createDeleteForm($docenteEstatus);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($docenteEstatus);
            $em->flush();
        }

        return $this->redirectToRoute('docenteestatus_index');
    }

    /**
     * Creates a form to delete a docenteEstatus entity.
     *
     * @param DocenteEstatus $docenteEstatus The docenteEstatus entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(DocenteEstatus $docenteEstatus)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('docenteestatus_delete', array('id' => $docenteEstatus->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
