<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\DocenteProyecto;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Docenteproyecto controller.
 *
 * @Route("docenteproyecto")
 */
class DocenteProyectoController extends Controller
{
    /**
     * Lists all docenteProyecto entities.
     *
     * @Route("/", name="docenteproyecto_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $docenteProyectos = $em->getRepository('UBVSurUbvBundle:DocenteProyecto')->findAll();

        return $this->render('docenteproyecto/index.html.twig', array(
            'docenteProyectos' => $docenteProyectos,
        ));
    }

    /**
     * Creates a new docenteProyecto entity.
     *
     * @Route("/new", name="docenteproyecto_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $docenteProyecto = new Docenteproyecto();
        $form = $this->createForm('UBV\SurUbvBundle\Form\DocenteProyectoType', $docenteProyecto);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($docenteProyecto);
            $em->flush();

            return $this->redirectToRoute('docenteproyecto_show', array('id' => $docenteProyecto->getId()));
        }

        return $this->render('docenteproyecto/new.html.twig', array(
            'docenteProyecto' => $docenteProyecto,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a docenteProyecto entity.
     *
     * @Route("/{id}", name="docenteproyecto_show")
     * @Method("GET")
     */
    public function showAction(DocenteProyecto $docenteProyecto)
    {
        $deleteForm = $this->createDeleteForm($docenteProyecto);

        return $this->render('docenteproyecto/show.html.twig', array(
            'docenteProyecto' => $docenteProyecto,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing docenteProyecto entity.
     *
     * @Route("/{id}/edit", name="docenteproyecto_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, DocenteProyecto $docenteProyecto)
    {
        $deleteForm = $this->createDeleteForm($docenteProyecto);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\DocenteProyectoType', $docenteProyecto);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('docenteproyecto_edit', array('id' => $docenteProyecto->getId()));
        }

        return $this->render('docenteproyecto/edit.html.twig', array(
            'docenteProyecto' => $docenteProyecto,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a docenteProyecto entity.
     *
     * @Route("/{id}", name="docenteproyecto_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, DocenteProyecto $docenteProyecto)
    {
        $form = $this->createDeleteForm($docenteProyecto);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($docenteProyecto);
            $em->flush();
        }

        return $this->redirectToRoute('docenteproyecto_index');
    }

    /**
     * Creates a form to delete a docenteProyecto entity.
     *
     * @param DocenteProyecto $docenteProyecto The docenteProyecto entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(DocenteProyecto $docenteProyecto)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('docenteproyecto_delete', array('id' => $docenteProyecto->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
