<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\DocumentoIdentidadTipo;
use UBV\SurUbvBundle\Form\DocumentoIdentidadTipoType;

/**
 * DocumentoIdentidadTipo controller.
 *
 * @Route("/documentoidentidadtipo")
 */
class DocumentoIdentidadTipoController extends Controller
{
    /**
     * Lists all DocumentoIdentidadTipo entities.
     *
     * @Route("/", name="documentoidentidadtipo_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $documentoIdentidadTipos = $em->getRepository('UBVSurUbvBundle:DocumentoIdentidadTipo')->findAll();

        return $this->render('documentoidentidadtipo/index.html.twig', array(
            'documentoIdentidadTipos' => $documentoIdentidadTipos,
        ));
    }

    /**
     * Creates a new DocumentoIdentidadTipo entity.
     *
     * @Route("/new", name="documentoidentidadtipo_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $documentoIdentidadTipo = new DocumentoIdentidadTipo();
        $form = $this->createForm('UBV\SurUbvBundle\Form\DocumentoIdentidadTipoType', $documentoIdentidadTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($documentoIdentidadTipo);
            $em->flush();
            
             $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Tipo de Documento creado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('documentoidentidadtipo_index', array('id' => $documentoIdentidadTipo->getId()));
        }

        return $this->render('documentoidentidadtipo/new.html.twig', array(
            'documentoIdentidadTipo' => $documentoIdentidadTipo,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a DocumentoIdentidadTipo entity.
     *
     * @Route("/{id}", name="documentoidentidadtipo_show")
     * @Method("GET")
     */
    public function showAction(DocumentoIdentidadTipo $documentoIdentidadTipo)
    {
        

        return $this->render('documentoidentidadtipo/show.html.twig', array(
            'documentoIdentidadTipo' => $documentoIdentidadTipo,
            
        ));
    }

    /**
     * Displays a form to edit an existing DocumentoIdentidadTipo entity.
     *
     * @Route("/{id}/edit", name="documentoidentidadtipo_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, DocumentoIdentidadTipo $documentoIdentidadTipo)
    {
       
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\DocumentoIdentidadTipoType', $documentoIdentidadTipo);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($documentoIdentidadTipo);
            $em->flush();
            
            $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Editado!',
          'message' => 'Tipo de Documento Ediatdo satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('documentoidentidadtipo_index', array('id' => $documentoIdentidadTipo->getId()));
        }

        return $this->render('documentoidentidadtipo/edit.html.twig', array(
            'documentoIdentidadTipo' => $documentoIdentidadTipo,
            'edit_form' => $editForm->createView(),
            
        ));
    }

    /**
   * Deletes a DocumentoIdentidadTipo entity.
   *
   * @Route("/borrar/{id}", name="documentoidentidadtipo_delete") <--- aqui le defines la ruta que va a tomar-->
   * @Method("GET")
   */
  public function deleteAction(Request $request, $id) {
    $em = $this->getDoctrine()->getManager();
    $entity = $em->getRepository('UBVSurUbvBundle:DocumentoIdentidadTipo')->Find($id);
    $em->remove($entity);
    $em->flush();
    
    $this->get('session')->getFlashBag()->set(
              'danger', array(
          'title' => 'Eliminado!',
          'message' => 'Tipo de Documento Eliminado satisfactoriamente.'
              )
      );

    return $this->redirectToRoute('documentoidentidadtipo_index');
  }

  /**
   * Creates a form to delete a DocumentoIdentidadTipo entity.
   *
   * @param DocumentoIdentidadTipo $id The DocumentoIdentidadTipo entity
   *
   * @return \Symfony\Component\Form\Form The form
   */
  private function createDeleteForm($id) {
    return $this->createFormBuilder()
                    ->setAction($this->generateUrl('documentoidentidadtipo_delete', array('id' => $id)))
                    ->setMethod('DELETE')
                    ->getForm()
    ;
  }
}
