<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\EjeRegional;
use UBV\SurUbvBundle\Form\EjeRegionalType;

/**
 * EjeRegional controller.
 *
 * @Route("/ejeregional")
 */
class EjeRegionalController extends Controller
{
    /**
     * Lists all EjeRegional entities.
     *
     * @Route("/", name="ejeregional_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $ejeRegionals = $em->getRepository('UBVSurUbvBundle:EjeRegional')->findAll();

        return $this->render('ejeregional/index.html.twig', array(
            'ejeRegionals' => $ejeRegionals,
        ));
    }

    /**
     * Creates a new EjeRegional entity.
     *
     * @Route("/new", name="ejeregional_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $ejeRegional = new EjeRegional();
        $form = $this->createForm('UBV\SurUbvBundle\Form\EjeRegionalType', $ejeRegional);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($ejeRegional);
            $em->flush();

            return $this->redirectToRoute('ejeregional_show', array('id' => $ejeRegional->getId()));
        }

        return $this->render('ejeregional/new.html.twig', array(
            'ejeRegional' => $ejeRegional,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a EjeRegional entity.
     *
     * @Route("/{id}", name="ejeregional_show")
     * @Method("GET")
     */
    public function showAction(EjeRegional $ejeRegional)
    {
        $deleteForm = $this->createDeleteForm($ejeRegional);

        return $this->render('ejeregional/show.html.twig', array(
            'ejeRegional' => $ejeRegional,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing EjeRegional entity.
     *
     * @Route("/{id}/edit", name="ejeregional_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, EjeRegional $ejeRegional)
    {
        $deleteForm = $this->createDeleteForm($ejeRegional);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\EjeRegionalType', $ejeRegional);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($ejeRegional);
            $em->flush();

            return $this->redirectToRoute('ejeregional_edit', array('id' => $ejeRegional->getId()));
        }

        return $this->render('ejeregional/edit.html.twig', array(
            'ejeRegional' => $ejeRegional,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a EjeRegional entity.
     *
     * @Route("/{id}", name="ejeregional_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, EjeRegional $ejeRegional)
    {
        $form = $this->createDeleteForm($ejeRegional);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($ejeRegional);
            $em->flush();
        }

        return $this->redirectToRoute('ejeregional_index');
    }

    /**
     * Creates a form to delete a EjeRegional entity.
     *
     * @param EjeRegional $ejeRegional The EjeRegional entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(EjeRegional $ejeRegional)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('ejeregional_delete', array('id' => $ejeRegional->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
