<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\EstadoCivil;
use UBV\SurUbvBundle\Form\EstadoCivilType;

/**
 * EstadoCivil controller.
 *
 * @Route("/estadocivil")
 */
class EstadoCivilController extends Controller
{
    /**
     * Lists all EstadoCivil entities.
     *
     * @Route("/", name="estadocivil_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $estadoCivils = $em->getRepository('UBVSurUbvBundle:EstadoCivil')->findAll();

        return $this->render('estadocivil/index.html.twig', array(
            'estadoCivils' => $estadoCivils,
        ));
    }

    /**
     * Creates a new EstadoCivil entity.
     *
     * @Route("/new", name="estadocivil_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $estadoCivil = new EstadoCivil();
        $form = $this->createForm('UBV\SurUbvBundle\Form\EstadoCivilType', $estadoCivil);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($estadoCivil);
            $em->flush();
            
            $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Estado Civil creado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('estadocivil_index', array('id' => $estadoCivil->getId()));
        }

        return $this->render('estadocivil/new.html.twig', array(
            'estadoCivil' => $estadoCivil,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a EstadoCivil entity.
     *
     * @Route("/{id}", name="estadocivil_show")
     * @Method("GET")
     */
    public function showAction(EstadoCivil $estadoCivil)
    {
        

        return $this->render('estadocivil/show.html.twig', array(
            'estadoCivil' => $estadoCivil,
            
        ));
    }

    /**
     * Displays a form to edit an existing EstadoCivil entity.
     *
     * @Route("/{id}/edit", name="estadocivil_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, EstadoCivil $estadoCivil)
    {
       
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\EstadoCivilType', $estadoCivil);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($estadoCivil);
            $em->flush();
            
            $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Estado Civil Editado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('estadocivil_index', array('id' => $estadoCivil->getId()));
        }

        return $this->render('estadocivil/edit.html.twig', array(
            'estadoCivil' => $estadoCivil,
            'edit_form' => $editForm->createView(),
            
        ));
    }

    /**
   * Deletes a EstadoCivil entity.
   *
   * @Route("/borrar/{id}", name="estadocivil_delete") <--- aqui le defines la ruta que va a tomar-->
   * @Method("GET")
   */
  public function deleteAction(Request $request, $id) {
    $em = $this->getDoctrine()->getManager();
    $entity = $em->getRepository('UBVSurUbvBundle:EstadoCivil')->Find($id);
    $em->remove($entity);
    $em->flush();
    
    $this->get('session')->getFlashBag()->set(
              'danger', array(
          'title' => 'Guardado!',
          'message' => 'Estado Civil Eliminado satisfactoriamente.'
              )
      );

    return $this->redirectToRoute('estadocivil_index');
  }

  /**
   * Creates a form to delete a EstadoCivil entity.
   *
   * @param EjeFormacion $id The EstadoCivil entity
   *
   * @return \Symfony\Component\Form\Form The form
   */
  private function createDeleteForm($id) {
    return $this->createFormBuilder()
                    ->setAction($this->generateUrl('estadocivil_delete', array('id' => $id)))
                    ->setMethod('DELETE')
                    ->getForm()
    ;
  }
}
