<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\Genero;
use UBV\SurUbvBundle\Form\GeneroType;

/**
 * Genero controller.
 *
 * @Route("/genero")
 */
class GeneroController extends Controller
{
    /**
     * Lists all Genero entities.
     *
     * @Route("/", name="genero_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $generos = $em->getRepository('UBVSurUbvBundle:Genero')->findAll();

        return $this->render('genero/index.html.twig', array(
            'generos' => $generos,
        ));
    }

    /**
     * Creates a new Genero entity.
     *
     * @Route("/new", name="genero_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $genero = new Genero();
        $form = $this->createForm('UBV\SurUbvBundle\Form\GeneroType', $genero);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($genero);
            $em->flush();
            
            $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Genero creado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('genero_index', array('id' => $genero->getId()));
        }

        return $this->render('genero/new.html.twig', array(
            'genero' => $genero,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a Genero entity.
     *
     * @Route("/{id}", name="genero_show")
     * @Method("GET")
     */
    public function showAction(Genero $genero)
    {
       

        return $this->render('genero/show.html.twig', array(
            'genero' => $genero,
            
        ));
    }

    /**
     * Displays a form to edit an existing Genero entity.
     *
     * @Route("/{id}/edit", name="genero_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, Genero $genero)
    {
        
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\GeneroType', $genero);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($genero);
            $em->flush();
            
            $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Editado!',
          'message' => 'Genero Editado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('genero_index', array('id' => $genero->getId()));
        }

        return $this->render('genero/edit.html.twig', array(
            'genero' => $genero,
            'edit_form' => $editForm->createView(),
            
        ));
    }

    /**
   * Deletes a Genero entity.
   *
   * @Route("/borrar/{id}", name="genero_delete") <--- aqui le defines la ruta que va a tomar-->
   * @Method("GET")
   */
  public function deleteAction(Request $request, $id) {
    $em = $this->getDoctrine()->getManager();
    $entity = $em->getRepository('UBVSurUbvBundle:Genero')->Find($id);
    $em->remove($entity);
    $em->flush();
    
    $this->get('session')->getFlashBag()->set(
              'danger', array(
          'title' => 'Eliminado!',
          'message' => 'Genero Eliminado satisfactoriamente.'
              )
      );

    return $this->redirectToRoute('genero_index');
  }

  /**
   * Creates a form to delete a Genero entity.
   *
   * @param Genero $id The Genero entity
   *
   * @return \Symfony\Component\Form\Form The form
   */
  private function createDeleteForm($id) {
    return $this->createFormBuilder()
                    ->setAction($this->generateUrl('genero_delete', array('id' => $id)))
                    ->setMethod('DELETE')
                    ->getForm()
    ;
  }
}
