<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\InstitucionEducativa;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Institucioneducativa controller.
 *
 * @Route("institucioneducativa")
 */
class InstitucionEducativaController extends Controller
{
    /**
     * Lists all institucionEducativa entities.
     *
     * @Route("/", name="institucioneducativa_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $institucionEducativas = $em->getRepository('UBVSurUbvBundle:InstitucionEducativa')->findAll();

        return $this->render('institucioneducativa/index.html.twig', array(
            'institucionEducativas' => $institucionEducativas,
        ));
    }

    /**
     * Creates a new institucionEducativa entity.
     *
     * @Route("/new", name="institucioneducativa_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $institucionEducativa = new Institucioneducativa();
        $form = $this->createForm('UBV\SurUbvBundle\Form\InstitucionEducativaType', $institucionEducativa);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($institucionEducativa);
            $em->flush();

            return $this->redirectToRoute('institucioneducativa_show', array('id' => $institucionEducativa->getId()));
        }

        return $this->render('institucioneducativa/new.html.twig', array(
            'institucionEducativa' => $institucionEducativa,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a institucionEducativa entity.
     *
     * @Route("/{id}", name="institucioneducativa_show")
     * @Method("GET")
     */
    public function showAction(InstitucionEducativa $institucionEducativa)
    {
        $deleteForm = $this->createDeleteForm($institucionEducativa);

        return $this->render('institucioneducativa/show.html.twig', array(
            'institucionEducativa' => $institucionEducativa,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing institucionEducativa entity.
     *
     * @Route("/{id}/edit", name="institucioneducativa_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, InstitucionEducativa $institucionEducativa)
    {
        $deleteForm = $this->createDeleteForm($institucionEducativa);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\InstitucionEducativaType', $institucionEducativa);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('institucioneducativa_edit', array('id' => $institucionEducativa->getId()));
        }

        return $this->render('institucioneducativa/edit.html.twig', array(
            'institucionEducativa' => $institucionEducativa,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a institucionEducativa entity.
     *
     * @Route("/{id}", name="institucioneducativa_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, InstitucionEducativa $institucionEducativa)
    {
        $form = $this->createDeleteForm($institucionEducativa);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($institucionEducativa);
            $em->flush();
        }

        return $this->redirectToRoute('institucioneducativa_index');
    }

    /**
     * Creates a form to delete a institucionEducativa entity.
     *
     * @param InstitucionEducativa $institucionEducativa The institucionEducativa entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(InstitucionEducativa $institucionEducativa)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('institucioneducativa_delete', array('id' => $institucionEducativa->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
