<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\Metodologia;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Metodologia controller.
 *
 * @Route("metodologia")
 */
class MetodologiaController extends Controller
{
    /**
     * Lists all metodologia entities.
     *
     * @Route("/", name="metodologia_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $metodologias = $em->getRepository('UBVSurUbvBundle:Metodologia')->findAll();

        return $this->render('metodologia/index.html.twig', array(
            'metodologias' => $metodologias,
        ));
    }

    /**
     * Creates a new metodologia entity.
     *
     * @Route("/new", name="metodologia_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $metodologia = new Metodologia();
        $form = $this->createForm('UBV\SurUbvBundle\Form\MetodologiaType', $metodologia);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($metodologia);
            $em->flush();

            return $this->redirectToRoute('metodologia_show', array('id' => $metodologia->getId()));
        }

        return $this->render('metodologia/new.html.twig', array(
            'metodologia' => $metodologia,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a metodologia entity.
     *
     * @Route("/{id}", name="metodologia_show")
     * @Method("GET")
     */
    public function showAction(Metodologia $metodologia)
    {
        $deleteForm = $this->createDeleteForm($metodologia);

        return $this->render('metodologia/show.html.twig', array(
            'metodologia' => $metodologia,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing metodologia entity.
     *
     * @Route("/{id}/edit", name="metodologia_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, Metodologia $metodologia)
    {
        $deleteForm = $this->createDeleteForm($metodologia);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\MetodologiaType', $metodologia);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('metodologia_edit', array('id' => $metodologia->getId()));
        }

        return $this->render('metodologia/edit.html.twig', array(
            'metodologia' => $metodologia,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a metodologia entity.
     *
     * @Route("/{id}", name="metodologia_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, Metodologia $metodologia)
    {
        $form = $this->createDeleteForm($metodologia);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($metodologia);
            $em->flush();
        }

        return $this->redirectToRoute('metodologia_index');
    }

    /**
     * Creates a form to delete a metodologia entity.
     *
     * @param Metodologia $metodologia The metodologia entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(Metodologia $metodologia)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('metodologia_delete', array('id' => $metodologia->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
