<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\MetodologiaTipo;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Metodologiatipo controller.
 *
 * @Route("metodologiatipo")
 */
class MetodologiaTipoController extends Controller
{
    /**
     * Lists all metodologiaTipo entities.
     *
     * @Route("/", name="metodologiatipo_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $metodologiaTipos = $em->getRepository('UBVSurUbvBundle:MetodologiaTipo')->findAll();

        return $this->render('metodologiatipo/index.html.twig', array(
            'metodologiaTipos' => $metodologiaTipos,
        ));
    }

    /**
     * Creates a new metodologiaTipo entity.
     *
     * @Route("/new", name="metodologiatipo_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $metodologiaTipo = new Metodologiatipo();
        $form = $this->createForm('UBV\SurUbvBundle\Form\MetodologiaTipoType', $metodologiaTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($metodologiaTipo);
            $em->flush();

            return $this->redirectToRoute('metodologiatipo_show', array('id' => $metodologiaTipo->getId()));
        }

        return $this->render('metodologiatipo/new.html.twig', array(
            'metodologiaTipo' => $metodologiaTipo,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a metodologiaTipo entity.
     *
     * @Route("/{id}", name="metodologiatipo_show")
     * @Method("GET")
     */
    public function showAction(MetodologiaTipo $metodologiaTipo)
    {
        $deleteForm = $this->createDeleteForm($metodologiaTipo);

        return $this->render('metodologiatipo/show.html.twig', array(
            'metodologiaTipo' => $metodologiaTipo,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing metodologiaTipo entity.
     *
     * @Route("/{id}/edit", name="metodologiatipo_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, MetodologiaTipo $metodologiaTipo)
    {
        $deleteForm = $this->createDeleteForm($metodologiaTipo);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\MetodologiaTipoType', $metodologiaTipo);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('metodologiatipo_edit', array('id' => $metodologiaTipo->getId()));
        }

        return $this->render('metodologiatipo/edit.html.twig', array(
            'metodologiaTipo' => $metodologiaTipo,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a metodologiaTipo entity.
     *
     * @Route("/{id}", name="metodologiatipo_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, MetodologiaTipo $metodologiaTipo)
    {
        $form = $this->createDeleteForm($metodologiaTipo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($metodologiaTipo);
            $em->flush();
        }

        return $this->redirectToRoute('metodologiatipo_index');
    }

    /**
     * Creates a form to delete a metodologiaTipo entity.
     *
     * @param MetodologiaTipo $metodologiaTipo The metodologiaTipo entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(MetodologiaTipo $metodologiaTipo)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('metodologiatipo_delete', array('id' => $metodologiaTipo->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
