<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\ObjetivoNivel;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Objetivonivel controller.
 *
 * @Route("objetivonivel")
 */
class ObjetivoNivelController extends Controller
{
    /**
     * Lists all objetivoNivel entities.
     *
     * @Route("/", name="objetivonivel_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $objetivoNivels = $em->getRepository('UBVSurUbvBundle:ObjetivoNivel')->findAll();

        return $this->render('objetivonivel/index.html.twig', array(
            'objetivoNivels' => $objetivoNivels,
        ));
    }

    /**
     * Creates a new objetivoNivel entity.
     *
     * @Route("/new", name="objetivonivel_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $objetivoNivel = new Objetivonivel();
        $form = $this->createForm('UBV\SurUbvBundle\Form\ObjetivoNivelType', $objetivoNivel);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($objetivoNivel);
            $em->flush();

            return $this->redirectToRoute('objetivonivel_show', array('id' => $objetivoNivel->getId()));
        }

        return $this->render('objetivonivel/new.html.twig', array(
            'objetivoNivel' => $objetivoNivel,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a objetivoNivel entity.
     *
     * @Route("/{id}", name="objetivonivel_show")
     * @Method("GET")
     */
    public function showAction(ObjetivoNivel $objetivoNivel)
    {
        $deleteForm = $this->createDeleteForm($objetivoNivel);

        return $this->render('objetivonivel/show.html.twig', array(
            'objetivoNivel' => $objetivoNivel,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing objetivoNivel entity.
     *
     * @Route("/{id}/edit", name="objetivonivel_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, ObjetivoNivel $objetivoNivel)
    {
        $deleteForm = $this->createDeleteForm($objetivoNivel);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\ObjetivoNivelType', $objetivoNivel);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('objetivonivel_edit', array('id' => $objetivoNivel->getId()));
        }

        return $this->render('objetivonivel/edit.html.twig', array(
            'objetivoNivel' => $objetivoNivel,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a objetivoNivel entity.
     *
     * @Route("/{id}", name="objetivonivel_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, ObjetivoNivel $objetivoNivel)
    {
        $form = $this->createDeleteForm($objetivoNivel);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($objetivoNivel);
            $em->flush();
        }

        return $this->redirectToRoute('objetivonivel_index');
    }

    /**
     * Creates a form to delete a objetivoNivel entity.
     *
     * @param ObjetivoNivel $objetivoNivel The objetivoNivel entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(ObjetivoNivel $objetivoNivel)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('objetivonivel_delete', array('id' => $objetivoNivel->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
