<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\PeriodoAcademico;
use UBV\SurUbvBundle\Form\PeriodoAcademicoType;

/**
 * PeriodoAcademico controller.
 *
 * @Route("/periodoacademico")
 */
class PeriodoAcademicoController extends Controller
{
    /**
     * Lists all PeriodoAcademico entities.
     *
     * @Route("/", name="periodoacademico_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $periodoAcademicos = $em->getRepository('UBVSurUbvBundle:PeriodoAcademico')->findAll();

        return $this->render('periodoacademico/index.html.twig', array(
            'periodoAcademicos' => $periodoAcademicos,
        ));
    }

    /**
     * Creates a new PeriodoAcademico entity.
     *
     * @Route("/new", name="periodoacademico_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $periodoAcademico = new PeriodoAcademico();
        $form = $this->createForm('UBV\SurUbvBundle\Form\PeriodoAcademicoType', $periodoAcademico);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($periodoAcademico);
            $em->flush();
            
             $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Periodo Academico creado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('periodoacademico_index', array('id' => $periodoAcademico->getId()));
        }

        return $this->render('periodoacademico/new.html.twig', array(
            'periodoAcademico' => $periodoAcademico,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a PeriodoAcademico entity.
     *
     * @Route("/{id}", name="periodoacademico_show")
     * @Method("GET")
     */
    public function showAction(PeriodoAcademico $periodoAcademico)
    {
        

        return $this->render('periodoacademico/show.html.twig', array(
            'periodoAcademico' => $periodoAcademico,
            
        ));
    }

    /**
     * Displays a form to edit an existing PeriodoAcademico entity.
     *
     * @Route("/{id}/edit", name="periodoacademico_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, PeriodoAcademico $periodoAcademico)
    {
        
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\PeriodoAcademicoType', $periodoAcademico);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($periodoAcademico);
            $em->flush();
            
             $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Periodo Academico Editado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('periodoacademico_index', array('id' => $periodoAcademico->getId()));
        }

        return $this->render('periodoacademico/edit.html.twig', array(
            'periodoAcademico' => $periodoAcademico,
            'edit_form' => $editForm->createView(),
            
        ));
    }

    /**
   * Deletes a PeridoAcademico entity.
   *
   * @Route("/borrar/{id}", name="periodoacademico_delete") <--- aqui le defines la ruta que va a tomar-->
   * @Method("GET")
   */
  public function deleteAction(Request $request, $id) {
    $em = $this->getDoctrine()->getManager();
    $entity = $em->getRepository('UBVSurUbvBundle:PeriodoAcademico')->Find($id);
    $em->remove($entity);
    $em->flush();
    
     $this->get('session')->getFlashBag()->set(
              'danger', array(
          'title' => 'Guardado!',
          'message' => 'Periodo Academico Eliminado satisfactoriamente.'
              )
      );

    return $this->redirectToRoute('periodoacademico_index');
  }

  /**
   * Creates a form to delete a PeriodoAcademico entity.
   *
   * @param PeridoAcademicon $id The PeriodoAcademico entity
   *
   * @return \Symfony\Component\Form\Form The form
   */
  private function createDeleteForm($id) {
    return $this->createFormBuilder()
                    ->setAction($this->generateUrl('periodoacademico_delete', array('id' => $id)))
                    ->setMethod('DELETE')
                    ->getForm()
    ;
  }
}