<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\PersonaProyecto;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Personaproyecto controller.
 *
 * @Route("personaproyecto")
 */
class PersonaProyectoController extends Controller
{
    /**
     * Lists all personaProyecto entities.
     *
     * @Route("/", name="personaproyecto_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $personaProyectos = $em->getRepository('UBVSurUbvBundle:PersonaProyecto')->findAll();

        return $this->render('personaproyecto/index.html.twig', array(
            'personaProyectos' => $personaProyectos,
        ));
    }

    /**
     * Creates a new personaProyecto entity.
     *
     * @Route("/new", name="personaproyecto_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $personaProyecto = new Personaproyecto();
        $form = $this->createForm('UBV\SurUbvBundle\Form\PersonaProyectoType', $personaProyecto);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($personaProyecto);
            $em->flush();

            return $this->redirectToRoute('personaproyecto_show', array('id' => $personaProyecto->getId()));
        }

        return $this->render('personaproyecto/new.html.twig', array(
            'personaProyecto' => $personaProyecto,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a personaProyecto entity.
     *
     * @Route("/{id}", name="personaproyecto_show")
     * @Method("GET")
     */
    public function showAction(PersonaProyecto $personaProyecto)
    {
        $deleteForm = $this->createDeleteForm($personaProyecto);

        return $this->render('personaproyecto/show.html.twig', array(
            'personaProyecto' => $personaProyecto,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing personaProyecto entity.
     *
     * @Route("/{id}/edit", name="personaproyecto_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, PersonaProyecto $personaProyecto)
    {
        $deleteForm = $this->createDeleteForm($personaProyecto);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\PersonaProyectoType', $personaProyecto);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('personaproyecto_edit', array('id' => $personaProyecto->getId()));
        }

        return $this->render('personaproyecto/edit.html.twig', array(
            'personaProyecto' => $personaProyecto,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a personaProyecto entity.
     *
     * @Route("/{id}", name="personaproyecto_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, PersonaProyecto $personaProyecto)
    {
        $form = $this->createDeleteForm($personaProyecto);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($personaProyecto);
            $em->flush();
        }

        return $this->redirectToRoute('personaproyecto_index');
    }

    /**
     * Creates a form to delete a personaProyecto entity.
     *
     * @param PersonaProyecto $personaProyecto The personaProyecto entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(PersonaProyecto $personaProyecto)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('personaproyecto_delete', array('id' => $personaProyecto->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
