<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\ProyectoComunidad;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Proyectocomunidad controller.
 *
 * @Route("proyectocomunidad")
 */
class ProyectoComunidadController extends Controller
{
    /**
     * Lists all proyectoComunidad entities.
     *
     * @Route("/", name="proyectocomunidad_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $proyectoComunidads = $em->getRepository('UBVSurUbvBundle:ProyectoComunidad')->findAll();

        return $this->render('proyectocomunidad/index.html.twig', array(
            'proyectoComunidads' => $proyectoComunidads,
        ));
    }

    /**
     * Creates a new proyectoComunidad entity.
     *
     * @Route("/new", name="proyectocomunidad_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $proyectoComunidad = new Proyectocomunidad();
        $form = $this->createForm('UBV\SurUbvBundle\Form\ProyectoComunidadType', $proyectoComunidad);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($proyectoComunidad);
            $em->flush();

            return $this->redirectToRoute('proyectocomunidad_show', array('id' => $proyectoComunidad->getId()));
        }

        return $this->render('proyectocomunidad/new.html.twig', array(
            'proyectoComunidad' => $proyectoComunidad,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a proyectoComunidad entity.
     *
     * @Route("/{id}", name="proyectocomunidad_show")
     * @Method("GET")
     */
    public function showAction(ProyectoComunidad $proyectoComunidad)
    {
        $deleteForm = $this->createDeleteForm($proyectoComunidad);

        return $this->render('proyectocomunidad/show.html.twig', array(
            'proyectoComunidad' => $proyectoComunidad,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing proyectoComunidad entity.
     *
     * @Route("/{id}/edit", name="proyectocomunidad_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, ProyectoComunidad $proyectoComunidad)
    {
        $deleteForm = $this->createDeleteForm($proyectoComunidad);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\ProyectoComunidadType', $proyectoComunidad);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('proyectocomunidad_edit', array('id' => $proyectoComunidad->getId()));
        }

        return $this->render('proyectocomunidad/edit.html.twig', array(
            'proyectoComunidad' => $proyectoComunidad,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a proyectoComunidad entity.
     *
     * @Route("/{id}", name="proyectocomunidad_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, ProyectoComunidad $proyectoComunidad)
    {
        $form = $this->createDeleteForm($proyectoComunidad);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($proyectoComunidad);
            $em->flush();
        }

        return $this->redirectToRoute('proyectocomunidad_index');
    }

    /**
     * Creates a form to delete a proyectoComunidad entity.
     *
     * @param ProyectoComunidad $proyectoComunidad The proyectoComunidad entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(ProyectoComunidad $proyectoComunidad)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('proyectocomunidad_delete', array('id' => $proyectoComunidad->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
