<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\ProyectoEtapa;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Proyectoetapa controller.
 *
 * @Route("proyectoetapa")
 */
class ProyectoEtapaController extends Controller
{
    /**
     * Lists all proyectoEtapa entities.
     *
     * @Route("/", name="proyectoetapa_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $proyectoEtapas = $em->getRepository('UBVSurUbvBundle:ProyectoEtapa')->findAll();

        return $this->render('proyectoetapa/index.html.twig', array(
            'proyectoEtapas' => $proyectoEtapas,
        ));
    }

    /**
     * Creates a new proyectoEtapa entity.
     *
     * @Route("/new", name="proyectoetapa_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $proyectoEtapa = new Proyectoetapa();
        $form = $this->createForm('UBV\SurUbvBundle\Form\ProyectoEtapaType', $proyectoEtapa);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($proyectoEtapa);
            $em->flush();

            return $this->redirectToRoute('proyectoetapa_show', array('id' => $proyectoEtapa->getId()));
        }

        return $this->render('proyectoetapa/new.html.twig', array(
            'proyectoEtapa' => $proyectoEtapa,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a proyectoEtapa entity.
     *
     * @Route("/{id}", name="proyectoetapa_show")
     * @Method("GET")
     */
    public function showAction(ProyectoEtapa $proyectoEtapa)
    {
        $deleteForm = $this->createDeleteForm($proyectoEtapa);

        return $this->render('proyectoetapa/show.html.twig', array(
            'proyectoEtapa' => $proyectoEtapa,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing proyectoEtapa entity.
     *
     * @Route("/{id}/edit", name="proyectoetapa_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, ProyectoEtapa $proyectoEtapa)
    {
        $deleteForm = $this->createDeleteForm($proyectoEtapa);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\ProyectoEtapaType', $proyectoEtapa);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('proyectoetapa_edit', array('id' => $proyectoEtapa->getId()));
        }

        return $this->render('proyectoetapa/edit.html.twig', array(
            'proyectoEtapa' => $proyectoEtapa,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a proyectoEtapa entity.
     *
     * @Route("/{id}", name="proyectoetapa_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, ProyectoEtapa $proyectoEtapa)
    {
        $form = $this->createDeleteForm($proyectoEtapa);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($proyectoEtapa);
            $em->flush();
        }

        return $this->redirectToRoute('proyectoetapa_index');
    }

    /**
     * Creates a form to delete a proyectoEtapa entity.
     *
     * @param ProyectoEtapa $proyectoEtapa The proyectoEtapa entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(ProyectoEtapa $proyectoEtapa)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('proyectoetapa_delete', array('id' => $proyectoEtapa->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
