<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\ProyectoPlanPatria;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Proyectoplanpatrium controller.
 *
 * @Route("proyectoplanpatria")
 */
class ProyectoPlanPatriaController extends Controller
{
    /**
     * Lists all proyectoPlanPatrium entities.
     *
     * @Route("/", name="proyectoplanpatria_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $proyectoPlanPatrias = $em->getRepository('UBVSurUbvBundle:ProyectoPlanPatria')->findAll();

        return $this->render('proyectoplanpatria/index.html.twig', array(
            'proyectoPlanPatrias' => $proyectoPlanPatrias,
        ));
    }

    /**
     * Creates a new proyectoPlanPatrium entity.
     *
     * @Route("/new", name="proyectoplanpatria_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $proyectoPlanPatria = new Proyectoplanpatria();
        $form = $this->createForm('UBV\SurUbvBundle\Form\ProyectoPlanPatriaType', $proyectoPlanPatria);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($proyectoPlanPatria);
            $em->flush();

            return $this->redirectToRoute('proyectoplanpatria_show', array('id' => $proyectoPlanPatria->getId()));
        }

        return $this->render('proyectoplanpatria/new.html.twig', array(
            'proyectoPlanPatria' => $proyectoPlanPatria,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a proyectoPlanPatrium entity.
     *
     * @Route("/{id}", name="proyectoplanpatria_show")
     * @Method("GET")
     */
    public function showAction(ProyectoPlanPatria $proyectoPlanPatria)
    {
        $deleteForm = $this->createDeleteForm($proyectoPlanPatria);

        return $this->render('proyectoplanpatria/show.html.twig', array(
            'proyectoPlanPatria' => $proyectoPlanPatria,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing proyectoPlanPatrium entity.
     *
     * @Route("/{id}/edit", name="proyectoplanpatria_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, ProyectoPlanPatria $proyectoPlanPatria)
    {
        $deleteForm = $this->createDeleteForm($proyectoPlanPatria);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\ProyectoPlanPatriaType', $proyectoPlanPatria);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('proyectoplanpatria_edit', array('id' => $proyectoPlanPatria->getId()));
        }

        return $this->render('proyectoplanpatria/edit.html.twig', array(
            'proyectoPlanPatria' => $proyectoPlanPatria,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a proyectoPlanPatrium entity.
     *
     * @Route("/{id}", name="proyectoplanpatria_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, ProyectoPlanPatria $proyectoPlanPatria)
    {
        $form = $this->createDeleteForm($proyectoPlanPatria);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($proyectoPlanPatria);
            $em->flush();
        }

        return $this->redirectToRoute('proyectoplanpatria_index');
    }

    /**
     * Creates a form to delete a proyectoPlanPatrium entity.
     *
     * @param ProyectoPlanPatria $proyectoPlanPatria The proyectoPlanPatria entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(ProyectoPlanPatria $proyectoPlanPatria)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('proyectoplanpatria_delete', array('id' => $proyectoPlanPatria->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
