<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\Saber;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Saber controller.
 *
 * @Route("saber")
 */
class SaberController extends Controller
{
    /**
     * Lists all saber entities.
     *
     * @Route("/", name="saber_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $sabers = $em->getRepository('UBVSurUbvBundle:Saber')->findAll();

        return $this->render('saber/index.html.twig', array(
            'sabers' => $sabers,
        ));
    }

    /**
     * Creates a new saber entity.
     *
     * @Route("/new", name="saber_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $saber = new Saber();
        $form = $this->createForm('UBV\SurUbvBundle\Form\SaberType', $saber);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($saber);
            $em->flush();

            return $this->redirectToRoute('saber_show', array('id' => $saber->getId()));
        }

        return $this->render('saber/new.html.twig', array(
            'saber' => $saber,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a saber entity.
     *
     * @Route("/{id}", name="saber_show")
     * @Method("GET")
     */
    public function showAction(Saber $saber)
    {
        $deleteForm = $this->createDeleteForm($saber);

        return $this->render('saber/show.html.twig', array(
            'saber' => $saber,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing saber entity.
     *
     * @Route("/{id}/edit", name="saber_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, Saber $saber)
    {
        $deleteForm = $this->createDeleteForm($saber);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\SaberType', $saber);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('saber_edit', array('id' => $saber->getId()));
        }

        return $this->render('saber/edit.html.twig', array(
            'saber' => $saber,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a saber entity.
     *
     * @Route("/{id}", name="saber_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, Saber $saber)
    {
        $form = $this->createDeleteForm($saber);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($saber);
            $em->flush();
        }

        return $this->redirectToRoute('saber_index');
    }

    /**
     * Creates a form to delete a saber entity.
     *
     * @param Saber $saber The saber entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(Saber $saber)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('saber_delete', array('id' => $saber->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
