<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\Tramo;
use UBV\SurUbvBundle\Form\TramoType;

/**
 * Tramo controller.
 *
 * @Route("/tramo")
 */
class TramoController extends Controller
{
    /**
     * Lists all Tramo entities.
     *
     * @Route("/", name="tramo_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $tramos = $em->getRepository('UBVSurUbvBundle:Tramo')->findAll();

        return $this->render('tramo/index.html.twig', array(
            'tramos' => $tramos,
        ));
    }

    /**
     * Creates a new Tramo entity.
     *
     * @Route("/new", name="tramo_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $tramo = new Tramo();
        $form = $this->createForm('UBV\SurUbvBundle\Form\TramoType', $tramo);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($tramo);
            $em->flush();
            
             $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Tramo creado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('tramo_index', array('id' => $tramo->getId()));
        }

        return $this->render('tramo/new.html.twig', array(
            'tramo' => $tramo,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a Tramo entity.
     *
     * @Route("/{id}", name="tramo_show")
     * @Method("GET")
     */
    public function showAction(Tramo $tramo)
    {
        

        return $this->render('tramo/show.html.twig', array(
            'tramo' => $tramo,
            
        ));
    }

    /**
     * Displays a form to edit an existing Tramo entity.
     *
     * @Route("/{id}/edit", name="tramo_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, Tramo $tramo)
    {
        
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\TramoType', $tramo);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($tramo);
            $em->flush();
            
              $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Editado!',
          'message' => 'Tramo Editado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('tramo_index', array('id' => $tramo->getId()));
        }

        return $this->render('tramo/edit.html.twig', array(
            'tramo' => $tramo,
            'edit_form' => $editForm->createView(),
            
        ));
    }

    /**
   * Deletes a Tramo entity.
   *
   * @Route("/borrar/{id}", name="tramo_delete") <--- aqui le defines la ruta que va a tomar-->
   * @Method("GET")
   */
  public function deleteAction(Request $request, $id) {
    $em = $this->getDoctrine()->getManager();
    $entity = $em->getRepository('UBVSurUbvBundle:Tramo')->Find($id);
    $em->remove($entity);
    $em->flush();
    
      $this->get('session')->getFlashBag()->set(
              'danger', array(
          'title' => 'Eliminado!',
          'message' => 'Tramo Eliminado satisfactoriamente.'
              )
      );

    return $this->redirectToRoute('tramo_index');
  }

  /**
   * Creates a form to delete a Tramo entity.
   *
   * @param Tramo $id The Tramo entity
   *
   * @return \Symfony\Component\Form\Form The form
   */
  private function createDeleteForm($id) {
    return $this->createFormBuilder()
                    ->setAction($this->generateUrl('tramo_delete', array('id' => $id)))
                    ->setMethod('DELETE')
                    ->getForm()
    ;
  }
}
