<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\Trayecto;
use UBV\SurUbvBundle\Form\TrayectoType;

/**
 * Trayecto controller.
 *
 * @Route("/trayecto")
 */
class TrayectoController extends Controller
{
    /**
     * Lists all Trayecto entities.
     *
     * @Route("/", name="trayecto_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $trayectos = $em->getRepository('UBVSurUbvBundle:Trayecto')->findAll();

        return $this->render('trayecto/index.html.twig', array(
            'trayectos' => $trayectos,
        ));
    }

    /**
     * Creates a new Trayecto entity.
     *
     * @Route("/new", name="trayecto_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $trayecto = new Trayecto();
        $form = $this->createForm('UBV\SurUbvBundle\Form\TrayectoType', $trayecto);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($trayecto);
            $em->flush();
            
             $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Guardado!',
          'message' => 'Trayecto creado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('trayecto_index', array('id' => $trayecto->getId()));
        }

        return $this->render('trayecto/new.html.twig', array(
            'trayecto' => $trayecto,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a Trayecto entity.
     *
     * @Route("/{id}", name="trayecto_show")
     * @Method("GET")
     */
    public function showAction(Trayecto $trayecto)
    {
       

        return $this->render('trayecto/show.html.twig', array(
            'trayecto' => $trayecto,
            
        ));
    }

    /**
     * Displays a form to edit an existing Trayecto entity.
     *
     * @Route("/{id}/edit", name="trayecto_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, Trayecto $trayecto)
    {
       
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\TrayectoType', $trayecto);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($trayecto);
            $em->flush();
            
            $this->get('session')->getFlashBag()->set(
              'success', array(
          'title' => 'Editado!',
          'message' => 'Trayecto Editado satisfactoriamente.'
              )
      );

            return $this->redirectToRoute('trayecto_index', array('id' => $trayecto->getId()));
        }

        return $this->render('trayecto/edit.html.twig', array(
            'trayecto' => $trayecto,
            'edit_form' => $editForm->createView(),
            
        ));
    }

    /**
   * Deletes a Trayecto entity.
   *
   * @Route("/borrar/{id}", name="trayecto_delete") <--- aqui le defines la ruta que va a tomar-->
   * @Method("GET")
   */
  public function deleteAction(Request $request, $id) {
    $em = $this->getDoctrine()->getManager();
    $entity = $em->getRepository('UBVSurUbvBundle:Trayecto')->Find($id);
    $em->remove($entity);
    $em->flush();
    
    $this->get('session')->getFlashBag()->set(
              'danger', array(
          'title' => 'Eliminado!',
          'message' => 'Trayecto Eliminado satisfactoriamente.'
              )
      );

    return $this->redirectToRoute('trayecto_index');
  }

  /**
   * Creates a form to delete a Trayecto entity.
   *
   * @param Trayecto $id The Trayecto entity
   *
   * @return \Symfony\Component\Form\Form The form
   */
  private function createDeleteForm($id) {
    return $this->createFormBuilder()
                    ->setAction($this->generateUrl('trayecto_delete', array('id' => $id)))
                    ->setMethod('DELETE')
                    ->getForm()
    ;
  }
}
