<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\TutorEstudios;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Tutorestudio controller.
 *
 * @Route("tutorestudios")
 */
class TutorEstudiosController extends Controller
{
    /**
     * Lists all tutorEstudio entities.
     *
     * @Route("/", name="tutorestudios_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $tutorEstudios = $em->getRepository('UBVSurUbvBundle:TutorEstudios')->findAll();

        return $this->render('tutorestudios/index.html.twig', array(
            'tutorEstudios' => $tutorEstudios,
        ));
    }

    /**
     * Creates a new tutorEstudio entity.
     *
     * @Route("/new", name="tutorestudios_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $tutorEstudio = new Tutorestudio();
        $form = $this->createForm('UBV\SurUbvBundle\Form\TutorEstudiosType', $tutorEstudio);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($tutorEstudio);
            $em->flush();

            return $this->redirectToRoute('tutorestudios_show', array('id' => $tutorEstudio->getId()));
        }

        return $this->render('tutorestudios/new.html.twig', array(
            'tutorEstudio' => $tutorEstudio,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a tutorEstudio entity.
     *
     * @Route("/{id}", name="tutorestudios_show")
     * @Method("GET")
     */
    public function showAction(TutorEstudios $tutorEstudio)
    {
        $deleteForm = $this->createDeleteForm($tutorEstudio);

        return $this->render('tutorestudios/show.html.twig', array(
            'tutorEstudio' => $tutorEstudio,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing tutorEstudio entity.
     *
     * @Route("/{id}/edit", name="tutorestudios_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, TutorEstudios $tutorEstudio)
    {
        $deleteForm = $this->createDeleteForm($tutorEstudio);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\TutorEstudiosType', $tutorEstudio);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('tutorestudios_edit', array('id' => $tutorEstudio->getId()));
        }

        return $this->render('tutorestudios/edit.html.twig', array(
            'tutorEstudio' => $tutorEstudio,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a tutorEstudio entity.
     *
     * @Route("/{id}", name="tutorestudios_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, TutorEstudios $tutorEstudio)
    {
        $form = $this->createDeleteForm($tutorEstudio);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($tutorEstudio);
            $em->flush();
        }

        return $this->redirectToRoute('tutorestudios_index');
    }

    /**
     * Creates a form to delete a tutorEstudio entity.
     *
     * @param TutorEstudios $tutorEstudio The tutorEstudio entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(TutorEstudios $tutorEstudio)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('tutorestudios_delete', array('id' => $tutorEstudio->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
