<?php

namespace UBV\SurUbvBundle\Controller;

use UBV\SurUbvBundle\Entity\TutorInstitucional;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;use Symfony\Component\HttpFoundation\Request;

/**
 * Tutorinstitucional controller.
 *
 * @Route("tutorinstitucional")
 */
class TutorInstitucionalController extends Controller
{
    /**
     * Lists all tutorInstitucional entities.
     *
     * @Route("/", name="tutorinstitucional_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $tutorInstitucionals = $em->getRepository('UBVSurUbvBundle:TutorInstitucional')->findAll();

        return $this->render('tutorinstitucional/index.html.twig', array(
            'tutorInstitucionals' => $tutorInstitucionals,
        ));
    }

    /**
     * Creates a new tutorInstitucional entity.
     *
     * @Route("/new", name="tutorinstitucional_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $tutorInstitucional = new Tutorinstitucional();
        $form = $this->createForm('UBV\SurUbvBundle\Form\TutorInstitucionalType', $tutorInstitucional);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($tutorInstitucional);
            $em->flush();

            return $this->redirectToRoute('tutorinstitucional_show', array('id' => $tutorInstitucional->getId()));
        }

        return $this->render('tutorinstitucional/new.html.twig', array(
            'tutorInstitucional' => $tutorInstitucional,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a tutorInstitucional entity.
     *
     * @Route("/{id}", name="tutorinstitucional_show")
     * @Method("GET")
     */
    public function showAction(TutorInstitucional $tutorInstitucional)
    {
        $deleteForm = $this->createDeleteForm($tutorInstitucional);

        return $this->render('tutorinstitucional/show.html.twig', array(
            'tutorInstitucional' => $tutorInstitucional,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing tutorInstitucional entity.
     *
     * @Route("/{id}/edit", name="tutorinstitucional_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, TutorInstitucional $tutorInstitucional)
    {
        $deleteForm = $this->createDeleteForm($tutorInstitucional);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\TutorInstitucionalType', $tutorInstitucional);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('tutorinstitucional_edit', array('id' => $tutorInstitucional->getId()));
        }

        return $this->render('tutorinstitucional/edit.html.twig', array(
            'tutorInstitucional' => $tutorInstitucional,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a tutorInstitucional entity.
     *
     * @Route("/{id}", name="tutorinstitucional_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, TutorInstitucional $tutorInstitucional)
    {
        $form = $this->createDeleteForm($tutorInstitucional);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($tutorInstitucional);
            $em->flush();
        }

        return $this->redirectToRoute('tutorinstitucional_index');
    }

    /**
     * Creates a form to delete a tutorInstitucional entity.
     *
     * @param TutorInstitucional $tutorInstitucional The tutorInstitucional entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(TutorInstitucional $tutorInstitucional)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('tutorinstitucional_delete', array('id' => $tutorInstitucional->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
