<?php

namespace UBV\SurUbvBundle\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use UBV\SurUbvBundle\Entity\UnidadAdministrativa;
use UBV\SurUbvBundle\Form\UnidadAdministrativaType;
use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * UnidadAdministrativa controller.
 *
 * @Route("/unidadadministrativa")
 */
class UnidadAdministrativaController extends Controller
{
    /**
     * Lists all UnidadAdministrativa entities.
     *
     * @Route("/", name="unidadadministrativa_index")
     * @Method("GET")
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getManager();

        $unidadAdministrativas = $em->getRepository('UBVSurUbvBundle:UnidadAdministrativa')->findAll();

        return $this->render('unidadadministrativa/index.html.twig', array(
            'unidadAdministrativas' => $unidadAdministrativas,
        ));
    }
    
    /**
     * 
     * @Route("/unidadAdministrativas", name="select_unidadAdministrativa")
     * @Method("POST")
     */
    public function unidadAdministrativasAction(Request $request) {
      $aldea_id = $request->request->get('aldea_id');
      $em = $this->getDoctrine()->getManager();
      $unidadAdministrativa = $em->getRepository('UBVSurUbvBundle:UnidadAdministrativa')->findUnidadAdministrativaByAldeaId($aldea_id);

      return new JsonResponse($unidadAdministrativa);
    }

    /**
     * Creates a new UnidadAdministrativa entity.
     *
     * @Route("/new", name="unidadadministrativa_new")
     * @Method({"GET", "POST"})
     */
    public function newAction(Request $request)
    {
        $unidadAdministrativa = new UnidadAdministrativa();
        $form = $this->createForm('UBV\SurUbvBundle\Form\UnidadAdministrativaType', $unidadAdministrativa);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($unidadAdministrativa);
            $em->flush();

            return $this->redirectToRoute('unidadadministrativa_show', array('id' => $unidadAdministrativa->getId()));
        }

        return $this->render('unidadadministrativa/new.html.twig', array(
            'unidadAdministrativa' => $unidadAdministrativa,
            'form' => $form->createView(),
        ));
    }

    /**
     * Finds and displays a UnidadAdministrativa entity.
     *
     * @Route("/{id}", name="unidadadministrativa_show")
     * @Method("GET")
     */
    public function showAction(UnidadAdministrativa $unidadAdministrativa)
    {
        $deleteForm = $this->createDeleteForm($unidadAdministrativa);

        return $this->render('unidadadministrativa/show.html.twig', array(
            'unidadAdministrativa' => $unidadAdministrativa,
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Displays a form to edit an existing UnidadAdministrativa entity.
     *
     * @Route("/{id}/edit", name="unidadadministrativa_edit")
     * @Method({"GET", "POST"})
     */
    public function editAction(Request $request, UnidadAdministrativa $unidadAdministrativa)
    {
        $deleteForm = $this->createDeleteForm($unidadAdministrativa);
        $editForm = $this->createForm('UBV\SurUbvBundle\Form\UnidadAdministrativaType', $unidadAdministrativa);
        $editForm->handleRequest($request);

        if ($editForm->isSubmitted() && $editForm->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->persist($unidadAdministrativa);
            $em->flush();

            return $this->redirectToRoute('unidadadministrativa_edit', array('id' => $unidadAdministrativa->getId()));
        }

        return $this->render('unidadadministrativa/edit.html.twig', array(
            'unidadAdministrativa' => $unidadAdministrativa,
            'edit_form' => $editForm->createView(),
            'delete_form' => $deleteForm->createView(),
        ));
    }

    /**
     * Deletes a UnidadAdministrativa entity.
     *
     * @Route("/{id}", name="unidadadministrativa_delete")
     * @Method("DELETE")
     */
    public function deleteAction(Request $request, UnidadAdministrativa $unidadAdministrativa)
    {
        $form = $this->createDeleteForm($unidadAdministrativa);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $em = $this->getDoctrine()->getManager();
            $em->remove($unidadAdministrativa);
            $em->flush();
        }

        return $this->redirectToRoute('unidadadministrativa_index');
    }

    /**
     * Creates a form to delete a UnidadAdministrativa entity.
     *
     * @param UnidadAdministrativa $unidadAdministrativa The UnidadAdministrativa entity
     *
     * @return \Symfony\Component\Form\Form The form
     */
    private function createDeleteForm(UnidadAdministrativa $unidadAdministrativa)
    {
        return $this->createFormBuilder()
            ->setAction($this->generateUrl('unidadadministrativa_delete', array('id' => $unidadAdministrativa->getId())))
            ->setMethod('DELETE')
            ->getForm()
        ;
    }
}
