<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\ActividadEstatus
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\ActividadEstatusRepository")
 * @ORM\Table(name="actividad_estatus", uniqueConstraints={@ORM\UniqueConstraint(name="id_actividad_estatus_UNIQUE", columns={"id"})})
 */
class ActividadEstatus
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="actividad_estatus_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\OneToMany(targetEntity="ActividadEtapa", mappedBy="actividadEstatus")
     * @ORM\JoinColumn(name="id", referencedColumnName="actividad_estatus_id", nullable=false)
     */
    protected $actividadEtapas;

      

    public function __construct()
    {
        $this->actividadEtapas = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\ActividadEstatus
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\ActividadEstatus
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Add ActividadEtapa entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ActividadEtapa $actividadEtapa
     * @return \UBV\SurUbvBundle\Entity\ActividadEstatus
     */
    public function addActividadEtapa(ActividadEtapa $actividadEtapa)
    {
        $this->actividadEtapas[] = $actividadEtapa;

        return $this;
    }

    /**
     * Remove ActividadEtapa entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ActividadEtapa $actividadEtapa
     * @return \UBV\SurUbvBundle\Entity\ActividadEstatus
     */
    public function removeActividadEtapa(ActividadEtapa $actividadEtapa)
    {
        $this->actividadEtapas->removeElement($actividadEtapa);

        return $this;
    }

    /**
     * Get ActividadEtapa entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getActividadEtapas()
    {
        return $this->actividadEtapas;
    }

    public function __sleep()
    {
        return array('id', 'descripcion');
    }
    public function __toString() {
        return $this->descripcion;
    }

}