<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\ActividadEtapa
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\ActividadEtapaRepository")
 * @ORM\Table(name="actividad_etapa", indexes={@ORM\Index(name="fk_actividad_etapa_proyecto_etapa1_idx", columns={"proyecto_etapa_id"}), @ORM\Index(name="fk_actividad_etapa_actividad_estatus1_idx", columns={"actividad_estatus_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_actividad_etapa_UNIQUE", columns={"id"})})
 */
class ActividadEtapa
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="actividad_etapa_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\Column(type="integer")
     */
    protected $tiempo_ejecucion;

    /**
     * @ORM\ManyToOne(targetEntity="ProyectoEtapa", inversedBy="actividadEtapas")
     * @ORM\JoinColumn(name="proyecto_etapa_id", referencedColumnName="id", nullable=false)
     */
    protected $proyectoEtapa;

    /**
     * @ORM\ManyToOne(targetEntity="ActividadEstatus", inversedBy="actividadEtapas")
     * @ORM\JoinColumn(name="actividad_estatus_id", referencedColumnName="id", nullable=false)
     */
    protected $actividadEstatus;

      

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\ActividadEtapa
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\ActividadEtapa
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set the value of tiempo_ejecucion.
     *
     * @param integer $tiempo_ejecucion
     * @return \UBV\SurUbvBundle\Entity\ActividadEtapa
     */
    public function setTiempoEjecucion($tiempo_ejecucion)
    {
        $this->tiempo_ejecucion = $tiempo_ejecucion;

        return $this;
    }

    /**
     * Get the value of tiempo_ejecucion.
     *
     * @return integer
     */
    public function getTiempoEjecucion()
    {
        return $this->tiempo_ejecucion;
    }

    /**
     * Set ProyectoEtapa entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ProyectoEtapa $proyectoEtapa
     * @return \UBV\SurUbvBundle\Entity\ActividadEtapa
     */
    public function setProyectoEtapa(ProyectoEtapa $proyectoEtapa = null)
    {
        $this->proyectoEtapa = $proyectoEtapa;

        return $this;
    }

    /**
     * Get ProyectoEtapa entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ProyectoEtapa
     */
    public function getProyectoEtapa()
    {
        return $this->proyectoEtapa;
    }

    /**
     * Set ActividadEstatus entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ActividadEstatus $actividadEstatus
     * @return \UBV\SurUbvBundle\Entity\ActividadEtapa
     */
    public function setActividadEstatus(ActividadEstatus $actividadEstatus = null)
    {
        $this->actividadEstatus = $actividadEstatus;

        return $this;
    }

    /**
     * Get ActividadEstatus entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ActividadEstatus
     */
    public function getActividadEstatus()
    {
        return $this->actividadEstatus;
    }


    public function __sleep()
    {
        return array('id', 'descripcion', 'tiempo_ejecucion', 'proyecto_etapa_id', 'actividad_estatus_id');
    }

    public function __toString() {
        return $this->descripcion;
    }

}