<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\AporteInstitucion
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\AporteInstitucionRepository")
 * @ORM\Table(name="aporte_institucion", indexes={@ORM\Index(name="fk_aporte_institucion_proyecto1_idx", columns={"proyecto_id"}), @ORM\Index(name="fk_aporte_institucion_aporte_tipo1_idx", columns={"aporte_tipo_id"}), @ORM\Index(name="fk_aporte_institucion_institucion1_idx", columns={"institucion_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_aporte_institucion_UNIQUE", columns={"id"})})
 */
class AporteInstitucion
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="aporte_institucion_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $concepto;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $cantidad;

    /**
     * @ORM\Column(type="date")
     */
    protected $fecha_recepcion;

    /**
     * @ORM\ManyToOne(targetEntity="Proyecto", inversedBy="aporteInstitucions")
     * @ORM\JoinColumn(name="proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $proyecto;

    /**
     * @ORM\ManyToOne(targetEntity="AporteTipo", inversedBy="aporteInstitucions")
     * @ORM\JoinColumn(name="aporte_tipo_id", referencedColumnName="id", nullable=false)
     */
    protected $aporteTipo;

    /**
     * @ORM\ManyToOne(targetEntity="Institucion", inversedBy="aporteInstitucions")
     * @ORM\JoinColumn(name="institucion_id", referencedColumnName="id", nullable=false)
     */
    protected $institucion;

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\AporteInstitucion
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\AporteInstitucion
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set the value of concepto.
     *
     * @param string $concepto
     * @return \UBV\SurUbvBundle\Entity\AporteInstitucion
     */
    public function setConcepto($concepto)
    {
        $this->concepto = $concepto;

        return $this;
    }

    /**
     * Get the value of concepto.
     *
     * @return string
     */
    public function getConcepto()
    {
        return $this->concepto;
    }

    /**
     * Set the value of cantidad.
     *
     * @param string $cantidad
     * @return \UBV\SurUbvBundle\Entity\AporteInstitucion
     */
    public function setCantidad($cantidad)
    {
        $this->cantidad = $cantidad;

        return $this;
    }

    /**
     * Get the value of cantidad.
     *
     * @return string
     */
    public function getCantidad()
    {
        return $this->cantidad;
    }

    /**
     * Set the value of fecha_recepcion.
     *
     * @param \DateTime $fecha_recepcion
     * @return \UBV\SurUbvBundle\Entity\AporteInstitucion
     */
    public function setFechaRecepcion($fecha_recepcion)
    {
        $this->fecha_recepcion = $fecha_recepcion;

        return $this;
    }

    /**
     * Get the value of fecha_recepcion.
     *
     * @return \DateTime
     */
    public function getFechaRecepcion()
    {
        return $this->fecha_recepcion;
    }

    /**
     * Set Proyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Proyecto $proyecto
     * @return \UBV\SurUbvBundle\Entity\AporteInstitucion
     */
    public function setProyecto(Proyecto $proyecto = null)
    {
        $this->proyecto = $proyecto;

        return $this;
    }

    /**
     * Get Proyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function getProyecto()
    {
        return $this->proyecto;
    }

    /**
     * Set AporteTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\AporteTipo $aporteTipo
     * @return \UBV\SurUbvBundle\Entity\AporteInstitucion
     */
    public function setAporteTipo(AporteTipo $aporteTipo = null)
    {
        $this->aporteTipo = $aporteTipo;

        return $this;
    }

    /**
     * Get AporteTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\AporteTipo
     */
    public function getAporteTipo()
    {
        return $this->aporteTipo;
    }

    /**
     * Set Institucion entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Institucion $institucion
     * @return \UBV\SurUbvBundle\Entity\AporteInstitucion
     */
    public function setInstitucion(Institucion $institucion = null)
    {
        $this->institucion = $institucion;

        return $this;
    }

    /**
     * Get Institucion entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Institucion
     */
    public function getInstitucion()
    {
        return $this->institucion;
    }

    public function __sleep()
    {
        return array('id', 'descripcion', 'concepto', 'proyecto_id', 'aporte_tipo_id', 'cantidad', 'fecha_recepcion', 'institucion_id');
    }
}