<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\AreaConocimientoOpsu
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Repository\AreaConocimientoOpsuRepository")
 * @ORM\Table(name="area_conocimiento_opsu", uniqueConstraints={@ORM\UniqueConstraint(name="id_UNIQUE", columns={"id"})})
 */
class AreaConocimientoOpsu
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="area_conocimiento_opsu_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\Column(type="string", length=5)
     */
    protected $codigo;

    /**
     * @ORM\OneToOne(targetEntity="AreaConocimientoUbv", mappedBy="areaConocimientoOpsu")
     */
    protected $areaConocimientoUbv;

    public function __construct()
    {
        $this->areaConocimientoUbvs = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoOpsu
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoOpsu
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set the value of codigo.
     *
     * @param string $codigo
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoOpsu
     */
    public function setCodigo($codigo)
    {
        $this->codigo = $codigo;

        return $this;
    }

    /**
     * Get the value of codigo.
     *
     * @return string
     */
    public function getCodigo()
    {
        return $this->codigo;
    }

    /**
     * Set AreaConocimientoUbv entity (one to one).
     *
     * @param \UBV\SurUbvBundle\Entity\AreaConocimientoUbv $areaConocimientoUbv
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoOpsu
     */
    public function setAreaConocimientoUbv(AreaConocimientoUbv $areaConocimientoUbv = null)
    {
        $areaConocimientoUbv->setAreaConocimientoOpsu($this);
        $this->areaConocimientoUbv = $areaConocimientoUbv;

        return $this;
    }

    /**
     * Get AreaConocimientoUbv entity (one to one).
     *
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoUbv
     */
    public function getAreaConocimientoUbv()
    {
        return $this->areaConocimientoUbv;
    }

    public function __sleep()
    {
        return array('id', 'descripcion', 'codigo');
    }
}