<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\AreaConocimientoUbv
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Repository\AreaConocimientoUbvRepository")
 * @ORM\Table(name="area_conocimiento_ubv", indexes={@ORM\Index(name="fk_area_conocimiento_ubv_area_conocimiento_opsu1_idx", columns={"area_conocimiento_opsu_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_area_conocimiento_ubv_UNIQUE", columns={"id"})})
 */
class AreaConocimientoUbv
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="area_conocimiento_ubv_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\Column(type="string", length=5)
     */
    protected $codigo;

    /**
     * @ORM\Column(type="boolean")
     */
    protected $estatus;

    /**
     * @ORM\OneToOne(targetEntity="CentroEstudio", mappedBy="areaConocimientoUbv")
     */
    protected $centroEstudio;

    /**
     * @ORM\OneToOne(targetEntity="AreaConocimientoOpsu", inversedBy="areaConocimientoUbv")
     * @ORM\JoinColumn(name="area_conocimiento_opsu_id", referencedColumnName="id", nullable=false)
     */
    protected $areaConocimientoOpsu;

    public function __construct()
    {
        $this->centroEstudios = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoUbv
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoUbv
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set the value of codigo.
     *
     * @param string $codigo
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoUbv
     */
    public function setCodigo($codigo)
    {
        $this->codigo = $codigo;

        return $this;
    }

    /**
     * Get the value of codigo.
     *
     * @return string
     */
    public function getCodigo()
    {
        return $this->codigo;
    }

    /**
     * Set the value of estatus.
     *
     * @param boolean $estatus
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoUbv
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;

        return $this;
    }

    /**
     * Get the value of estatus.
     *
     * @return boolean
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set CentroEstudio entity (one to one).
     *
     * @param \UBV\SurUbvBundle\Entity\CentroEstudio $centroEstudio
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoUbv
     */
    public function setCentroEstudio(CentroEstudio $centroEstudio = null)
    {
        $centroEstudio->setAreaConocimientoUbv($this);
        $this->centroEstudio = $centroEstudio;

        return $this;
    }

    /**
     * Get CentroEstudio entity (one to one).
     *
     * @return \UBV\SurUbvBundle\Entity\CentroEstudio
     */
    public function getCentroEstudio()
    {
        return $this->centroEstudio;
    }

    /**
     * Set AreaConocimientoOpsu entity (one to one).
     *
     * @param \UBV\SurUbvBundle\Entity\AreaConocimientoOpsu $areaConocimientoOpsu
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoUbv
     */
    public function setAreaConocimientoOpsu(AreaConocimientoOpsu $areaConocimientoOpsu)
    {
        $this->areaConocimientoOpsu = $areaConocimientoOpsu;

        return $this;
    }

    /**
     * Get AreaConocimientoOpsu entity (one to one).
     *
     * @return \UBV\SurUbvBundle\Entity\AreaConocimientoOpsu
     */
    public function getAreaConocimientoOpsu()
    {
        return $this->areaConocimientoOpsu;
    }

    public function __sleep()
    {
        return array('id', 'descripcion', 'codigo', 'estatus', 'area_conocimiento_opsu_id');
    }
}