<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\DocenteProyecto
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\DocenteProyectoRepository")
 * @ORM\Table(name="docente_proyecto", indexes={@ORM\Index(name="fk_docente_proyecto_docente1_idx", columns={"docente_id"}), @ORM\Index(name="fk_docente_proyecto_proyecto1_idx", columns={"proyecto_id"}), @ORM\Index(name="fk_docente_proyecto_vinculacion_proyecto1_idx", columns={"vinculacion_proyecto_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_docente_proyecto_UNIQUE", columns={"id"})})
 */
class DocenteProyecto
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="docente_proyecto_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="boolean")
     */
    protected $estatus;

    /**
     * @ORM\ManyToOne(targetEntity="Docente", inversedBy="docenteProyectos")
     * @ORM\JoinColumn(name="docente_id", referencedColumnName="id", nullable=false)
     */
    protected $docente;

    /**
     * @ORM\ManyToOne(targetEntity="Proyecto", inversedBy="docenteProyectos")
     * @ORM\JoinColumn(name="proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $proyecto;

    /**
     * @ORM\ManyToOne(targetEntity="VinculacionProyecto", inversedBy="docenteProyectos")
     * @ORM\JoinColumn(name="vinculacion_proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $vinculacionProyecto;

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\DocenteProyecto
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of estatus.
     *
     * @param boolean $estatus
     * @return \UBV\SurUbvBundle\Entity\DocenteProyecto
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;

        return $this;
    }

    /**
     * Get the value of estatus.
     *
     * @return boolean
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set Docente entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Docente $docente
     * @return \UBV\SurUbvBundle\Entity\DocenteProyecto
     */
    public function setDocente(Docente $docente = null)
    {
        $this->docente = $docente;

        return $this;
    }

    /**
     * Get Docente entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Docente
     */
    public function getDocente()
    {
        return $this->docente;
    }

    /**
     * Set Proyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Proyecto $proyecto
     * @return \UBV\SurUbvBundle\Entity\DocenteProyecto
     */
    public function setProyecto(Proyecto $proyecto = null)
    {
        $this->proyecto = $proyecto;

        return $this;
    }

    /**
     * Get Proyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function getProyecto()
    {
        return $this->proyecto;
    }

    /**
     * Set VinculacionProyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\VinculacionProyecto $vinculacionProyecto
     * @return \UBV\SurUbvBundle\Entity\DocenteProyecto
     */
    public function setVinculacionProyecto(VinculacionProyecto $vinculacionProyecto = null)
    {
        $this->vinculacionProyecto = $vinculacionProyecto;

        return $this;
    }

    /**
     * Get VinculacionProyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\VinculacionProyecto
     */
    public function getVinculacionProyecto()
    {
        return $this->vinculacionProyecto;
    }

    public function __sleep()
    {
        return array('id', 'estatus', 'docente_id', 'proyecto_id', 'vinculacion_proyecto_id');
    }
}