<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\EspacioTipo
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Repository\EspacioTipoRepository")
 * @ORM\Table(name="espacio_tipo", uniqueConstraints={@ORM\UniqueConstraint(name="id_espacio_tipo_UNIQUE", columns={"id"})})
 */
class EspacioTipo
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="espacio_tipo_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=70)
     */
    protected $descripcion;

    /**
     * @ORM\OneToMany(targetEntity="AmbienteEspacio", mappedBy="espacioTipo")
     * @ORM\JoinColumn(name="id", referencedColumnName="espacio_tipo_id", nullable=false)
     */
    protected $ambienteEspacios;

    public function __construct()
    {
        $this->ambienteEspacios = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\EspacioTipo
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\EspacioTipo
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Add AmbienteEspacio entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\AmbienteEspacio $ambienteEspacio
     * @return \UBV\SurUbvBundle\Entity\EspacioTipo
     */
    public function addAmbienteEspacio(AmbienteEspacio $ambienteEspacio)
    {
        $this->ambienteEspacios[] = $ambienteEspacio;

        return $this;
    }

    /**
     * Remove AmbienteEspacio entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\AmbienteEspacio $ambienteEspacio
     * @return \UBV\SurUbvBundle\Entity\EspacioTipo
     */
    public function removeAmbienteEspacio(AmbienteEspacio $ambienteEspacio)
    {
        $this->ambienteEspacios->removeElement($ambienteEspacio);

        return $this;
    }

    /**
     * Get AmbienteEspacio entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getAmbienteEspacios()
    {
        return $this->ambienteEspacios;
    }

    public function __sleep()
    {
        return array('id', 'descripcion');
    }
}