<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\EstudianteProyecto
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Repository\EstudianteProyectoRepository")
 * @ORM\Table(name="estudiante_proyecto", indexes={@ORM\Index(name="fk_estudiante_proyecto_estudiante_detalle1_idx", columns={"estudiante_detalle_id"}), @ORM\Index(name="fk_estudiante_proyecto_proyecto1_idx", columns={"proyecto_id"}), @ORM\Index(name="fk_estudiante_proyecto_vinculacion_proyecto1_idx", columns={"vinculacion_proyecto_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_estudiante_proyecto_UNIQUE", columns={"id"})})
 */
class EstudianteProyecto
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="estudiante_proyecto_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\ManyToOne(targetEntity="EstudianteDetalle", inversedBy="estudianteProyectos")
     * @ORM\JoinColumn(name="estudiante_detalle_id", referencedColumnName="id", nullable=false)
     */
    protected $estudianteDetalle;

    /**
     * @ORM\ManyToOne(targetEntity="Proyecto", inversedBy="estudianteProyectos")
     * @ORM\JoinColumn(name="proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $proyecto;

    /**
     * @ORM\ManyToOne(targetEntity="VinculacionProyecto", inversedBy="estudianteProyectos")
     * @ORM\JoinColumn(name="vinculacion_proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $vinculacionProyecto;

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\EstudianteProyecto
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set EstudianteDetalle entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\EstudianteDetalle $estudianteDetalle
     * @return \UBV\SurUbvBundle\Entity\EstudianteProyecto
     */
    public function setEstudianteDetalle(EstudianteDetalle $estudianteDetalle = null)
    {
        $this->estudianteDetalle = $estudianteDetalle;

        return $this;
    }

    /**
     * Get EstudianteDetalle entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\EstudianteDetalle
     */
    public function getEstudianteDetalle()
    {
        return $this->estudianteDetalle;
    }

    /**
     * Set Proyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Proyecto $proyecto
     * @return \UBV\SurUbvBundle\Entity\EstudianteProyecto
     */
    public function setProyecto(Proyecto $proyecto = null)
    {
        $this->proyecto = $proyecto;

        return $this;
    }

    /**
     * Get Proyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function getProyecto()
    {
        return $this->proyecto;
    }

    /**
     * Set VinculacionProyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\VinculacionProyecto $vinculacionProyecto
     * @return \UBV\SurUbvBundle\Entity\EstudianteProyecto
     */
    public function setVinculacionProyecto(VinculacionProyecto $vinculacionProyecto = null)
    {
        $this->vinculacionProyecto = $vinculacionProyecto;

        return $this;
    }

    /**
     * Get VinculacionProyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\VinculacionProyecto
     */
    public function getVinculacionProyecto()
    {
        return $this->vinculacionProyecto;
    }

    public function __sleep()
    {
        return array('id', 'estudiante_detalle_id', 'proyecto_id', 'vinculacion_proyecto_id');
    }
}