<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\InstitucionEducativa
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\InstitucionEducativaRepository")
 * @ORM\Table(name="institucion_educativa", indexes={@ORM\Index(name="fk_institucion_educativa_institucion_tipo1_idx", columns={"institucion_tipo_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_institucion_educativa_UNIQUE", columns={"id"})})
 */
class InstitucionEducativa
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="institucion_educativa_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\OneToMany(targetEntity="TutorEstudios", mappedBy="institucionEducativa")
     * @ORM\JoinColumn(name="id", referencedColumnName="institucion_educativa_id", nullable=false)
     */
    protected $tutorEstudios;

    /**
     * @ORM\ManyToOne(targetEntity="InstitucionTipo", inversedBy="institucionEducativas")
     * @ORM\JoinColumn(name="institucion_tipo_id", referencedColumnName="id", nullable=false)
     */
    protected $institucionTipo;

    public function __construct()
    {
        $this->tutorEstudios = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\InstitucionEducativa
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\InstitucionEducativa
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Add TutorEstudios entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\TutorEstudios $tutorEstudios
     * @return \UBV\SurUbvBundle\Entity\InstitucionEducativa
     */
    public function addTutorEstudios(TutorEstudios $tutorEstudios)
    {
        $this->tutorEstudios[] = $tutorEstudios;

        return $this;
    }

    /**
     * Remove TutorEstudios entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\TutorEstudios $tutorEstudios
     * @return \UBV\SurUbvBundle\Entity\InstitucionEducativa
     */
    public function removeTutorEstudios(TutorEstudios $tutorEstudios)
    {
        $this->tutorEstudios->removeElement($tutorEstudios);

        return $this;
    }

    /**
     * Get TutorEstudios entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getTutorEstudios()
    {
        return $this->tutorEstudios;
    }

    /**
     * Set InstitucionTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\InstitucionTipo $institucionTipo
     * @return \UBV\SurUbvBundle\Entity\InstitucionEducativa
     */
    public function setInstitucionTipo(InstitucionTipo $institucionTipo = null)
    {
        $this->institucionTipo = $institucionTipo;

        return $this;
    }

    /**
     * Get InstitucionTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\InstitucionTipo
     */
    public function getInstitucionTipo()
    {
        return $this->institucionTipo;
    }

    public function __sleep()
    {
        return array('id', 'descripcion', 'institucion_tipo_id');
    }
    public function __toString() {
        return $this->descripcion;
    }
}