<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\InstitucionTipo
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\InstitucionTipoRepository")
 * @ORM\Table(name="institucion_tipo", uniqueConstraints={@ORM\UniqueConstraint(name="id_institucion_tipo_UNIQUE", columns={"id"})})
 */
class InstitucionTipo
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="institucion_tipo_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\OneToMany(targetEntity="Institucion", mappedBy="institucionTipo")
     * @ORM\JoinColumn(name="id", referencedColumnName="institucion_tipo_id", nullable=false)
     */
    protected $institucions;

    /**
     * @ORM\OneToMany(targetEntity="InstitucionEducativa", mappedBy="institucionTipo")
     * @ORM\JoinColumn(name="id", referencedColumnName="institucion_tipo_id", nullable=false)
     */
    protected $institucionEducativas;

      

    public function __construct()
    {
        $this->institucions = new ArrayCollection();
        $this->institucionEducativas = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\InstitucionTipo
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\InstitucionTipo
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Add Institucion entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\Institucion $institucion
     * @return \UBV\SurUbvBundle\Entity\InstitucionTipo
     */
    public function addInstitucion(Institucion $institucion)
    {
        $this->institucions[] = $institucion;

        return $this;
    }

    /**
     * Remove Institucion entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\Institucion $institucion
     * @return \UBV\SurUbvBundle\Entity\InstitucionTipo
     */
    public function removeInstitucion(Institucion $institucion)
    {
        $this->institucions->removeElement($institucion);

        return $this;
    }

    /**
     * Get Institucion entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getInstitucions()
    {
        return $this->institucions;
    }

    /**
     * Add InstitucionEducativa entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\InstitucionEducativa $institucionEducativa
     * @return \UBV\SurUbvBundle\Entity\InstitucionTipo
     */
    public function addInstitucionEducativa(InstitucionEducativa $institucionEducativa)
    {
        $this->institucionEducativas[] = $institucionEducativa;

        return $this;
    }

    /**
     * Remove InstitucionEducativa entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\InstitucionEducativa $institucionEducativa
     * @return \UBV\SurUbvBundle\Entity\InstitucionTipo
     */
    public function removeInstitucionEducativa(InstitucionEducativa $institucionEducativa)
    {
        $this->institucionEducativas->removeElement($institucionEducativa);

        return $this;
    }

    /**
     * Get InstitucionEducativa entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getInstitucionEducativas()
    {
        return $this->institucionEducativas;
    }

    public function __sleep()
    {
        return array('id', 'descripcion');

            }

            public function __toString() {
                return $this->descripcion;
            }
}