<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\MetodologiaTipo
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\MetodologiaTipoRepository")
 * @ORM\Table(name="metodologia_tipo", uniqueConstraints={@ORM\UniqueConstraint(name="id_metodologia_tipo_UNIQUE", columns={"id"})})
 */
class MetodologiaTipo
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="metodologia_tipo_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\OneToMany(targetEntity="Metodologia", mappedBy="metodologiaTipo")
     * @ORM\JoinColumn(name="id", referencedColumnName="metodologia_tipo_id", nullable=false)
     */
    protected $metodologias;

    public function __construct()
    {
        $this->metodologias = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\MetodologiaTipo
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\MetodologiaTipo
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Add Metodologia entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\Metodologia $metodologia
     * @return \UBV\SurUbvBundle\Entity\MetodologiaTipo
     */
    public function addMetodologia(Metodologia $metodologia)
    {
        $this->metodologias[] = $metodologia;

        return $this;
    }

    /**
     * Remove Metodologia entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\Metodologia $metodologia
     * @return \UBV\SurUbvBundle\Entity\MetodologiaTipo
     */
    public function removeMetodologia(Metodologia $metodologia)
    {
        $this->metodologias->removeElement($metodologia);

        return $this;
    }

    /**
     * Get Metodologia entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getMetodologias()
    {
        return $this->metodologias;
    }

    
    public function __sleep()
    {
        return array('id', 'descripcion');
    }
   
    public function __toString() {
        return $this->descripcion;
    }

}