<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\ObjetivoEspecifico
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\ObjetivoEspecificoRepository")
 * @ORM\Table(name="objetivo_especifico", indexes={@ORM\Index(name="fk_objetivo_especifico_proyecto1_idx", columns={"proyecto_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_objetivo_especifico_UNIQUE", columns={"id"})})
 */
class ObjetivoEspecifico
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="objetivo_especifico_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="integer")
     */
    protected $objetivo_numero;

    /**
     * @ORM\Column(type="string", length=250)
     */
    protected $descripcion;

    /**
     * @ORM\ManyToOne(targetEntity="Proyecto", inversedBy="objetivoEspecificos")
     * @ORM\JoinColumn(name="proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $proyecto;

    public function __construct()
    {
        
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\ObjetivoEspecifico
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of objetivo_numero.
     *
     * @param integer $objetivo_numero
     * @return \UBV\SurUbvBundle\Entity\ObjetivoEspecifico
     */
    public function setObjetivoNumero($objetivo_numero)
    {
        $this->objetivo_numero = $objetivo_numero;

        return $this;
    }

    /**
     * Get the value of objetivo_numero.
     *
     * @return integer
     */
    public function getObjetivoNumero()
    {
        return $this->objetivo_numero;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\ObjetivoEspecifico
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set Proyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Proyecto $proyecto
     * @return \UBV\SurUbvBundle\Entity\ObjetivoEspecifico
     */
    public function setProyecto(Proyecto $proyecto = null)
    {
        $this->proyecto = $proyecto;

        return $this;
    }

    /**
     * Get Proyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function getProyecto()
    {
        return $this->proyecto;
    }

    public function __sleep()
    {
        return array('id', 'objetivo_numero', 'descripcion', 'proyecto_id');
    }

    public function __toString() {
        return $this->descripcion;
    }


}