<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\ObjetivoNivel
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\ObjetivoNivelRepository")
 * @ORM\Table(name="objetivo_nivel", uniqueConstraints={@ORM\UniqueConstraint(name="id_objetivo_nivel_UNIQUE", columns={"id"})})
 */
class ObjetivoNivel
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="objetivo_nivel_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\OneToMany(targetEntity="ObjetivoPlanPatria", mappedBy="objetivoNivel")
     * @ORM\JoinColumn(name="id", referencedColumnName="objetivo_nivel_id", nullable=false)
     */
    protected $objetivoPlanPatrias;

    public function __construct()
    {
        $this->objetivoPlanPatrias = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\ObjetivoNivel
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\ObjetivoNivel
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Add ObjetivoPlanPatria entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ObjetivoPlanPatria $objetivoPlanPatria
     * @return \UBV\SurUbvBundle\Entity\ObjetivoNivel
     */
    public function addObjetivoPlanPatria(ObjetivoPlanPatria $objetivoPlanPatria)
    {
        $this->objetivoPlanPatrias[] = $objetivoPlanPatria;

        return $this;
    }

    /**
     * Remove ObjetivoPlanPatria entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ObjetivoPlanPatria $objetivoPlanPatria
     * @return \UBV\SurUbvBundle\Entity\ObjetivoNivel
     */
    public function removeObjetivoPlanPatria(ObjetivoPlanPatria $objetivoPlanPatria)
    {
        $this->objetivoPlanPatrias->removeElement($objetivoPlanPatria);

        return $this;
    }

    /**
     * Get ObjetivoPlanPatria entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getObjetivoPlanPatrias()
    {
        return $this->objetivoPlanPatrias;
    }

    public function __sleep()
    {
        return array('id', 'descripcion');
    }

    public function __toString() {
        return $this->descripcion;
    }
}