<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\ProgramaLineaInvestigacion
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\ProgramaLineaInvestigacionRepository")
 * @ORM\Table(name="programa_linea_investigacion", indexes={@ORM\Index(name="fk_programa_linea_investigacion_linea_investigacion1_idx", columns={"linea_investigacion_id"}), @ORM\Index(name="fk_programa_linea_investigacion_programa1_idx", columns={"programa_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_programa_linea_investigacion_UNIQUE", columns={"id"})})
 */
class ProgramaLineaInvestigacion
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer", options={"unsigned":true})
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="programa_linea_investigacion_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\ManyToOne(targetEntity="LineaInvestigacion", inversedBy="programaLineaInvestigacions")
     * @ORM\JoinColumn(name="linea_investigacion_id", referencedColumnName="id", nullable=false)
     */
    protected $lineaInvestigacion;

    /**
     * @ORM\ManyToOne(targetEntity="Programa", inversedBy="programaLineaInvestigacions")
     * @ORM\JoinColumn(name="programa_id", referencedColumnName="id", nullable=false)
     */
    protected $programa;

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\ProgramaLineaInvestigacion
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set LineaInvestigacion entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\LineaInvestigacion $lineaInvestigacion
     * @return \UBV\SurUbvBundle\Entity\ProgramaLineaInvestigacion
     */
    public function setLineaInvestigacion(LineaInvestigacion $lineaInvestigacion = null)
    {
        $this->lineaInvestigacion = $lineaInvestigacion;

        return $this;
    }

    /**
     * Get LineaInvestigacion entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\LineaInvestigacion
     */
    public function getLineaInvestigacion()
    {
        return $this->lineaInvestigacion;
    }

    /**
     * Set Programa entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Programa $programa
     * @return \UBV\SurUbvBundle\Entity\ProgramaLineaInvestigacion
     */
    public function setPrograma(Programa $programa = null)
    {
        $this->programa = $programa;

        return $this;
    }

    /**
     * Get Programa entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Programa
     */
    public function getPrograma()
    {
        return $this->programa;
    }

    public function __sleep()
    {
        return array('id', 'linea_investigacion_id', 'programa_id');
    }
}
