<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;
use Symfony\Component\Validator\Constraints as Assert;




/**
 * UBV\SurUbvBundle\Entity\Proyecto
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\ProyectoRepository")
 * @ORM\Table(name="proyecto", indexes={@ORM\Index(name="fk_proyecto_metodologia1_idx", columns={"metodologia_id"}), @ORM\Index(name="fk_proyecto_linea_investigacion1_idx", columns={"linea_investigacion_id"}), @ORM\Index(name="fk_proyecto_ambito1_idx", columns={"ambito_id"}), @ORM\Index(name="fk_proyecto_parroquia1_idx", columns={"parroquia_id"}), @ORM\Index(name="fk_proyecto_ciudad1_idx", columns={"ciudad_id"}), @ORM\Index(name="fk_proyecto_proyecto_tipo1_idx", columns={"proyecto_tipo_id"}), @ORM\Index(name="fk_proyecto_proyecto_estatus1_idx", columns={"proyecto_estatus_id"}), @ORM\Index(name="fk_proyecto_aldea_programa1_idx", columns={"aldea_programa_id"}), @ORM\Index(name="fk_proyecto_nucleo_academico1_idx", columns={"nucleo_academico_id"}), @ORM\Index(name="fk_proyecto_resgistro_estatus1_idx", columns={"resgistro_estatus_id"}), @ORM\Index(name="fk_proyecto_nucleo_academico2_idx", columns={"nucleo_academico_id1"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_proyecto_UNIQUE", columns={"id"})})
 */
class Proyecto
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="proyecto_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=250)
     * @Assert\Length(
     *      min = 2,
     *      max = 250,
     *      minMessage = "El Titulo no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "El Titulo Supera la longitud Maxima {{ limit }} de Caracteres"
     * )
     * @Assert\NotBlank()
     */
    protected $titulo;

    /**
     * @ORM\Column(type="string", length=350)
     * @Assert\Length(
     *      min = 2,
     *      max = 350,
     *      minMessage = "El Objetivo General no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "El Objetivo General Supera la longitud Maxima {{ limit }} de Caracteres"
     * )
     
     * @Assert\NotBlank()
     */
    protected $objetivo_general;

    /**
     * @ORM\Column(type="string", length=1500)
     * @Assert\Length(
     *      min = 2,
     *      max = 1500,
     *      minMessage = "La Descripcion no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "La Descripcion Supera la longitud Maxima {{ limit }} de Caracteres"
     * )
     * @Assert\NotBlank()
     */
    protected $descripcion;

    /**
     * @ORM\Column(type="string", length=45)
     * @Assert\Length(
     *      min = 2,
     *      max = 45,
     *      minMessage = "Los Beneficiarios Directos no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "Los Beneficiarios Directos Supera la longitud Maxima {{ limit }} de Caracteres"
     * ) 
     * @Assert\NotBlank()
     */
    protected $beneficiarios_directos;

    /**
     * @ORM\Column(type="string", length=45)
      * @Assert\Length(
     *      min = 2,
     *      max = 45,
     *      minMessage = "Los Beneficiarios Indirectos no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "Los Beneficiarios Indirectos Supera la longitud Maxima {{ limit }} de Caracteres"
     * ) 
     * @Assert\NotBlank()
     */
    protected $beneficiarios_indirectos;

    /**
     * @ORM\Column(type="date")
     * @Assert\Date()
     * @Assert\NotBlank()
     */
    protected $fecha_inicio;

    /**
     * @ORM\Column(type="date")
     * @Assert\Date()
     * @Assert\NotBlank()
     */
    protected $fecha_fin;

    /**
     * @ORM\Column(type="string", length=700)
      * @Assert\Length(
     *      min = 2,
     *      max = 700,
     *      minMessage = "El Objetivio del Plan de la Patria no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "El Objetivio del Plan de la Patria Supera la longitud Maxima {{ limit }} de Caracteres"
     * ) 
     * @Assert\NotBlank()
     */
    protected $vinculacion_plan_patria;

    /**
     * @ORM\Column(type="string", length=700)
     * @Assert\Length(
     *      min = 2,
     *      max = 45,
     *      minMessage = "Los Proyectos Estrategicos no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "Los Proyectos Estrategicos Supera la longitud Maxima {{ limit }} de Caracteres"
     * ) 
     * @Assert\NotBlank()
     */
    protected $proyectos_estrategicos;

    /**
     * @ORM\Column(type="string", length=45)
     * @Assert\Length(
     *      min = 2,
     *      max = 45,
     *      minMessage = "Los Proyectos Estrategicos no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "Los Proyectos Estrategicos Supera la longitud Maxima {{ limit }} de Caracteres"
     * ) 
     * @Assert\NotBlank()
     * @Assert\NotBlank()
     */
    protected $proyectocol;

    /**
     * @ORM\Column(type="string", length=200, nullable=true)
     * @Assert\Length(
     *      min = 2,
     *      max = 200,
     *      minMessage = "La Direccion no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "La Direccion Supera la longitud Maxima {{ limit }} de Caracteres"
     * ) 
     * @Assert\NotBlank()
     */
    protected $direccion;

    /**
     * @ORM\Column(type="text")
     * @Assert\Length(
     *      min = 2,
     *      max = 50,
     *      minMessage = "Las Coordenadas de Latitud no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "Las Coordenadas de Latitud Supera la longitud Maxima {{ limit }} de Caracteres"
     * ) 
     * @Assert\NotBlank()
     */
    
    protected $coordenada_latitud;

    /**
     * @ORM\Column(type="text")
     * @Assert\Length(
     *      min = 2,
     *      max = 50,
     *      minMessage = "Las Coordenadas de Longitud no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "Las Coordenadas de Longitud supera la longitud Maxima {{ limit }} de Caracteres"
     * ) 
     * @Assert\NotBlank()
     */
    protected $coordenada_longitud;

    /**
     * @ORM\Column(type="date")
     * @Assert\Date()
     * @Assert\NotBlank()
     */
    protected $fecha_registro;

    /**
     * @ORM\Column(type="string", length=45)
     * @Assert\Length(
     *      min = 2,
     *      max = 45,
     *      minMessage = "El Resumen de la Ruta no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "El Resumen de la Ruta supera la longitud Maxima {{ limit }} de Caracteres"
     * ) 
     * @Assert\NotBlank()
     */
    protected $resumes_ruta;

    /**
     * @ORM\OneToMany(targetEntity="AporteInstitucion", mappedBy="proyecto")
     * @ORM\JoinColumn(name="id", referencedColumnName="proyecto_id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $aporteInstitucions;

    /**
     * @ORM\OneToMany(targetEntity="DocenteProyecto", mappedBy="proyecto")
     * @ORM\JoinColumn(name="id", referencedColumnName="proyecto_id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $docenteProyectos;

    /**
     * @ORM\OneToMany(targetEntity="EstudianteProyecto", mappedBy="proyecto")
     * @ORM\JoinColumn(name="id", referencedColumnName="proyecto_id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $estudianteProyectos;

    /**
     * @ORM\OneToMany(targetEntity="ObjetivoEspecifico", mappedBy="proyectos")
     * @ORM\JoinColumn(name="objetivoEspecifico_id", referencedColumnName="proyecto_id", nullable=false)
     * @Assert\Length(
     *      min = 2,
     *      max = 150,
     *      minMessage = "El Objetivo Especifico no tiene la longitud Minima {{ limit }} de Caracteres",
     *      maxMessage = "El Objetivo Especifico supera la longitud Maxima {{ limit }} de Caracteres"
     * ) 
     * @Assert\NotBlank()
     */
    protected $objetivoEspecificos;

    /**
     * @ORM\OneToMany(targetEntity="ProyectoComunidad", mappedBy="proyecto")
     * @ORM\JoinColumn(name="id", referencedColumnName="proyecto_id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $proyectoComunidads;

    /**
     * @ORM\OneToMany(targetEntity="ProyectoDetalle", mappedBy="proyecto")
     * @ORM\JoinColumn(name="id", referencedColumnName="proyecto_id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $proyectoDetalles;

    /**
     * @ORM\OneToMany(targetEntity="ProyectoEtapa", mappedBy="proyecto")
     * @ORM\JoinColumn(name="id", referencedColumnName="proyecto_id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $proyectoEtapas;

    /**
     * @ORM\OneToMany(targetEntity="Saber", mappedBy="proyecto")
     * @ORM\JoinColumn(name="id", referencedColumnName="proyecto_id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $sabers;

    /**
     * @ORM\OneToMany(targetEntity="TutorInstitucional", mappedBy="proyecto")
     * @ORM\JoinColumn(name="id", referencedColumnName="proyecto_id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $tutorInstitucionals;

    /**
     * @ORM\ManyToOne(targetEntity="Metodologia", inversedBy="proyectos")
     * @ORM\JoinColumn(name="metodologia_id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $metodologia;

    /**
     * @ORM\ManyToOne(targetEntity="LineaInvestigacion", inversedBy="proyectos")
     * @ORM\JoinColumn(name="linea_investigacion_id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $lineaInvestigacion;

    /**
     * @ORM\ManyToOne(targetEntity="Ambito", inversedBy="proyectos")
     * @ORM\JoinColumn(name="ambito_id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $ambito;

    /**
     * @ORM\ManyToOne(targetEntity="Parroquia", inversedBy="proyectos")
     * @ORM\JoinColumn(name="parroquia_id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $parroquia;

    /**
     * @ORM\ManyToOne(targetEntity="Ciudad", inversedBy="proyectos")
     * @ORM\JoinColumn(name="ciudad_id", referencedColumnName="id")
     * @Assert\NotBlank()
     */
    protected $ciudad;

    /**
     * @ORM\ManyToOne(targetEntity="ProyectoTipo", inversedBy="proyectos")
     * @ORM\JoinColumn(name="proyecto_tipo_id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $proyectoTipo;

    /**
     * @ORM\ManyToOne(targetEntity="ProyectoEstatus", inversedBy="proyectos")
     * @ORM\JoinColumn(name="proyecto_estatus_id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $proyectoEstatus;

    /**
     * @ORM\ManyToOne(targetEntity="AldeaPrograma", inversedBy="proyectos")
     * @ORM\JoinColumn(name="aldea_programa_id", referencedColumnName="id")
     * @Assert\NotBlank()
     */
    protected $aldeaPrograma;

    /**
     * @ORM\ManyToOne(targetEntity="NucleoAcademico", inversedBy="proyectoRelatedByNucleoAcademicoIds")
     * @ORM\JoinColumn(name="nucleo_academico_id", referencedColumnName="id")
     * @Assert\NotBlank()
     */
    protected $nucleoAcademicoRelatedByNucleoAcademicoId;

    /**
     * @ORM\ManyToOne(targetEntity="ResgistroEstatus", inversedBy="proyectos")
     * @ORM\JoinColumn(name="resgistro_estatus_id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $resgistroEstatus;

    /**
     * @ORM\ManyToOne(targetEntity="NucleoAcademico", inversedBy="proyectoRelatedByNucleoAcademicoId1s")
     * @ORM\JoinColumn(name="nucleo_academico_id1", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $nucleoAcademicoRelatedByNucleoAcademicoId1;

    /**
     * @ORM\ManyToMany(targetEntity="ObjetivoPlanPatria", mappedBy="proyectos")
     * @Assert\NotBlank()
     */
    protected $objetivoPlanPatrias;


  



    








/**
     * @ORM\ManyToOne(targetEntity="MetodologiaTipo", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $metodologiaTipo;

     /**
     * @ORM\ManyToOne(targetEntity="ActividadEstatus", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $actividadEstatus;
    
    /**
     * @ORM\ManyToOne(targetEntity="ActividadEtapa", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $actividadEtapa;

    /**
     * @ORM\ManyToOne(targetEntity="ComunidadTipo", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $comunidadTipo;

    /**
     * @ORM\ManyToOne(targetEntity="Comunidad", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $comunidad;

    /**
     * @ORM\ManyToOne(targetEntity="PersonaProyecto", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $personaProyecto;

 /**
     * @ORM\ManyToOne(targetEntity="InstitucionTipo", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * * @Assert\Choice({"Publica", "Privada"}) 
     * @Assert\NotBlank()
     */
    protected $institucionTipo;

     /**
     * @ORM\ManyToOne(targetEntity="Pais", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $pais;

      /**
     * @ORM\ManyToOne(targetEntity="Estado", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $estado;

      /**
     * @ORM\ManyToOne(targetEntity="Municipio", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $municipio;

     /**
     * @ORM\ManyToOne(targetEntity="SaberTipo", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $saberTipo;

     /**
     * @ORM\ManyToOne(targetEntity="Ambiente", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $ambiente;

    /**
     * @ORM\ManyToOne(targetEntity="ProgramaTipo", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $programaTipo;

      /**
     * @ORM\ManyToOne(targetEntity="Institucion", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $institucion;    

 /**
     * @ORM\ManyToOne(targetEntity="AporteTipo", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $aporteTipo;


 /**
     * @ORM\ManyToOne(targetEntity="DocenteProyecto", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $docenteProyecto;

 /**
     * @ORM\ManyToOne(targetEntity="InstitucionEducativa", inversedBy="proyectos")
     * @ORM\JoinColumn(name="id", referencedColumnName="id", nullable=false)
     * @Assert\NotBlank()
     */
    protected $institucionEducativa;


    public function __construct()
    {

        
        
       
        
       
    }

    public function __sleep()
    {
        return array('id', 'titulo', 'objetivo_general', 'descripcion', 'metodologia_id', 'beneficiarios_directos', 'beneficiarios_indirectos', 'linea_investigacion_id', 'fecha_inicio', 'fecha_fin', 'vinculacion_plan_patria', 'proyectos_estrategicos', 'proyectocol', 'ambito_id', 'parroquia_id', 'ciudad_id', 'direccion', 'coordenada_latitud', 'coordenada_longitud', 'fecha_registro', 'proyecto_tipo_id', 'proyecto_estatus_id', 'aldea_programa_id', 'nucleo_academico_id', 'resumes_ruta', 'resgistro_estatus_id', 'nucleo_academico_id1','objetivoEspecifico_id', 'metodologiaTipo' );
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of titulo.
     *
     * @param string $titulo
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setTitulo($titulo)
    {
        $this->titulo = $titulo;

        return $this;
    }

    /**
     * Get the value of titulo.
     *
     * @return string
     */
    public function getTitulo()
    {
        return $this->titulo;
    }

    /**
     * Set the value of objetivo_general.
     *
     * @param string $objetivo_general
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setObjetivoGeneral($objetivo_general)
    {
        $this->objetivo_general = $objetivo_general;

        return $this;
    }

    /**
     * Get the value of objetivo_general.
     *
     * @return string
     */
    public function getObjetivoGeneral()
    {
        return $this->objetivo_general;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set the value of beneficiarios_directos.
     *
     * @param string $beneficiarios_directos
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setBeneficiariosDirectos($beneficiarios_directos)
    {
        $this->beneficiarios_directos = $beneficiarios_directos;

        return $this;
    }

    /**
     * Get the value of beneficiarios_directos.
     *
     * @return string
     */
    public function getBeneficiariosDirectos()
    {
        return $this->beneficiarios_directos;
    }

    /**
     * Set the value of beneficiarios_indirectos.
     *
     * @param string $beneficiarios_indirectos
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setBeneficiariosIndirectos($beneficiarios_indirectos)
    {
        $this->beneficiarios_indirectos = $beneficiarios_indirectos;

        return $this;
    }

    /**
     * Get the value of beneficiarios_indirectos.
     *
     * @return string
     */
    public function getBeneficiariosIndirectos()
    {
        return $this->beneficiarios_indirectos;
    }

    /**
     * Set the value of fecha_inicio.
     *
     * @param \DateTime $fecha_inicio
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setFechaInicio($fecha_inicio)
    {
        $this->fecha_inicio = $fecha_inicio;

        return $this;
    }

    /**
     * Get the value of fecha_inicio.
     *
     * @return \DateTime
     */
    public function getFechaInicio()
    {
        return $this->fecha_inicio;
    }

    /**
     * Set the value of fecha_fin.
     *
     * @param \DateTime $fecha_fin
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setFechaFin($fecha_fin)
    {
        $this->fecha_fin = $fecha_fin;

        return $this;
    }

    /**
     * Get the value of fecha_fin.
     *
     * @return \DateTime
     */
    public function getFechaFin()
    {
        return $this->fecha_fin;
    }

    /**
     * Set the value of vinculacion_plan_patria.
     *
     * @param string $vinculacion_plan_patria
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setVinculacionPlanPatria($vinculacion_plan_patria)
    {
        $this->vinculacion_plan_patria = $vinculacion_plan_patria;

        return $this;
    }

    /**
     * Get the value of vinculacion_plan_patria.
     *
     * @return string
     */
    public function getVinculacionPlanPatria()
    {
        return $this->vinculacion_plan_patria;
    }

    /**
     * Set the value of proyectos_estrategicos.
     *
     * @param string $proyectos_estrategicos
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setProyectosEstrategicos($proyectos_estrategicos)
    {
        $this->proyectos_estrategicos = $proyectos_estrategicos;

        return $this;
    }

    /**
     * Get the value of proyectos_estrategicos.
     *
     * @return string
     */
    public function getProyectosEstrategicos()
    {
        return $this->proyectos_estrategicos;
    }

    /**
     * Set the value of proyectocol.
     *
     * @param string $proyectocol
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setProyectocol($proyectocol)
    {
        $this->proyectocol = $proyectocol;

        return $this;
    }

    /**
     * Get the value of proyectocol.
     *
     * @return string
     */
    public function getProyectocol()
    {
        return $this->proyectocol;
    }

    /**
     * Set the value of direccion.
     *
     * @param string $direccion
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setDireccion($direccion)
    {
        $this->direccion = $direccion;

        return $this;
    }

    /**
     * Get the value of direccion.
     *
     * @return string
     */
    public function getDireccion()
    {
        return $this->direccion;
    }

    /**
     * Set the value of coordenada_latitud.
     *
     * @param string $coordenada_latitud
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setCoordenadaLatitud($coordenada_latitud)
    {
        $this->coordenada_latitud = $coordenada_latitud;

        return $this;
    }

    /**
     * Get the value of coordenada_latitud.
     *
     * @return string
     */
    public function getCoordenadaLatitud()
    {
        return $this->coordenada_latitud;
    }

    /**
     * Set the value of coordenada_longitud.
     *
     * @param string $coordenada_longitud
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setCoordenadaLongitud($coordenada_longitud)
    {
        $this->coordenada_longitud = $coordenada_longitud;

        return $this;
    }

    /**
     * Get the value of coordenada_longitud.
     *
     * @return string
     */
    public function getCoordenadaLongitud()
    {
        return $this->coordenada_longitud;
    }

    /**
     * Set the value of fecha_registro.
     *
     * @param \DateTime $fecha_registro
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setFechaRegistro($fecha_registro)
    {
        $this->fecha_registro = $fecha_registro;

        return $this;
    }

    /**
     * Get the value of fecha_registro.
     *
     * @return \DateTime
     */
    public function getFechaRegistro()
    {
        return $this->fecha_registro;
    }

    /**
     * Set the value of resumes_ruta.
     *
     * @param string $resumes_ruta
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setResumesRuta($resumes_ruta)
    {
        $this->resumes_ruta = $resumes_ruta;

        return $this;
    }

    /**
     * Get the value of resumes_ruta.
     *
     * @return string
     */
    public function getResumesRuta()
    {
        return $this->resumes_ruta;
    }

    /**
     * Add AporteInstitucion entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\AporteInstitucion $aporteInstitucion
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function addAporteInstitucion(AporteInstitucion $aporteInstitucion)
    {
        $this->aporteInstitucions[] = $aporteInstitucion;

        return $this;
    }

    /**
     * Remove AporteInstitucion entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\AporteInstitucion $aporteInstitucion
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function removeAporteInstitucion(AporteInstitucion $aporteInstitucion)
    {
        $this->aporteInstitucions->removeElement($aporteInstitucion);

        return $this;
    }

    /**
     * Get AporteInstitucion entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getAporteInstitucions()
    {
        return $this->aporteInstitucions;
        
    }


     /**
     * set AporteInstitucion entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */

    public function setAporteInstitucion(AporteInstitucion $aporteInstitucion = null)
    {
        $this->aporteInstitucion = $aporteInstitucion;
    }






    
    /**
     * Add DocenteProyecto entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\DocenteProyecto $docenteProyecto
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function addDocenteProyecto(DocenteProyecto $docenteProyecto)
    {
        $this->docenteProyectos[] = $docenteProyecto;

        return $this;
    }

    /**
     * Remove DocenteProyecto entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\DocenteProyecto $docenteProyecto
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function removeDocenteProyecto(DocenteProyecto $docenteProyecto)
    {
        $this->docenteProyectos->removeElement($docenteProyecto);

        return $this;
    }

    /**
     * Get DocenteProyecto entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getDocenteProyectos()
    {
        return $this->docenteProyectos;
    }

    /**
     * Add EstudianteProyecto entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\EstudianteProyecto $estudianteProyecto
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function addEstudianteProyecto(EstudianteProyecto $estudianteProyecto)
    {
        $this->estudianteProyectos[] = $estudianteProyecto;

        return $this;
    }

    /**
     * Remove EstudianteProyecto entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\EstudianteProyecto $estudianteProyecto
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function removeEstudianteProyecto(EstudianteProyecto $estudianteProyecto)
    {
        $this->estudianteProyectos->removeElement($estudianteProyecto);

        return $this;
    }

    /**
     * Get EstudianteProyecto entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getEstudianteProyectos()
    {
        return $this->estudianteProyectos;
    }

    /**
     * Add ObjetivoEspecifico entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ObjetivoEspecifico $objetivoEspecifico
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function addObjetivoEspecifico(ObjetivoEspecifico $objetivoEspecifico)
    {
        $this->objetivoEspecificos[] = $objetivoEspecifico;

        return $this;
    }

    /**
     * Remove ObjetivoEspecifico entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ObjetivoEspecifico $objetivoEspecifico
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function removeObjetivoEspecifico(ObjetivoEspecifico $objetivoEspecifico)
    {
        $this->objetivoEspecifico->removeElement($objetivoEspecifico);

        return $this;
    }

    /**
     * Get ObjetivoEspecifico entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getObjetivoEspecifico()
    {
        return $this->objetivoEspecificos;
    }

    /**
     * Add ProyectoComunidad entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ProyectoComunidad $proyectoComunidad
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function addProyectoComunidad(ProyectoComunidad $proyectoComunidad)
    {
        $this->proyectoComunidads[] = $proyectoComunidad;

        return $this;
    }

    /**
     * Remove ProyectoComunidad entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ProyectoComunidad $proyectoComunidad
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function removeProyectoComunidad(ProyectoComunidad $proyectoComunidad)
    {
        $this->proyectoComunidads->removeElement($proyectoComunidad);

        return $this;
    }

    /**
     * Get ProyectoComunidad entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getProyectoComunidads()
    {
        return $this->proyectoComunidads;
    }

    /**
     * Add ProyectoDetalle entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ProyectoDetalle $proyectoDetalle
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function addProyectoDetalle(ProyectoDetalle $proyectoDetalle)
    {
        $this->proyectoDetalles[] = $proyectoDetalle;

        return $this;
    }

    /**
     * Remove ProyectoDetalle entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ProyectoDetalle $proyectoDetalle
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function removeProyectoDetalle(ProyectoDetalle $proyectoDetalle)
    {
        $this->proyectoDetalles->removeElement($proyectoDetalle);

        return $this;
    }

    /**
     * Get ProyectoDetalle entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getProyectoDetalles()
    {
        return $this->proyectoDetalles;
    }

    /**
     * Add ProyectoEtapa entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ProyectoEtapa $proyectoEtapa
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function addProyectoEtapa(ProyectoEtapa $proyectoEtapa)
    {
        $this->proyectoEtapas[] = $proyectoEtapa;

        return $this;
    }

    /**
     * Remove ProyectoEtapa entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ProyectoEtapa $proyectoEtapa
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function removeProyectoEtapa(ProyectoEtapa $proyectoEtapa)
    {
        $this->proyectoEtapas->removeElement($proyectoEtapa);

        return $this;
    }

    /**
     * Get ProyectoEtapa entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getProyectoEtapas()
    {
        return $this->proyectoEtapas;
    }

    /**
     * Add Saber entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\Saber $saber
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function addSaber(Saber $saber)
    {
        $this->sabers[] = $saber;

        return $this;
    }

    /**
     * Remove Saber entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\Saber $saber
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function removeSaber(Saber $saber)
    {
        $this->sabers->removeElement($saber);

        return $this;
    }

    /**
     * Get Saber entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getSabers()
    {
        return $this->sabers;
    }

    public function setSabers(Saber $saber = null)
    {
        $this->saber = $saber;
    }


    /**
     * Add TutorInstitucional entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\TutorInstitucional $tutorInstitucional
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function addTutorInstitucional(TutorInstitucional $tutorInstitucional)
    {
        $this->tutorInstitucionals[] = $tutorInstitucional;

        return $this;
    }

    /**
     * Remove TutorInstitucional entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\TutorInstitucional $tutorInstitucional
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function removeTutorInstitucional(TutorInstitucional $tutorInstitucional)
    {
        $this->tutorInstitucionals->removeElement($tutorInstitucional);

        return $this;
    }

    /**
     * Get TutorInstitucional entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getTutorInstitucionals()
    {
        return $this->tutorInstitucionals;
    }

    /**
     * Set Metodologia entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Metodologia $metodologia
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setMetodologia(Metodologia $metodologia = null)
    {
        $this->metodologia = $metodologia;

        return $this;
    }

    /**
     * Get Metodologia entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Metodologia
     */
    public function getMetodologia()
    {
        return $this->metodologia;
    }

    /**
     * Set LineaInvestigacion entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\LineaInvestigacion $lineaInvestigacion
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setLineaInvestigacion(LineaInvestigacion $lineaInvestigacion = null)
    {
        $this->lineaInvestigacion = $lineaInvestigacion;

        return $this;
    }

    /**
     * Get LineaInvestigacion entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\LineaInvestigacion
     */
    public function getLineaInvestigacion()
    {
        return $this->lineaInvestigacion;
    }

    /**
     * Set Ambito entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Ambito $ambito
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setAmbito(Ambito $ambito = null)
    {
        $this->ambito = $ambito;

        return $this;
    }

    /**
     * Get Ambito entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Ambito
     */
    public function getAmbito()
    {
        return $this->ambito;
    }

    /**
     * Set Parroquia entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Parroquia $parroquia
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setParroquia(Parroquia $parroquia = null)
    {
        $this->parroquia = $parroquia;

        return $this;
    }

    /**
     * Get Parroquia entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Parroquia
     */
    public function getParroquia()
    {
        return $this->parroquia;
    }

    /**
     * Set Ciudad entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Ciudad $ciudad
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setCiudad(Ciudad $ciudad = null)
    {
        $this->ciudad = $ciudad;

        return $this;
    }

    /**
     * Get Ciudad entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Ciudad
     */
    public function getCiudad()
    {
        return $this->ciudad;
    }

    /**
     * Set ProyectoTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ProyectoTipo $proyectoTipo
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setProyectoTipo(ProyectoTipo $proyectoTipo = null)
    {
        $this->proyectoTipo = $proyectoTipo;

        return $this;
    }

    /**
     * Get ProyectoTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ProyectoTipo
     */
    public function getProyectoTipo()
    {
        return $this->proyectoTipo;
    }

    /**
     * Set ProyectoEstatus entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ProyectoEstatus $proyectoEstatus
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setProyectoEstatus(ProyectoEstatus $proyectoEstatus = null)
    {
        $this->proyectoEstatus = $proyectoEstatus;

        return $this;
    }

    /**
     * Get ProyectoEstatus entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ProyectoEstatus
     */
    public function getProyectoEstatus()
    {
        return $this->proyectoEstatus;
    }

    /**
     * Set AldeaPrograma entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\AldeaPrograma $aldeaPrograma
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setAldeaPrograma(AldeaPrograma $aldeaPrograma = null)
    {
        $this->aldeaPrograma = $aldeaPrograma;

        return $this;
    }

    /**
     * Get AldeaPrograma entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\AldeaPrograma
     */
    public function getAldeaPrograma()
    {
        return $this->aldeaPrograma;
    }

    /**
     * Set NucleoAcademico entity related by `nucleo_academico_id` (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\NucleoAcademico $nucleoAcademico
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setNucleoAcademicoRelatedByNucleoAcademicoId(NucleoAcademico $nucleoAcademico = null)
    {
        $this->nucleoAcademicoRelatedByNucleoAcademicoId = $nucleoAcademico;

        return $this;
    }

    /**
     * Get NucleoAcademico entity related by `nucleo_academico_id` (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\NucleoAcademico
     */
    public function getNucleoAcademicoRelatedByNucleoAcademicoId()
    {
        return $this->nucleoAcademicoRelatedByNucleoAcademicoId;
    }

    /**
     * Set ResgistroEstatus entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ResgistroEstatus $resgistroEstatus
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setResgistroEstatus(ResgistroEstatus $resgistroEstatus = null)
    {
        $this->resgistroEstatus = $resgistroEstatus;

        return $this;
    }

    /**
     * Get ResgistroEstatus entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ResgistroEstatus
     */
    public function getResgistroEstatus()
    {
        return $this->resgistroEstatus;
    }

    /**
     * Set NucleoAcademico entity related by `nucleo_academico_id1` (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\NucleoAcademico $nucleoAcademico
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setNucleoAcademicoRelatedByNucleoAcademicoId1(NucleoAcademico $nucleoAcademico = null)
    {
        $this->nucleoAcademicoRelatedByNucleoAcademicoId1 = $nucleoAcademico;

        return $this;
    }

    /**
     * Get NucleoAcademico entity related by `nucleo_academico_id1` (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\NucleoAcademico
     */
    public function getNucleoAcademicoRelatedByNucleoAcademicoId1()
    {
        return $this->nucleoAcademicoRelatedByNucleoAcademicoId1;
    }

    /**
     * Add ObjetivoPlanPatria entity to collection.
     *
     * @param \UBV\SurUbvBundle\Entity\ObjetivoPlanPatria $objetivoPlanPatria
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function addObjetivoPlanPatria(ObjetivoPlanPatria $objetivoPlanPatria)
    {
        $this->objetivoPlanPatrias[] = $objetivoPlanPatria;

        return $this;
    }

    /**
     * Remove ObjetivoPlanPatria entity from collection.
     *
     * @param \UBV\SurUbvBundle\Entity\ObjetivoPlanPatria $objetivoPlanPatria
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function removeObjetivoPlanPatria(ObjetivoPlanPatria $objetivoPlanPatria)
    {
        $this->objetivoPlanPatrias->removeElement($objetivoPlanPatria);

        return $this;
    }

    /**
     * Get ObjetivoPlanPatria entity collection.
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getObjetivoPlanPatrias()
    {
        return $this->objetivoPlanPatrias;
    }

    



















































 /**
     * Set ActividadEstatus entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ActividadEstatus $actividadEstatus
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setActividadEstatus(ActividadEstatus $actividadEstatus = null)
    {
        $this->actividadEstatus = $actividadEstatus;

        return $this;
    }

    /**
     * Get ActividadEstatus entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ActividadEstatus
     */
    public function getActividadEstatus()
    {
        return $this->actividadEstatus;
    }


 
 /**
     * Set ActividadEtapa entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ActividadEtapa $actividadEtapa
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setActividadEtapa(ActividadEtapa $actividadEtapa = null)
    {
        $this->actividadEtapa = $actividadEtapa;

        return $this;
    }

    /**
     * Get ActividadEtapa entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ActividadEtapa
     */
    public function getActividadEtapa()
    {
        return $this->actividadEtapa;
    }




 /**
     * Set ComunidadTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ComunidadTipo $comunidadTipo
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setComunidadTipo(ComunidadTipo $comunidadTipo = null)
    {
        $this->comunidadTipo = $comunidadTipo;

        return $this;
    }

    /**
     * Get ComunidadTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ComunidadTipo
     */
    public function getComunidadTipo()
    {
        return $this->comunidadTipo;
    }





 /**
     * Set Comunidad entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Comunidad $comunidad
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setComunidad(Comunidad $comunidad = null)
    {
        $this->comunidad = $comunidad;

        return $this;
    }

    /**
     * Get Comunidad entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Comunidad
     */
    public function getComunidad()
    {
        return $this->comunidad;
    }



 /**
     * Set PersonaProyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\PersonaProyecto $personaProyecto
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setPersonaProyecto(PersonaProyecto $personaProyecto = null)
    {
        $this->personaProyecto = $personaProyecto;

        return $this;
    }

    /**
     * Get PersonaProyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\PersonaProyecto
     */
    public function getPersonaProyecto()
    {
        return $this->personaProyecto;
    }



 /**
     * Set InstitucionTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\InstitucionTipo $institucionTipo
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setInstitucionTipo(InstitucionTipo $institucionTipo = null)
    {
        $this->institucionTipo = $institucionTipo;

        return $this;
    }

    /**
     * Get InstitucionTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\InstitucionTipo
     */
    public function getInstitucionTipo()
    {
        return $this->institucionTipo;
    }



 /**
     * Set Pais entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Pais $pais
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setPais(Pais $pais = null)
    {
        $this->pais = $pais;

        return $this;
    }

    /**
     * Get Pais entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Pais
     */
    public function getPais()
    {
        return $this->pais;
    }


 /**
     * Set Estado entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Estado $estado
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setEstado(Estado $estado = null)
    {
        $this->estado = $estado;

        return $this;
    }

    /**
     * Get Estado entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Estado
     */
    public function getEstado()
    {
        return $this->estado;
    }


/**
     * Set Municipio entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Municipio $municipio
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setMunicipio(Municipio $municipio = null)
    {
        $this->municipio = $municipio;

        return $this;
    }

    /**
     * Get Municipio entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Municipio
     */
    public function getMunicipio()
    {
        return $this->municipio;
    }


/**
     * Set SaberTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\SaberTipo $saberTipo
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setSaberTipo(SaberTipo $saberTipo = null)
    {
        $this->saberTipo = $saberTipo;

        return $this;
    }

    /**
     * Get SaberTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\SaberTipo
     */
    public function getSaberTipo()
    {
        return $this->saberTipo;
    }


/**
     * Set Ambiente entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Ambiente $ambiente
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setAmbiente(Ambiente $ambiente = null)
    {
        $this->ambiente = $ambiente;

        return $this;
    }

    /**
     * Get Ambiente entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Ambiente
     */
    public function getAmbiente()
    {
        return $this->ambiente;
    }


   
 /**
     * Set ProgramaTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ProgramaTipo $programaTipo
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setProgramaTipo(ProgramaTipo $programaTipo = null)
    {
        $this->programaTipo = $programaTipo;

        return $this;
    }

    /**
     * Get ProgramaTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ProyectoTipo
     */
    public function getProgramaTipo()
    {
        return $this->programaTipo;
    }




  
 /**
     * Set Institucion entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Institucion $institucion
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setInstitucion(Institucion $institucion = null)
    {
        $this->institucion = $institucion;

        return $this;
    }

    /**
     * Get Institucion entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ProyectoTipo
     */
    public function getInstitucion()
    {
        return $this->institucion;
    }



  
 /**
     * Set AporteTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\AporteTipo $aporteTipo
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setAporteTipo(AporteTipo $aporteTipo = null)
    {
        $this->aporteTipo = $aporteTipo;

        return $this;
    }

    /**
     * Get AporteTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\AporteTipo
     */
    public function getAporteTipo()
    {
        return $this->aporteTipo;
    }



 /**
     * Set DocenteProyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\DocenteProyecto $docenteProyecto
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setDocenteProyecto(DocenteProyecto $docenteProyecto = null)
    {
        $this->docenteProyecto = $docenteProyecto;

        return $this;
    }

    /**
     * Get DocenteProyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\DocenteProyecto
     */
    public function getDocenteProyecto()
    {
        return $this->docenteProyecto;
    }


 /**
     * Set InstitucionEducativa entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\InstitucionEducativa $institucionEducativa
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setInstitucionEducativa(InstitucionEducativa $institucionEducativa = null)
    {
        $this->institucionEducativa = $institucionEducativa;

        return $this;
    }

    /**
     * Get InstitucionEducativa entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\InstitucionEducativa
     */
    public function getInstitucionEducativa()
    {
        return $this->institucionEducativa;
    }


 /**
     * Set MetodologiaTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\MetodologiaTipo $metodologiaTipo
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function setMetodologiaTipo(MetodologiaTipo $metodologiaTipo = null)
    {
        $this->metodologiaTipo = $metodologiaTipo;

        return $this;
    }

    /**
     * Get MetodologiaTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\MetodologiaTipo
     */
    public function getMetodologiaTipo()
    {
        return $this->metodologiaTipo;
    }




    public function __toString() {
        return $this->descripcion;
    }












 
}