<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\ProyectoComunidad
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\ProyectoComunidadRepository")
 * @ORM\Table(name="proyecto_comunidad", indexes={@ORM\Index(name="fk_proyecto_comunidad_proyecto1_idx", columns={"proyecto_id"}), @ORM\Index(name="fk_proyecto_comunidad_comunidad1_idx", columns={"comunidad_id"}), @ORM\Index(name="fk_proyecto_comunidad_persona_proyecto1_idx", columns={"persona_proyecto_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_proyecto_comunidad_UNIQUE", columns={"id"})})
 */
class ProyectoComunidad
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="proyecto_comunidad_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\ManyToOne(targetEntity="Proyecto", inversedBy="proyectoComunidads")
     * @ORM\JoinColumn(name="proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $proyecto;

    /**
     * @ORM\ManyToOne(targetEntity="Comunidad", inversedBy="proyectoComunidads")
     * @ORM\JoinColumn(name="comunidad_id", referencedColumnName="id", nullable=false)
     */
    protected $comunidad;

    /**
     * @ORM\ManyToOne(targetEntity="PersonaProyecto", inversedBy="proyectoComunidads")
     * @ORM\JoinColumn(name="persona_proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $personaProyecto;

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\ProyectoComunidad
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set Proyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Proyecto $proyecto
     * @return \UBV\SurUbvBundle\Entity\ProyectoComunidad
     */
    public function setProyecto(Proyecto $proyecto = null)
    {
        $this->proyecto = $proyecto;

        return $this;
    }

    /**
     * Get Proyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function getProyecto()
    {
        return $this->proyecto;
    }

    /**
     * Set Comunidad entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Comunidad $comunidad
     * @return \UBV\SurUbvBundle\Entity\ProyectoComunidad
     */
    public function setComunidad(Comunidad $comunidad = null)
    {
        $this->comunidad = $comunidad;

        return $this;
    }

    /**
     * Get Comunidad entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Comunidad
     */
    public function getComunidad()
    {
        return $this->comunidad;
    }

    /**
     * Set PersonaProyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\PersonaProyecto $personaProyecto
     * @return \UBV\SurUbvBundle\Entity\ProyectoComunidad
     */
    public function setPersonaProyecto(PersonaProyecto $personaProyecto = null)
    {
        $this->personaProyecto = $personaProyecto;

        return $this;
    }

    /**
     * Get PersonaProyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\PersonaProyecto
     */
    public function getPersonaProyecto()
    {
        return $this->personaProyecto;
    }



    
    public function __sleep()
    {
        return array('id', 'proyecto_id', 'comunidad_id', 'persona_proyecto_id');
    }
}