<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\ProyectoDetalle
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\ProyectoDetalleRepository")
 * @ORM\Table(name="proyecto_detalle", indexes={@ORM\Index(name="fk_proyecto_detalle_proyecto1_idx", columns={"proyecto_id"}), @ORM\Index(name="fk_proyecto_detalle_trayecto1_idx", columns={"trayecto_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_proyecto_detalle_UNIQUE", columns={"id"})})
 */
class ProyectoDetalle
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="proyecto_detalle_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="integer")
     */
    protected $numero_estudiantes;

    /**
     * @ORM\Column(type="string", length=700)
     */
    protected $impacto;

    /**
     * @ORM\Column(type="string", length=700, nullable=true)
     */
    protected $alcance;

    /**
     * @ORM\Column(type="string", length=700)
     */
    protected $metas_produccion;

    /**
     * @ORM\ManyToOne(targetEntity="Proyecto", inversedBy="proyectoDetalles")
     * @ORM\JoinColumn(name="proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $proyecto;

    /**
     * @ORM\ManyToOne(targetEntity="Trayecto", inversedBy="proyectoDetalles")
     * @ORM\JoinColumn(name="trayecto_id", referencedColumnName="id", nullable=false)
     */
    protected $trayecto;

    /**
     * @ORM\ManyToMany(targetEntity="EjeFormacion", mappedBy="proyectoDetalles")
     */
    protected $ejeFormacions;

    public function __construct()
    {
        $this->ejeFormacions = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\ProyectoDetalle
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of numero_estudiantes.
     *
     * @param integer $numero_estudiantes
     * @return \UBV\SurUbvBundle\Entity\ProyectoDetalle
     */
    public function setNumeroEstudiantes($numero_estudiantes)
    {
        $this->numero_estudiantes = $numero_estudiantes;

        return $this;
    }

    /**
     * Get the value of numero_estudiantes.
     *
     * @return integer
     */
    public function getNumeroEstudiantes()
    {
        return $this->numero_estudiantes;
    }

    /**
     * Set the value of impacto.
     *
     * @param string $impacto
     * @return \UBV\SurUbvBundle\Entity\ProyectoDetalle
     */
    public function setImpacto($impacto)
    {
        $this->impacto = $impacto;

        return $this;
    }

    /**
     * Get the value of impacto.
     *
     * @return string
     */
    public function getImpacto()
    {
        return $this->impacto;
    }

    /**
     * Set the value of alcance.
     *
     * @param string $alcance
     * @return \UBV\SurUbvBundle\Entity\ProyectoDetalle
     */
    public function setAlcance($alcance)
    {
        $this->alcance = $alcance;

        return $this;
    }

    /**
     * Get the value of alcance.
     *
     * @return string
     */
    public function getAlcance()
    {
        return $this->alcance;
    }

    /**
     * Set the value of metas_produccion.
     *
     * @param string $metas_produccion
     * @return \UBV\SurUbvBundle\Entity\ProyectoDetalle
     */
    public function setMetasProduccion($metas_produccion)
    {
        $this->metas_produccion = $metas_produccion;

        return $this;
    }

    /**
     * Get the value of metas_produccion.
     *
     * @return string
     */
    public function getMetasProduccion()
    {
        return $this->metas_produccion;
    }

    /**
     * Set Proyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Proyecto $proyecto
     * @return \UBV\SurUbvBundle\Entity\ProyectoDetalle
     */
    public function setProyecto(Proyecto $proyecto = null)
    {
        $this->proyecto = $proyecto;

        return $this;
    }

    /**
     * Get Proyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function getProyecto()
    {
        return $this->proyecto;
    }

    /**
     * Set Trayecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Trayecto $trayecto
     * @return \UBV\SurUbvBundle\Entity\ProyectoDetalle
     */
    public function setTrayecto(Trayecto $trayecto = null)
    {
        $this->trayecto = $trayecto;

        return $this;
    }

    /**
     * Get Trayecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Trayecto
     */
    public function getTrayecto()
    {
        return $this->trayecto;
    }

    /**
     * Add EjeFormacion entity to collection.
     *
     * @param \UBV\SurUbvBundle\Entity\EjeFormacion $ejeFormacion
     * @return \UBV\SurUbvBundle\Entity\ProyectoDetalle
     */
    public function addEjeFormacion(EjeFormacion $ejeFormacion)
    {
        $this->ejeFormacions[] = $ejeFormacion;

        return $this;
    }

    /**
     * Remove EjeFormacion entity from collection.
     *
     * @param \UBV\SurUbvBundle\Entity\EjeFormacion $ejeFormacion
     * @return \UBV\SurUbvBundle\Entity\ProyectoDetalle
     */
    public function removeEjeFormacion(EjeFormacion $ejeFormacion)
    {
        $this->ejeFormacions->removeElement($ejeFormacion);

        return $this;
    }

    /**
     * Get EjeFormacion entity collection.
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getEjeFormacions()
    {
        return $this->ejeFormacions;
    }

    public function __sleep()
    {
        return array('id', 'numero_estudiantes', 'impacto', 'alcance', 'metas_produccion', 'proyecto_id', 'trayecto_id');
    }
}