<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\ProyectoEtapa
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\ProyectoEtapaRepository")
 * @ORM\Table(name="proyecto_etapa", indexes={@ORM\Index(name="fk_proyecto_etapa_proyecto1_idx", columns={"proyecto_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_proyecto_estapa_UNIQUE", columns={"id"})})
 */
class ProyectoEtapa
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="proyecto_etapa_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\OneToMany(targetEntity="ActividadEtapa", mappedBy="proyectoEtapa")
     * @ORM\JoinColumn(name="id", referencedColumnName="proyecto_etapa_id", nullable=false)
     */
    protected $actividadEtapas;

    /**
     * @ORM\OneToMany(targetEntity="RequerimientoProyecto", mappedBy="proyectoEtapa")
     * @ORM\JoinColumn(name="id", referencedColumnName="proyecto_etapa_id", nullable=false)
     */
    protected $requerimientoProyectos;

    /**
     * @ORM\ManyToOne(targetEntity="Proyecto", inversedBy="proyectoEtapas")
     * @ORM\JoinColumn(name="proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $proyecto;

    public function __construct()
    {
        $this->actividadEtapas = new ArrayCollection();
        $this->requerimientoProyectos = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\ProyectoEtapa
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\ProyectoEtapa
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Add ActividadEtapa entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ActividadEtapa $actividadEtapa
     * @return \UBV\SurUbvBundle\Entity\ProyectoEtapa
     */
    public function addActividadEtapa(ActividadEtapa $actividadEtapa)
    {
        $this->actividadEtapas[] = $actividadEtapa;

        return $this;
    }

    /**
     * Remove ActividadEtapa entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\ActividadEtapa $actividadEtapa
     * @return \UBV\SurUbvBundle\Entity\ProyectoEtapa
     */
    public function removeActividadEtapa(ActividadEtapa $actividadEtapa)
    {
        $this->actividadEtapas->removeElement($actividadEtapa);

        return $this;
    }

    /**
     * Get ActividadEtapa entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getActividadEtapas()
    {
        return $this->actividadEtapas;
    }

    /**
     * Add RequerimientoProyecto entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\RequerimientoProyecto $requerimientoProyecto
     * @return \UBV\SurUbvBundle\Entity\ProyectoEtapa
     */
    public function addRequerimientoProyecto(RequerimientoProyecto $requerimientoProyecto)
    {
        $this->requerimientoProyectos[] = $requerimientoProyecto;

        return $this;
    }

    /**
     * Remove RequerimientoProyecto entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\RequerimientoProyecto $requerimientoProyecto
     * @return \UBV\SurUbvBundle\Entity\ProyectoEtapa
     */
    public function removeRequerimientoProyecto(RequerimientoProyecto $requerimientoProyecto)
    {
        $this->requerimientoProyectos->removeElement($requerimientoProyecto);

        return $this;
    }

    /**
     * Get RequerimientoProyecto entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getRequerimientoProyectos()
    {
        return $this->requerimientoProyectos;
    }

    /**
     * Set Proyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Proyecto $proyecto
     * @return \UBV\SurUbvBundle\Entity\ProyectoEtapa
     */
    public function setProyecto(Proyecto $proyecto = null)
    {
        $this->proyecto = $proyecto;

        return $this;
    }

    /**
     * Get Proyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function getProyecto()
    {
        return $this->proyecto;
    }

    public function __sleep()
    {
        return array('id', 'descripcion', 'proyecto_id');
    }

   

}