<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\ProyectoPlanPatria
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\ProyectoPlanPatriaRepository")
 * @ORM\Table(name="proyecto_plan_patria", indexes={@ORM\Index(name="fk_proyecto_plan_patria_objetivo_plan_patria1_idx", columns={"objetivo_plan_patria_id"}), @ORM\Index(name="fk_proyecto_plan_patria_proyecto1_idx", columns={"proyecto_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_proyecto_plan_patria_UNIQUE", columns={"id"})})
 */
class ProyectoPlanPatria
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="proyecto_plan_patria_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\ManyToOne(targetEntity="ObjetivoPlanPatria", inversedBy="proyectoPlanPatrias")
     * @ORM\JoinColumn(name="objetivo_plan_patria_id", referencedColumnName="id", nullable=false)
     */
    protected $objetivoPlanPatria;

    /**
     * @ORM\ManyToOne(targetEntity="Proyecto", inversedBy="proyectoPlanPatrias")
     * @ORM\JoinColumn(name="proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $proyecto;

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\ProyectoPlanPatria
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set ObjetivoPlanPatria entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ObjetivoPlanPatria $objetivoPlanPatria
     * @return \UBV\SurUbvBundle\Entity\ProyectoPlanPatria
     */
    public function setObjetivoPlanPatria(ObjetivoPlanPatria $objetivoPlanPatria = null)
    {
        $this->objetivoPlanPatria = $objetivoPlanPatria;

        return $this;
    }

    /**
     * Get ObjetivoPlanPatria entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ObjetivoPlanPatria
     */
    public function getObjetivoPlanPatria()
    {
        return $this->objetivoPlanPatria;
    }

    /**
     * Set Proyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Proyecto $proyecto
     * @return \UBV\SurUbvBundle\Entity\ProyectoPlanPatria
     */
    public function setProyecto(Proyecto $proyecto = null)
    {
        $this->proyecto = $proyecto;

        return $this;
    }

    /**
     * Get Proyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function getProyecto()
    {
        return $this->proyecto;
    }

    public function __sleep()
    {
        return array('id', 'objetivo_plan_patria_id', 'proyecto_id');
    }
}