<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\RequerimientoProyecto
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Repository\RequerimientoProyectoRepository")
 * @ORM\Table(name="requerimiento_proyecto", indexes={@ORM\Index(name="fk_requerimiento_proyecto_proyecto_etapa1_idx", columns={"proyecto_etapa_id"}), @ORM\Index(name="fk_requerimiento_proyecto_aporte_tipo1_idx", columns={"aporte_tipo_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_requerimiento_proyecto_UNIQUE", columns={"id"})})
 */
class RequerimientoProyecto
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="requerimiento_proyecto_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $concepto;

    /**
     * @ORM\Column(type="integer")
     */
    protected $cantidad;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $costo;

    /**
     * @ORM\Column(type="string", length=150)
     */
    protected $descripcion;

    /**
     * @ORM\Column(type="string", length=200)
     */
    protected $proposito;

    /**
     * @ORM\ManyToOne(targetEntity="ProyectoEtapa", inversedBy="requerimientoProyectos")
     * @ORM\JoinColumn(name="proyecto_etapa_id", referencedColumnName="id", nullable=false)
     */
    protected $proyectoEtapa;

    /**
     * @ORM\ManyToOne(targetEntity="AporteTipo", inversedBy="requerimientoProyectos")
     * @ORM\JoinColumn(name="aporte_tipo_id", referencedColumnName="id", nullable=false)
     */
    protected $aporteTipo;

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\RequerimientoProyecto
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of concepto.
     *
     * @param string $concepto
     * @return \UBV\SurUbvBundle\Entity\RequerimientoProyecto
     */
    public function setConcepto($concepto)
    {
        $this->concepto = $concepto;

        return $this;
    }

    /**
     * Get the value of concepto.
     *
     * @return string
     */
    public function getConcepto()
    {
        return $this->concepto;
    }

    /**
     * Set the value of cantidad.
     *
     * @param integer $cantidad
     * @return \UBV\SurUbvBundle\Entity\RequerimientoProyecto
     */
    public function setCantidad($cantidad)
    {
        $this->cantidad = $cantidad;

        return $this;
    }

    /**
     * Get the value of cantidad.
     *
     * @return integer
     */
    public function getCantidad()
    {
        return $this->cantidad;
    }

    /**
     * Set the value of costo.
     *
     * @param string $costo
     * @return \UBV\SurUbvBundle\Entity\RequerimientoProyecto
     */
    public function setCosto($costo)
    {
        $this->costo = $costo;

        return $this;
    }

    /**
     * Get the value of costo.
     *
     * @return string
     */
    public function getCosto()
    {
        return $this->costo;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\RequerimientoProyecto
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set the value of proposito.
     *
     * @param string $proposito
     * @return \UBV\SurUbvBundle\Entity\RequerimientoProyecto
     */
    public function setProposito($proposito)
    {
        $this->proposito = $proposito;

        return $this;
    }

    /**
     * Get the value of proposito.
     *
     * @return string
     */
    public function getProposito()
    {
        return $this->proposito;
    }

    /**
     * Set ProyectoEtapa entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\ProyectoEtapa $proyectoEtapa
     * @return \UBV\SurUbvBundle\Entity\RequerimientoProyecto
     */
    public function setProyectoEtapa(ProyectoEtapa $proyectoEtapa = null)
    {
        $this->proyectoEtapa = $proyectoEtapa;

        return $this;
    }

    /**
     * Get ProyectoEtapa entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\ProyectoEtapa
     */
    public function getProyectoEtapa()
    {
        return $this->proyectoEtapa;
    }

    /**
     * Set AporteTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\AporteTipo $aporteTipo
     * @return \UBV\SurUbvBundle\Entity\RequerimientoProyecto
     */
    public function setAporteTipo(AporteTipo $aporteTipo = null)
    {
        $this->aporteTipo = $aporteTipo;

        return $this;
    }

    /**
     * Get AporteTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\AporteTipo
     */
    public function getAporteTipo()
    {
        return $this->aporteTipo;
    }

    public function __sleep()
    {
        return array('id', 'proyecto_etapa_id', 'concepto', 'cantidad', 'costo', 'descripcion', 'proposito', 'aporte_tipo_id');
    }
}