<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\Saber
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\SaberRepository")
 * @ORM\Table(name="saber", indexes={@ORM\Index(name="fk_saber_proyecto1_idx", columns={"proyecto_id"}), @ORM\Index(name="fk_saber_saber_tipo1_idx", columns={"saber_tipo_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_saber_UNIQUE", columns={"id"})})
 */
class Saber
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="saber_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="integer")
     */
    protected $cantidad;

    /**
     * @ORM\ManyToOne(targetEntity="Proyecto", inversedBy="sabers")
     * @ORM\JoinColumn(name="proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $proyecto;

    /**
     * @ORM\ManyToOne(targetEntity="SaberTipo", inversedBy="sabers")
     * @ORM\JoinColumn(name="saber_tipo_id", referencedColumnName="id", nullable=false)
     */
    protected $saberTipo;

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\Saber
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of cantidad.
     *
     * @param integer $cantidad
     * @return \UBV\SurUbvBundle\Entity\Saber
     */
    public function setCantidad($cantidad)
    {
        $this->cantidad = $cantidad;

        return $this;
    }

    /**
     * Get the value of cantidad.
     *
     * @return integer
     */
    public function getCantidad()
    {
        return $this->cantidad;
    }

    /**
     * Set Proyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Proyecto $proyecto
     * @return \UBV\SurUbvBundle\Entity\Saber
     */
    public function setProyecto(Proyecto $proyecto = null)
    {
        $this->proyecto = $proyecto;

        return $this;
    }

    /**
     * Get Proyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function getProyecto()
    {
        return $this->proyecto;
    }

    /**
     * Set SaberTipo entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\SaberTipo $saberTipo
     * @return \UBV\SurUbvBundle\Entity\Saber
     */
    public function setSaberTipo(SaberTipo $saberTipo = null)
    {
        $this->saberTipo = $saberTipo;

        return $this;
    }

    /**
     * Get SaberTipo entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\SaberTipo
     */
    public function getSaberTipo()
    {
        return $this->saberTipo;
    }

    public function __sleep()
    {
        return array('id', 'cantidad', 'proyecto_id', 'saber_tipo_id');
    }

    public function __toString() {
        return $this->cantidad;
    }

    
   
}