<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\SaberTipo
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\SaberTipoRepository")
 * @ORM\Table(name="saber_tipo", uniqueConstraints={@ORM\UniqueConstraint(name="id_saber_tipo_UNIQUE", columns={"id"})})
 */
class SaberTipo
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="saber_tipo_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\OneToMany(targetEntity="Saber", mappedBy="saberTipo")
     * @ORM\JoinColumn(name="id", referencedColumnName="saber_tipo_id", nullable=false)
     */
    protected $sabers;

       

    public function __construct()
    {
        $this->sabers = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\SaberTipo
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\SaberTipo
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Add Saber entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\Saber $saber
     * @return \UBV\SurUbvBundle\Entity\SaberTipo
     */
    public function addSaber(Saber $saber)
    {
        $this->sabers[] = $saber;

        return $this;
    }

    /**
     * Remove Saber entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\Saber $saber
     * @return \UBV\SurUbvBundle\Entity\SaberTipo
     */
    public function removeSaber(Saber $saber)
    {
        $this->sabers->removeElement($saber);

        return $this;
    }

    /**
     * Get Saber entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getSabers()
    {
        return $this->sabers;
    }

    public function __sleep()
    {
        return array('id', 'descripcion');
    }

    public function __toString() {
        return $this->descripcion;
    }



}