<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\TutorEstudios
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Repository\TutorEstudiosRepository")
 * @ORM\Table(name="tutor_estudios", indexes={@ORM\Index(name="fk_tutor_estudios_institucion_educativa1_idx", columns={"institucion_educativa_id"}), @ORM\Index(name="fk_tutor_estudios_grado_academico1_idx", columns={"grado_academico_id"}), @ORM\Index(name="fk_tutor_estudios_persona_proyecto1_idx", columns={"persona_proyecto_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_tutor_estudios_UNIQUE", columns={"id"})})
 */
class TutorEstudios
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="tutor_estudios_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $año_grado;

    /**
     * @ORM\ManyToOne(targetEntity="InstitucionEducativa", inversedBy="tutorEstudios")
     * @ORM\JoinColumn(name="institucion_educativa_id", referencedColumnName="id", nullable=false)
     */
    protected $institucionEducativa;

    /**
     * @ORM\ManyToOne(targetEntity="GradoAcademico", inversedBy="tutorEstudios")
     * @ORM\JoinColumn(name="grado_academico_id", referencedColumnName="id", nullable=false)
     */
    protected $gradoAcademico;

    /**
     * @ORM\ManyToOne(targetEntity="PersonaProyecto", inversedBy="tutorEstudios")
     * @ORM\JoinColumn(name="persona_proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $personaProyecto;

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\TutorEstudios
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of año_grado.
     *
     * @param string $año_grado
     * @return \UBV\SurUbvBundle\Entity\TutorEstudios
     */
    public function setAñoGrado($año_grado)
    {
        $this->año_grado = $año_grado;

        return $this;
    }

    /**
     * Get the value of año_grado.
     *
     * @return string
     */
    public function getAñoGrado()
    {
        return $this->año_grado;
    }

    /**
     * Set InstitucionEducativa entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\InstitucionEducativa $institucionEducativa
     * @return \UBV\SurUbvBundle\Entity\TutorEstudios
     */
    public function setInstitucionEducativa(InstitucionEducativa $institucionEducativa = null)
    {
        $this->institucionEducativa = $institucionEducativa;

        return $this;
    }

    /**
     * Get InstitucionEducativa entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\InstitucionEducativa
     */
    public function getInstitucionEducativa()
    {
        return $this->institucionEducativa;
    }

    /**
     * Set GradoAcademico entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\GradoAcademico $gradoAcademico
     * @return \UBV\SurUbvBundle\Entity\TutorEstudios
     */
    public function setGradoAcademico(GradoAcademico $gradoAcademico = null)
    {
        $this->gradoAcademico = $gradoAcademico;

        return $this;
    }

    /**
     * Get GradoAcademico entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\GradoAcademico
     */
    public function getGradoAcademico()
    {
        return $this->gradoAcademico;
    }

    /**
     * Set PersonaProyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\PersonaProyecto $personaProyecto
     * @return \UBV\SurUbvBundle\Entity\TutorEstudios
     */
    public function setPersonaProyecto(PersonaProyecto $personaProyecto = null)
    {
        $this->personaProyecto = $personaProyecto;

        return $this;
    }

    /**
     * Get PersonaProyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\PersonaProyecto
     */
    public function getPersonaProyecto()
    {
        return $this->personaProyecto;
    }

    public function __sleep()
    {
        return array('id', 'año_grado', 'institucion_educativa_id', 'grado_academico_id', 'persona_proyecto_id');
    }
}