<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\TutorInstitucional
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Repository\TutorInstitucionalRepository")
 * @ORM\Table(name="tutor_institucional", indexes={@ORM\Index(name="fk_tutor_institucional_proyecto1_idx", columns={"proyecto_id"}), @ORM\Index(name="fk_tutor_institucional_persona_proyecto1_idx", columns={"persona_proyecto_id"})}, uniqueConstraints={@ORM\UniqueConstraint(name="id_tutor_institucional_UNIQUE", columns={"id"})})
 */
class TutorInstitucional
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="tutor_institucional_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="text")
     */
    protected $carta_aceptacion_ruta;

    /**
     * @ORM\ManyToOne(targetEntity="Proyecto", inversedBy="tutorInstitucionals")
     * @ORM\JoinColumn(name="proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $proyecto;

    /**
     * @ORM\ManyToOne(targetEntity="PersonaProyecto", inversedBy="tutorInstitucionals")
     * @ORM\JoinColumn(name="persona_proyecto_id", referencedColumnName="id", nullable=false)
     */
    protected $personaProyecto;

    public function __construct()
    {
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\TutorInstitucional
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of carta_aceptacion_ruta.
     *
     * @param string $carta_aceptacion_ruta
     * @return \UBV\SurUbvBundle\Entity\TutorInstitucional
     */
    public function setCartaAceptacionRuta($carta_aceptacion_ruta)
    {
        $this->carta_aceptacion_ruta = $carta_aceptacion_ruta;

        return $this;
    }

    /**
     * Get the value of carta_aceptacion_ruta.
     *
     * @return string
     */
    public function getCartaAceptacionRuta()
    {
        return $this->carta_aceptacion_ruta;
    }

    /**
     * Set Proyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\Proyecto $proyecto
     * @return \UBV\SurUbvBundle\Entity\TutorInstitucional
     */
    public function setProyecto(Proyecto $proyecto = null)
    {
        $this->proyecto = $proyecto;

        return $this;
    }

    /**
     * Get Proyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\Proyecto
     */
    public function getProyecto()
    {
        return $this->proyecto;
    }

    /**
     * Set PersonaProyecto entity (many to one).
     *
     * @param \UBV\SurUbvBundle\Entity\PersonaProyecto $personaProyecto
     * @return \UBV\SurUbvBundle\Entity\TutorInstitucional
     */
    public function setPersonaProyecto(PersonaProyecto $personaProyecto = null)
    {
        $this->personaProyecto = $personaProyecto;

        return $this;
    }

    /**
     * Get PersonaProyecto entity (many to one).
     *
     * @return \UBV\SurUbvBundle\Entity\PersonaProyecto
     */
    public function getPersonaProyecto()
    {
        return $this->personaProyecto;
    }



    
    public function __sleep()
    {
        return array('id', 'proyecto_id', 'persona_proyecto_id', 'carta_aceptacion_ruta');
    }


















}