<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UBV\SurUbvBundle\Entity\VinculacionProyecto
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\VinculacionProyectoRepository")
 * @ORM\Table(name="vinculacion_proyecto", uniqueConstraints={@ORM\UniqueConstraint(name="id_vinculacion_proyecto_UNIQUE", columns={"id"})})
 */
class VinculacionProyecto
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\SequenceGenerator(sequenceName="vinculacion_proyecto_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=45)
     */
    protected $descripcion;

    /**
     * @ORM\OneToMany(targetEntity="DocenteProyecto", mappedBy="vinculacionProyecto")
     * @ORM\JoinColumn(name="id", referencedColumnName="vinculacion_proyecto_id", nullable=false)
     */
    protected $docenteProyectos;

    /**
     * @ORM\OneToMany(targetEntity="EstudianteProyecto", mappedBy="vinculacionProyecto")
     * @ORM\JoinColumn(name="id", referencedColumnName="vinculacion_proyecto_id", nullable=false)
     */
    protected $estudianteProyectos;

    public function __construct()
    {
        $this->docenteProyectos = new ArrayCollection();
        $this->estudianteProyectos = new ArrayCollection();
    }

    /**
     * Set the value of id.
     *
     * @param integer $id
     * @return \UBV\SurUbvBundle\Entity\VinculacionProyecto
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of id.
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set the value of descripcion.
     *
     * @param string $descripcion
     * @return \UBV\SurUbvBundle\Entity\VinculacionProyecto
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    /**
     * Get the value of descripcion.
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Add DocenteProyecto entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\DocenteProyecto $docenteProyecto
     * @return \UBV\SurUbvBundle\Entity\VinculacionProyecto
     */
    public function addDocenteProyecto(DocenteProyecto $docenteProyecto)
    {
        $this->docenteProyectos[] = $docenteProyecto;

        return $this;
    }

    /**
     * Remove DocenteProyecto entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\DocenteProyecto $docenteProyecto
     * @return \UBV\SurUbvBundle\Entity\VinculacionProyecto
     */
    public function removeDocenteProyecto(DocenteProyecto $docenteProyecto)
    {
        $this->docenteProyectos->removeElement($docenteProyecto);

        return $this;
    }

    /**
     * Get DocenteProyecto entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getDocenteProyectos()
    {
        return $this->docenteProyectos;
    }

    /**
     * Add EstudianteProyecto entity to collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\EstudianteProyecto $estudianteProyecto
     * @return \UBV\SurUbvBundle\Entity\VinculacionProyecto
     */
    public function addEstudianteProyecto(EstudianteProyecto $estudianteProyecto)
    {
        $this->estudianteProyectos[] = $estudianteProyecto;

        return $this;
    }

    /**
     * Remove EstudianteProyecto entity from collection (one to many).
     *
     * @param \UBV\SurUbvBundle\Entity\EstudianteProyecto $estudianteProyecto
     * @return \UBV\SurUbvBundle\Entity\VinculacionProyecto
     */
    public function removeEstudianteProyecto(EstudianteProyecto $estudianteProyecto)
    {
        $this->estudianteProyectos->removeElement($estudianteProyecto);

        return $this;
    }

    /**
     * Get EstudianteProyecto entity collection (one to many).
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getEstudianteProyectos()
    {
        return $this->estudianteProyectos;
    }

    public function __sleep()
    {
        return array('id', 'descripcion');
    }
}