<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;


class ActividadEtapaType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
        
        #->add('descripcion')
        ->add('descripcion', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Descripcion de la Actividad',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>'Maximo 250 Caracteres'),
            'label_attr' => array('class' => 'control-label'),
        ))
        
        #->add('tiempo_ejecucion')
        ->add('tiempo_ejecucion', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Duracion de la Actividad',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>'Un Numero en Semanas  '),
            'label_attr' => array('class' => 'control-label'),
        ))

        #->add('proyectoEtapa')
        ->add('proyectoEtapa', EntityType::class, array(
            'disabled'=>false,
            'mapped'=>true,
            'class' => 'UBVSurUbvBundle:ProyectoEtapa',
            'label'      =>"Etapa del Proyectos DUDA",
            'empty_data' => "0",
            'placeholder'=>"Seleccione...",
            'attr'       => array('class' => 'form-control ','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))  


        #->add('actividadEstatus')
        ->add('actividadEstatus', EntityType::class, array(
            'disabled'=>false,
            'mapped'=>true,
            'class' => 'UBVSurUbvBundle:ActividadEstatus',
            'label'      =>"Estatus de la Actividad",
            'empty_data' => "0",
            'placeholder'=>"Seleccione...",
            'attr'       => array('class' => 'form-control ','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        )) 
        
        
        
        ;
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\ActividadEtapa'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_actividadetapa';
    }


}
