<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use UBV\SurUbvBundle\Form\EventListener\AddPaisFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddEstadoFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddMunicipioFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddParroquiaFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddAmbienteFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddEjeMunicipalFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddEjeRegionalFieldSubscriber;
use UBV\SurUbvBundle\Entity\Pais;
use UBV\SurUbvBundle\Entity\Estado;
use UBV\SurUbvBundle\Entity\Municipio;
use UBV\SurUbvBundle\Entity\Ambiente;
use UBV\SurUbvBundle\Entity\Parroquia;
use UBV\SurUbvBundle\Entity\EjeMunicipal;
use UBV\SurUbvBundle\Entity\EjeRegional;
use  Symfony\Component\Validator\Constraints\NotBlank;
class AldeaType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
            $propertyPathToEstado = 'estado';
            $propertyPathToMunicipio = 'municipios';
            $propertyPathToEjeMunicipal = 'ejemunicipal';
            $propertyPathToParroquia = 'parroquia';
            $propertyPathToAmbiente = 'ambiente';
            $builder
            ->addEventSubscriber(new AddPaisFieldSubscriber($propertyPathToAmbiente))
            ->addEventSubscriber(new AddEstadoFieldSubscriber($propertyPathToAmbiente))
            ->addEventSubscriber(new AddMunicipioFieldSubscriber($propertyPathToAmbiente))
            ->addEventSubscriber(new AddParroquiaFieldSubscriber($propertyPathToAmbiente))
            ->addEventSubscriber(new AddAmbienteFieldSubscriber($propertyPathToAmbiente))
            ->addEventSubscriber(new AddEjeRegionalFieldSubscriber($propertyPathToAmbiente))
            ->addEventSubscriber(new AddEjeMunicipalFieldSubscriber($propertyPathToAmbiente))
            
            #->add('descripcion')
            ->add('descripcion', null, array(
                    'mapped'=>true,
                    'disabled'=>false,
                    'constraints' => new NotBlank(array('groups' => array('Default'))),
                    'attr'       => array('class' => 'form-control'),
                    'label_attr' => array('class' => 'control-label'),
                ))


            ->add('codigo_sucre')
            ->add('codigo_aldea')
            ->add('estatus')
            ->add('aldeaTipo')
            //->add('ambiente')
        ;
    }
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\Aldea'
        ));
    }
    
    /**
    * @return string
    */
      public function getBlockPrefix() {
        return 'ubv_surubvbundle_aldea';
     }
}
