<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use UBV\SurUbvBundle\Form\PersonaNacionalidadType;
use Symfony\Component\Form\Extension\Core\Type\DateTimeType;
use UBV\SurUbvBundle\Form\EventListener\AddPaisFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddEstadoFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddMunicipioFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddParroquiaFieldSubscriber;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use UBV\SurUbvBundle\Form\EventListener\AddAldeaFieldSubscriber;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Component\Validator\Constraints\Length;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use UBV\SurUbvBundle\Entity\Pais;
use UBV\SurUbvBundle\Entity\Estado;
use UBV\SurUbvBundle\Entity\Municipio;
use UBV\SurUbvBundle\Entity\Parroquia;
use UBV\SurUbvBundle\Entity\Aldea;
use Symfony\Component\PropertyAccess\PropertyAccess;
use FOS\UserBundle\Util\LegacyFormHelper;


class AmbienteType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {

     
      $propertyPathToAldea = 'estado';
      $propertyPathToAldea = 'municipio';
      


        $builder

        
        ->addEventSubscriber(new AddEstadoFieldSubscriber($propertyPathToAldea))
        ->addEventSubscriber(new AddMunicipioFieldSubscriber($propertyPathToAldea))
        ->addEventSubscriber(new AddParroquiaFieldSubscriber($propertyPathToAldea))
            ->add('descripcion', null, array(
              'label'=> 'Nombre del Ambiente Universitario',
              'attr' => array('class' => 'form-control','placeholder'=>'Descripcion del Ambiente Universitario'),
              'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('codigo', null, array(
              'label'=> 'Código',
              'attr' => array('class' => 'form-control','placeholder'=>'Codigo'),
              'label_attr' => array('class' => 'control-label'),
            ))
            ->add('direccion', null, array(
              'label'=> 'Dirección',
              'attr' => array('class' => 'form-control','placeholder'=>'Dirección de Ubicación'),
              'label_attr' => array('class' => 'control-label'),
            ))
            
            ->add('parroquia', null, array(
              'class' => 'UBVSurUbvBundle:Parroquia',
              'empty_data'  => null,
              'empty_value' => 'Seleccione...',
              'label'=> 'Parroquia',
              'attr' => array('class' => 'form-control'),
              'label_attr' => array('class' => 'control-label'),
            ))
            
            ->add('coordenadas_utm_norte', null, array(
              'label'=> 'Coordenada UTM Norte',
              'attr' => array('class' => 'form-control','placeholder'=>'Coordenadas Norte'),
              'label_attr' => array('class' => 'control-label'),
            ))
            ->add('coordenadas_utm_oeste', null, array(
              'label'=> 'Coordenada UTM Oeste',
              'attr' => array('class' => 'form-control','placeholder'=>'Coordenadas Oeste'),
              'label_attr' => array('class' => 'control-label'),
            ));
    }
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\Ambiente'
        ));
    }
}
