<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;


class AporteInstitucionType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
        
        #->add('descripcion')
        ->add('descripcion', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Descripcion del Material',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))


        #->add('concepto')
        ->add('concepto', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Concepto o Motivo por el que se Recibe',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))


        
        #->add('cantidad')
        ->add('cantidad', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Cantidad',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))


        #->add('fecha_recepcion')
        ->add('fecha_recepcion', "Symfony\Component\Form\Extension\Core\Type\DateType", array(
            'disabled'=>false,
            'mapped'=>true,
            'label'=>'Fecha de Inicio',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'widget' => 'single_text',
            'format' => 'dd-MM-yyyy',
            'label'=> 'Fecha de Inicio',
            'attr' => array('class' => 'datepicker-default form-control','data-date-format'=>"dd/mm/yyyy",'placeholder'=>'' ),
            'label_attr' => array('class' => 'control-label')
          ))      

        ->add('proyecto')

        ->add('aporteTipo')

        ->add('institucion');
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\AporteInstitucion'
        ));
    }

  

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_aporteinstitucion';
    }


}
