<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use UBV\SurUbvBundle\Form\PersonaNacionalidadType;
use Symfony\Component\Form\Extension\Core\Type\DateTimeType;

use Symfony\Component\Form\Extension\Core\Type\CollectionType;

use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Component\Validator\Constraints\Length;

use FOS\UserBundle\Util\LegacyFormHelper;
use UBV\SurUbvBundle\Entity\PersonaNacionalidad;

use UBV\SurUbvBundle\Form\EstudianteDocumentoType;
use UBV\SurUbvBundle\Entity\EstudianteDocumento;

use Symfony\Component\Form\Extension\Core\Type\ChoiceType;

class AspiranteExistePregradoType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('promedio_nota', null, array(
                'label'=>'Promedio de Notas Bachillerato',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('ano_grado', DateTimeType::class, array(
              'widget' => 'single_text',
              'format' => 'yyyyy',
              'label'=> 'Año de Graduación',
              'attr' => array('class' => 'datepicker-years form-control','data-date-format'=>"yyyy" ),
              'label_attr' => array('class' => 'control-label')
            ))
                
            ->add('periodo_asignado', null, array(
                'disabled'=>true,
                'label'=>'Periodo Academico Asignado',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('codigo_opsu', null, array(
                'label'=>'Codigo de OPSU',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
              ->add('institucion_tipo',ChoiceType::class, array(
                'choices'  => array(
                    'Privada' => 'Privada',
                    'Pública' => 'Publica',
                ),
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control '),
                'label_attr' => array('class' => 'control-label'),
                // *this line is important*
                'choices_as_values' => true,
             ))
            
            ->add('institucion', null, array(
                'label'=>'Institucion Educativa de Graduación',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('trabajo')
                
            ->add('aspiranteTipo', EntityType::class, array(
                'disabled'=>true,
                'class' => 'UBVSurUbvBundle:AspiranteTipo',
                'label'      =>"Tipo de Aspirante",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('gradoAcademico', EntityType::class, array(
                'class' => 'UBVSurUbvBundle:GradoAcademico',
                'label'      =>"Grado Academico",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('aldea', EntityType::class, array(
                'class' => 'UBVSurUbvBundle:Aldea',
                'label'      =>"Aldea",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('programa', EntityType::class, array(
                'class' => 'UBVSurUbvBundle:Programa',
                'label'      =>"Progrma de Formación",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('documentoIdentidadTipo', EntityType::class, array(
                'mapped'=>false,
                'disabled'=>true,
                'class' => 'UBVSurUbvBundle:DocumentoIdentidadTipo',
                'label'      =>"",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control form-control-choice ','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
            
            ->add('nacionalidad', EntityType::class, array(
                'mapped'=>false,
                'disabled'=>true,
                'class' => 'UBVSurUbvBundle:Nacionalidad',
                'label'      =>"",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('numIdentificacion', null, array(
                'mapped'=>false,
                'disabled'=>true,
                'constraints' => new NotBlank(array('groups' => array('Default'))),
                'attr'       => array('class' => 'form-control'),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('email', LegacyFormHelper::getType('Symfony\Component\Form\Extension\Core\Type\EmailType'), array(
                'mapped'=>false,
                'disabled'=>true,
                'attr'       => array('class' => 'form-control'),
                'label_attr' => array('class' => 'control-label'),
                'label' => 'Correo Institucional',
                'translation_domain' => 'FOSUserBundle'
              
              ))
                
              ->add('username', null, array(
                'mapped'=>false,
                'disabled'=>true,
                'label'=>'Nombre de Usuario',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
            
              ->add('primerNombre', null, array(
                'mapped'=>false,
                'disabled'=>true,
                'constraints' => new NotBlank(array('groups' => array('Default'))),
                'attr'       => array('class' => 'form-control'),
                'label_attr' => array('class' => 'control-label'),
            ))
                 
              ->add('genero', EntityType::class, array(
                'disabled'=>true,
                'mapped'=>false,
                'class' => 'UBVSurUbvBundle:Genero',
                'label'      =>"Genero",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control form-control-choice','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
        
              ->add('segundoNombre', null, array(
                'mapped'=>false,
                'disabled'=>true,
                'label'=>'Segundo Nombre',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
        
              ->add('primerApellido', null, array(
                'mapped'=>false,
                'disabled'=>true,
                'constraints' => new NotBlank(array('groups' => array('Default'))),
                'label'=>'Primer Apellido',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
        
              ->add('segundoApellido', null, array(
                'mapped'=>false,
                'disabled'=>true,
                'label'=>'Segundo Apellido',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
        
              ->add('fechaNacimiento', "Symfony\Component\Form\Extension\Core\Type\DateType", array(
              'disabled'=>true,
              'mapped'=>false,
              'constraints' => new NotBlank(array('groups' => array('Default'))),
              'widget' => 'single_text',
              'format' => 'dd-MM-yyyy',
              'label'=> 'Fecha de Nacimiento',
              'attr' => array('class' => 'datepicker-default form-control','data-date-format'=>"dd/mm/yyyy" ),
              'label_attr' => array('class' => 'control-label')
            ))
                      
              ->add('estadoCivil', EntityType::class, array(
                'disabled'=>true,
                'mapped'=>false,
                'class' => 'UBVSurUbvBundle:EstadoCivil',
                'label'      =>"Estado Civil",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control form-control-choice','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
              ))
              
              ->add('pais', EntityType::class, array(
                'disabled'=>true,
                'mapped'=>false,
                'class' => 'UBVSurUbvBundle:Pais',
                'label'      =>"País de Nacimiento",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control form-control-choice','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
//                
//            ->add('estudianteDocumentos', CollectionType::class, array(
//                'mapped'=>false,
//                'entry_type'     => EstudianteDocumentoType::class,
//                'allow_add'    => true,
//                'label'          => 'Documento',
//                'by_reference'   => true,
//                'prototype_data' => new EstudianteDocumento(),
//                'allow_delete'   => true,
//                'allow_add'      => true,
//                'attr'           => array('class' => 'row documento')
//            ))
        ;
    }
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\Aspirante',
            'constrints' => true,
            'validation_groups' => true,
        ));
    }
}
