<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use UBV\SurUbvBundle\Form\PersonaNacionalidadType;
use Symfony\Component\Form\Extension\Core\Type\DateTimeType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Component\Validator\Constraints\NotNull;
use Symfony\Component\Validator\Constraints\Length;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Symfony\Component\PropertyAccess\PropertyAccess;
use FOS\UserBundle\Util\LegacyFormHelper;
use UBV\SurUbvBundle\Form\EventListener\AddAmbienteFieldSubscriber;
class CandidatoType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {

       
        $builder

                                #->add('primer_nombre')
                        ->add('primer_nombre', null, array(
                            'mapped'=>true,
                            'disabled'=>false,
                            'label'=>'Primer Nombre',
                            'constraints' => new NotBlank(array('groups' => array('Default'))),
                            'attr'       => array('class' => 'form-control'),
                            'label_attr' => array('class' => 'control-label'),
                        ))


                        #->add('segundo_nombre')
                        ->add('segundo_nombre', null, array(
                            'mapped'=>true,
                            'disabled'=>false,
                            'label'=>'Segundo Nombre',
                            'constraints' => new NotBlank(array('groups' => array('Default'))),
                            'constraints' => new NotNull(),
                            'attr'       => array('class' => 'form-control','placeholder'=>'Maximo 250 Caracateres'),
                            'label_attr' => array('class' => 'control-label'),
                        ))   


                        #->add('primer_apellido')
                        ->add('primer_apellido', null, array(
                            'mapped'=>true,
                            'disabled'=>false,
                            'label'=>'Primer Apellido',
                            'constraints' => new NotBlank(array('groups' => array('Default'))),
                            'label'=>'Primer Apellido',
                            'attr'       => array('class' => 'form-control','placeholder'=>''),
                            'label_attr' => array('class' => 'control-label'),
                        ))       


                        #->add('segundo_apellido')
                        ->add('segundo_apellido', null, array(
                            'mapped'=>true,
                            'disabled'=>false,
                            'label'=>'Segundo Apellido',
                            'constraints' => new NotBlank(array('groups' => array('Default'))),
                            'attr'       => array('class' => 'form-control','placeholder'=>''),
                            'label_attr' => array('class' => 'control-label'),
                        ))

                        #->add('identificacion')
                        ->add('identificacion', null, array(
                            'mapped'=>true,
                            'disabled'=>false,
                            'constraints' => new NotBlank(array('groups' => array('Default'))),
                            'attr'       => array('class' => 'form-control'),
                            'label_attr' => array('class' => 'control-label'),
                        ))

                        #->add('fecha_nacimiento')
                        ->add('fecha_nacimiento', "Symfony\Component\Form\Extension\Core\Type\DateType", array(
                            'disabled'=>false,
                            'mapped'=>true,
                            'constraints' => new NotBlank(array('groups' => array('Default'))),
                            'widget' => 'single_text',
                            'format' => 'dd-MM-yyyy',
                            'label'=> 'Fecha de Nacimiento',
                            'attr' => array('class' => 'datepicker-default form-control','data-date-format'=>"dd/mm/yyyy" ),
                            'label_attr' => array('class' => 'control-label')
                          ))  


                        #->add('telefono')
                         ->add('telefono', null, array(
                        'mapped'=>true,
                        'disabled'=>false,
                        'label'=> 'Numero',
                        'constraints' => new NotBlank(array('groups' => array('Default'))),
                         'attr'       => array('class' => 'form-control'),
                         'label_attr' => array('class' => 'control-label'),
                        ))       


                        #->add('correo')
                        ->add('correo', LegacyFormHelper::getType('Symfony\Component\Form\Extension\Core\Type\EmailType'), array(
                            'mapped'=>true,
                            'disabled'=>false,
                            'label'=> 'Correo',
                            'attr'       => array('class' => 'form-control'),
                            'label_attr' => array('class' => 'control-label'),
                            'translation_domain' => 'FOSUserBundle'
                          
                          ))   



                        #->add('id_opsu')
                        ->add('id_opsu', null, array(
                            'disabled'=>false,
                            'constraints'=> new NotBlank(array('groups' => array('Pre-Grado'))),
                            'label'=>'Codigo de OPSU',
                            'attr'       => array('class' => 'form-control','placeholder'=>''),
                            'label_attr' => array('class' => 'control-label'),
                        ))



                        #->add('ano_grado')
                        ->add('ano_grado', DateTimeType::class, array(
                            'widget' => 'single_text',
                            'format' => 'yyyy',
                            'label'=> 'Año de Graduación',
                            'attr' => array('class' => 'datepicker-years form-control','data-date-format'=>"yyyy" ),
                            'label_attr' => array('class' => 'control-label')
                          ))
                          


                        #->add('trabaja')
                        ->add('trabaja',null,array(
                            'label'=>"¿Trabaja?"
                        ))
                            

                        #->add('promedio_nota')
                        ->add('promedio_nota', null, array(
                            'disabled'=>false,
                            'constraints'=> new NotBlank(array('groups' => array('Pre-Grado'))),
                            'label'=>'Promedio de Notas Bachillerato',
                            'attr'       => array('class' => 'form-control','placeholder'=>''),
                            'label_attr' => array('class' => 'control-label'),
                        ))



                        #->add('aspiranteTipo')
                        ->add('aspiranteTipo', EntityType::class, array(
                            'disabled'=>false,
                            'class' => 'UBVSurUbvBundle:AspiranteTipo',
                            'label'      =>"Tipo de Aspirante",
                            'empty_data' => "0",
                            'placeholder'=>"Seleccione...",
                            'attr'       => array('class' => 'form-control ','placeholder'=>''),
                            'label_attr' => array('class' => 'control-label'),
                        ))  
                        
                        
                        #->add('aspiranteEstatus')
                        ->add('aspiranteEstatus', EntityType::class, array(
                            'disabled'=>false,
                            'class' => 'UBVSurUbvBundle:AspiranteEstatus',
                            'label'      =>"Tipo de Aspirante",
                            'empty_data' => "0",
                            'placeholder'=>"Seleccione...",
                            'attr'       => array('class' => 'form-control ','placeholder'=>''),
                            'label_attr' => array('class' => 'control-label'),
                         ))   

                        #->add('documentoIdentidadTipo')
                        ->add('documentoIdentidadTipo', EntityType::class, array(
                            'mapped'=>true,
                            'disabled'=>false,
                            'class' => 'UBVSurUbvBundle:DocumentoIdentidadTipo',
                            'label'      =>"",
                            'empty_data' => "0",
                            'placeholder'=>"Seleccione...",
                            'attr'       => array('class' => 'form-control form-control-choice ','placeholder'=>''),
                            'label_attr' => array('class' => 'control-label'),
                        ))
                        
                        #->add('genero')
                        ->add('genero', EntityType::class, array(
                            'disabled'=>false,
                            'mapped'=>true,
                            'class' => 'UBVSurUbvBundle:Genero',
                            'label'      =>"Genero",
                            'empty_data' => "0",
                            'placeholder'=>"Seleccione...",
                            'attr'       => array('class' => 'form-control form-control-choice','placeholder'=>''),
                            'label_attr' => array('class' => 'control-label'),
                        )) 

                        #->add('estadoCivil')
                        ->add('estadoCivil', EntityType::class, array(
                            'disabled'=>false,
                            'mapped'=>true,
                            'class' => 'UBVSurUbvBundle:EstadoCivil',
                            'label'      =>"Estado Civil",
                            'empty_data' => "0",
                            'placeholder'=>"Seleccione...",
                            'attr'       => array('class' => 'form-control form-control-choice','placeholder'=>''),
                            'label_attr' => array('class' => 'control-label'),
                          ))   

                        #->add('telefonoCodigoArea')
                        ->add('telefonoCodigoArea', null, array(
                            'class' => 'UBVSurUbvBundle:TelefonoCodigoArea',
                            'empty_data'  => null,
                            'empty_value' => 'Seleccione...',
                            'label'=> 'Codigo de Area',
                            'attr' => array('class' => 'form-control'),
                            'label_attr' => array('class' => 'control-label'),
                          ))

                      #->add('estado')
                      ->add('estado', null, array(
                        'class' => 'UBVSurUbvBundle:Estado',
                        'empty_data'  => null,
                        'empty_value' => 'Seleccione...',
                        'label'=> 'Codigo de Area',
                        'attr' => array('class' => 'form-control'),
                        'label_attr' => array('class' => 'control-label'),
                      ))

                       #->add('aldea')
                       ->add('aldea', null, array(
                        'class' => 'UBVSurUbvBundle:Aldea',
                        'empty_data'  => null,
                        'empty_value' => 'Seleccione...',
                        'label'=> 'Codigo de Area',
                        'attr' => array('class' => 'form-control'),
                        'label_attr' => array('class' => 'control-label'),
                      ))



                        #->add('etnia')
                        ->add('etnia', null, array(
                            'class' => 'UBVSurUbvBundle:Etnia',
                            'empty_data'  => null,
                            'empty_value' => 'Seleccione...',
                            'label'=> 'Etnia',
                            'attr' => array('class' => 'form-control'),
                            'label_attr' => array('class' => 'control-label'),
                          ))


                        #->add('programa')
                        ->add('programa', null, array(
                            'class' => 'UBVSurUbvBundle:Programa',
                            'empty_data'  => null,
                            'empty_value' => 'Seleccione...',
                            'label'=> 'Programa',
                            'attr' => array('class' => 'form-control'),
                            'label_attr' => array('class' => 'control-label'),
                          ))

                        #->add('convenio')
                        ->add('convenio', null, array(
                            'class' => 'UBVSurUbvBundle:Convenio',
                            'empty_data'  => null,
                            'empty_value' => 'Seleccione...',
                            'label'=> 'Convenio',
                            'attr' => array('class' => 'form-control'),
                            'label_attr' => array('class' => 'control-label'),
                          ))


                        #->add('correoTipo')
                        ->add('correoTipo', null, array(
                            'class' => 'UBVSurUbvBundle:CorreoTipo',
                            'empty_data'  => null,
                            'empty_value' => 'Seleccione...',
                            'label'=> 'Tipo de Correo',
                            'attr' => array('class' => 'form-control'),
                            'label_attr' => array('class' => 'control-label'),
                          ))



                        #->add('discapacidad')
                        ->add('discapacidad', null, array(
                            'class' => 'UBVSurUbvBundle:Discapacidad',
                            'empty_data'  => null,
                            'empty_value' => 'Seleccione...',
                            'label'=> 'Discapacidad',
                            'attr' => array('class' => 'form-control'),
                            'label_attr' => array('class' => 'control-label'),
                          ))

                        #->add('periodoAcademico');
                        ->add('periodoAcademico', null, array(
                            'class' => 'UBVSurUbvBundle:PeriodoAcademico',
                            'empty_data'  => null,
                            'empty_value' => 'Seleccione...',
                            'label'=> 'Periodo Academico',
                            'attr' => array('class' => 'form-control'),
                            'label_attr' => array('class' => 'control-label'),
                          ))


;
                    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\Candidato'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_candidato';
    }


}
