<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;

use  Symfony\Component\Validator\Constraints\NotBlank;

class DepositoType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('num_deposito', null, array(
                'label'=>'Número de Deposito',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
            ->add('monto', null, array(
                'label'=>'Monto Depositado',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
    
            ->add('fecha_deposito', "Symfony\Component\Form\Extension\Core\Type\DateType", array(
                'constraints' => new NotBlank(array('groups' => array('Default'))),
                'label'=>'Fecha de Deposito',
                'widget' => 'single_text',
                'format' => 'dd-MM-yyyy',
                'attr' => array('class' => 'datepicker-default form-control','data-date-format'=>"dd/mm/yyyy" ),
                'label_attr' => array('class' => 'control-label'),
            ))

            ->add('cuentaBancaria', EntityType::class, array(
                'class' => 'UBVSurUbvBundle:CuentaBancaria',
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'label'=>'Cuenta Bancaria',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            //->add('persona')
            ->add('depositoTipo', EntityType::class, array(
                'class' => 'UBVSurUbvBundle:DepositoTipo',
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'label'=>'Tipo de Deposito',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
                
            ->add('arancels',null, array(
                //'constraints' => new NotNull(array('groups' => array('Default'))),
                'label'=>'Aranceles',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))
        ;
    }
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\Deposito'
        ));
    }
}
