<?php

namespace UBV\SurUbvBundle\Form\EventListener;

use Symfony\Component\Form\FormEvent;
use Symfony\Component\Form\FormEvents;
use Symfony\Component\PropertyAccess\PropertyAccess;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;

class AddEjeRegionalFieldSubscriber implements EventSubscriberInterface
{
  private $propertyPathToEjeMunicipal;
  
  public function __construct($propertyPathToEjeMunicipal)
  {
    $this->propertyPathToEjeMunicipal = $propertyPathToEjeMunicipal;
  }
  
  public static function getSubscribedEvents()
  {
    return array(
      FormEvents::PRE_SET_DATA => 'preSetData',
      FormEvents::PRE_SUBMIT => 'preSubmit'
    );
  }
  
  private function addEjeRegionalForm($form, $ejeRegional = null)
  { 
    $formOptions = array(
      'class' => 'UBVSurUbvBundle:EjeRegional',
      'placeholder' => 'Seleccione...',  
      'mapped' => false,
      'label' => 'Eje Geopilitico Regional',
      'label_attr' => array('class' => 'control-label'),
      'attr' => array(
                  'class' => 'detallesSolicitudes_anadir ejeregional_selector form-control',
              ),
    );
    
    if ($ejeRegional) {
      $formOptions['data'] = $ejeRegional;
    }
    
    $form->add('ejeregional', EntityType::class, $formOptions);
  }
    
  public function preSetData(FormEvent $event)
  {
    $formOptions = array(
      'class' => 'UBVSurUbvBundle:EjeRegional',
      'placeholder' => 'Seleccione...',  
      'mapped' => false,
      'label' => 'Eje Geopolitico Regional',
      'label_attr' => array('class' => 'copaisntrol-label'),
      'attr' => array(
                  'class' => 'detallesSolicitudes_anadir ejeregional_selector form-group form-control',
              ),
    );
    
    $data = $event->getData();
    $form = $event->getForm();
    
    if (null === $data) {
      $form->add('ejeregional', EntityType::class, $formOptions);
      return;
    }
  
    $accessor = PropertyAccess::createPropertyAccessor();
    $ejeMunicipal = $accessor->getValue($data, $this->propertyPathToEjeMunicipal);
    
    $ejeRegional = ($ejeMunicipal) ? $ejeMunicipal->getEjeRegional() : null;
    $this->addEjeRegionalForm($form, $ejeRegional);
  }
  
  public function preSubmit(FormEvent $event)
  {
    $form = $event->getForm();
    $this->addEjeRegionalForm($form);
  }
}