<?php

namespace UBV\SurUbvBundle\Form\EventListener;

use Symfony\Component\Form\FormEvent;
use Symfony\Component\Form\FormEvents;
use Symfony\Component\PropertyAccess\PropertyAccess;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;

class AddPaisFieldSubscriber implements EventSubscriberInterface
{
  private $propertyPathToAldea;
  
  public function __construct($propertyPathToAldea)
  {
    $this->propertyPathToAldea = $propertyPathToAldea;
  }
  
  public static function getSubscribedEvents()
  {
    return array(
      FormEvents::PRE_SET_DATA => 'preSetData',
      FormEvents::PRE_SUBMIT => 'preSubmit'
    );
  }
  
  private function addPaisForm($form, $pais = null)
  { 
    $formOptions = array(
      'class' => 'UBVSurUbvBundle:Pais',
      'placeholder' => 'Seleccione...',
      'empty_data' => "0",
      'mapped' => false,
      'label' => 'Pais',
      'label_attr' => array('class' => 'control-label'),
      'attr' => array(
                  'class' => 'detallesSolicitudes_anadir pais_selector form-control',
              ),
    );
    
    if ($pais) {
      $formOptions['data'] = $pais;
      
    }
    
    $form->add('pais', EntityType::class, $formOptions);
  }
    
  public function preSetData(FormEvent $event)
  {
    $formOptions = array(
      'class' => 'UBVSurUbvBundle:Pais',
      'placeholder' => 'Seleccione...',  
      'mapped' => false,
      'label' => 'Pais',
      'label_attr' => array('class' => 'control-label'),
      'attr' => array(
                  'class' => 'detallesSolicitudes_anadir pais_selector form-group form-control',
              ),
    );
    
    $data = $event->getData();
    $form = $event->getForm();
    //die(dump($form));
    if (null === $data) {
      $form->add('pais', EntityType::class, $formOptions);
      return;
    }
  
    $accessor = PropertyAccess::createPropertyAccessor();
    
    $aldea = $accessor->getValue($data, $this->propertyPathToAldea);
    
    $parroquia = ($aldea) ? $aldea->getUnidadAdministrativa()->getAmbiente()->getParroquia() : null;
    $municipio = ($parroquia) ? $parroquia->getMunicipio() : null;
    $estado = ($municipio) ? $municipio->getEstado() : null;
    
    //$estado = $accessor->getValue($data, $this->propertyPathToAldea);
    //$pais = ($estado) ? $estado->getPais() : null;
    
    //$estado = $accessor->getValue($data, $this->propertyPathToAldea);
    
    $pais = ($estado) ? $estado->getPais() : null;
    $this->addPaisForm($form, $pais);
  }
  
  public function preSubmit(FormEvent $event)
  {
    $form = $event->getForm();
    //die(dump($form));
    $this->addPaisForm($form);
  }
}