<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use UBV\SurUbvBundle\Form\EventListener\AddEstadoFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddPaisFieldSubscriber;

class MunicipioType extends AbstractType {

  /**
   * @param FormBuilderInterface $builder
   * @param array $options
   */
  public function buildForm(FormBuilderInterface $builder, array $options) {

    $propertyPathToEstado = 'estado';

    $builder
            ->addEventSubscriber(new AddEstadoFieldSubscriber($propertyPathToEstado))
            ->addEventSubscriber(new AddPaisFieldSubscriber($propertyPathToEstado))
            ->add('descripcion')
            ->add('codigo')
    ;
  }

  /**
   * @param OptionsResolver $resolver
   */
  public function configureOptions(OptionsResolver $resolver) {
    $resolver->setDefaults(array(
        'data_class' => 'UBV\SurUbvBundle\Entity\Municipio'
    ));
  }

  /**
   * @return string
   */
  public function getBlockPrefix() {
    return 'ubv_surubvbundle_municipio';
  }

}