<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use UBV\SurUbvBundle\Form\EventListener\AddPaisFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddEstadoFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddMunicipioFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddEjeMunicipalFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddEjeRegionalFieldSubscriber;
use UBV\SurUbvBundle\Entity\Pais;
use UBV\SurUbvBundle\Entity\Estado;
use UBV\SurUbvBundle\Entity\Municipio;
use UBV\SurUbvBundle\Entity\EjeMunicipal;
use UBV\SurUbvBundle\Entity\EjeRegional;

class ParroquiaType extends AbstractType {

  /**
   * @param FormBuilderInterface $builder
   * @param array $options
   */
  public function buildForm(FormBuilderInterface $builder, array $options) 
  {
    $propertyPathToEstado = 'estado';
    $propertyPathToMunicipio = 'municipio';
    $propertyPathToEjeMunicipal = 'ejemunicipal';
    $builder
            ->addEventSubscriber(new AddPaisFieldSubscriber($propertyPathToMunicipio))
            ->addEventSubscriber(new AddEstadoFieldSubscriber($propertyPathToMunicipio))
            ->addEventSubscriber(new AddMunicipioFieldSubscriber($propertyPathToMunicipio))
            ->addEventSubscriber(new AddEjeRegionalFieldSubscriber($propertyPathToEjeMunicipal))
            ->addEventSubscriber(new AddEjeMunicipalFieldSubscriber($propertyPathToEjeMunicipal))


            ->add('descripcion')
            ->add('codigo')
            //->add('municipio')
            //->add('ejeMunicipal')
    ;
  }

  /**
   * @param OptionsResolver $resolver
   */
  public function configureOptions(OptionsResolver $resolver) {
    $resolver->setDefaults(array(
        'data_class' => 'UBV\SurUbvBundle\Entity\Parroquia'
    ));
  }
  
   /**
   * @return string
   */
  public function getBlockPrefix() {
    return 'ubv_surubvbundle_parroquia';
  }

}
