<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;




class PersonaProyectoType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
        
        #->add('identificacion')
        ->add('identificacion', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Numero de Cedula',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))
        #->add('nombre')
        ->add('nombre', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Nombre',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))

        #->add('apellido')
        ->add('apellido', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Apellido',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))

        #->add('correo')
        ->add('correo', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Correo Electronico',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))

        #->add('telefono')
        ->add('telefono', null, array(
            'mapped'=>true,
            'disabled'=>false,
            'label'=>'Telefono',
            'constraints' => new NotBlank(array('groups' => array('Default'))),
            'attr'       => array('class' => 'form-control','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))

        #->add('telefonoCodigoArea')
        ->add('telefonoCodigoArea', EntityType::class, array(
            'disabled'=>false,
            'mapped'=>true,
            'class' => 'UBVSurUbvBundle:TelefonoCodigoArea',
            'label'      =>"Codigo de Area",
            'empty_data' => "0",
            'placeholder'=>"Seleccione...",
            'attr'       => array('class' => 'form-control ','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        )) 
        
        
        ;
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\PersonaProyecto'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_personaproyecto';
    }


}
