<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use UBV\SurUbvBundle\Form\EventListener\AddTelefonoTipoFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddTelefonoCodigoAreaFieldSubscriber;
use UBV\SurUbvBundle\Entity\TelefonoTipo;
use UBV\SurUbvBundle\Entity\TelefonoCodigoArea;

class PersonaTelefonoType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
            $propertyPathToTelefonoCodigoArea = 'telefonoCodigoArea';
            $propertyPathToTelefonoTipo = 'telefonoTipo';
            $builder
            ->addEventSubscriber(new AddTelefonoTipoFieldSubscriber($propertyPathToTelefonoCodigoArea))
            ->addEventSubscriber(new AddTelefonoCodigoAreaFieldSubscriber($propertyPathToTelefonoCodigoArea))
            ->add('telefono',null,array(
                'label'=>'Número',
                'attr'       => array('class' => 'form-control','placeholder'=>''),
                'label_attr' => array('class' => 'control-label')
            ))
            //->add('telefonoCodigoArea',null,array(
              //  'label'=>'Codigo',
                //'attr'       => array('class' => 'form-control form-control-choice','placeholder'=>''),
                //'label_attr' => array('class' => 'control-label')
            //))
            //->add('persona')
        ;
    }
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\PersonaTelefono'
        ));
    }
    
    /**
    * @return string
    */
    public function getBlockPrefix() {
      return 'ubv_surubvbundle_PersonaTelefono';
    }
}
