<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;

use UBV\SurUbvBundle\Form\EventListener\AddPaisFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddEstadoFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddMunicipioFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddParroquiaFieldSubscriber;
//use UBV\SurUbvBundle\Form\EventListener\AddEjeMunicipalFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddAldeaFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddProgramaFieldSubscriber;
//use UBV\SurUbvBundle\Form\EventListener\AddEjeRegionalFieldSubscriber;

class PersonalAdministrativoType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        //$propertyPathToEstado = 'estado';
            //$propertyPathToMunicipio = 'municipios';
            //$propertyPathToEjeMunicipal = 'ejemunicipal';
            //$propertyPathToParroquia = 'parroquia';
            $propertyPathToAmbiente = 'unidadAdministrativa';
            
            $builder                                    
              
              ->addEventSubscriber(new AddPaisFieldSubscriber($propertyPathToAmbiente))
              ->addEventSubscriber(new AddEstadoFieldSubscriber($propertyPathToAmbiente))
              ->addEventSubscriber(new AddMunicipioFieldSubscriber($propertyPathToAmbiente))
              ->addEventSubscriber(new AddParroquiaFieldSubscriber($propertyPathToAmbiente))
              ->addEventSubscriber(new AddAldeaFieldSubscriber($propertyPathToAmbiente))
//              ->addEventSubscriber(new AddAmbienteFieldSubscriber($propertyPathToAmbiente))
//              ->addEventSubscriber(new AddEjeRegionalFieldSubscriber($propertyPathToAmbiente))
//              ->addEventSubscriber(new AddEjeMunicipalFieldSubscriber($propertyPathToAmbiente))
                    
            ->add('unidadAdministrativa', EntityType::class, array(
                'class' => 'UBVSurUbvBundle:UnidadAdministrativa',
                'label'      =>"Unidad Administrativa",
                'empty_data' => "0",
                'placeholder'=>"Seleccione...",
                'attr'       => array('class' => 'form-control form-control-choice','placeholder'=>''),
                'label_attr' => array('class' => 'control-label'),
            ))

        ;
    }
    
    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\PersonalAdministrativo'
        ));
    }
}
