<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use UBV\SurUbvBundle\Entity\PersonaProyecto;
use UBV\SurUbvBundle\Entity\Proyecto;

class ProyectoComunidadType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
        ->add('proyecto', EntityType::class, array(
            'disabled'=>false,
            'mapped'=>true,
            'class' => 'UBVSurUbvBundle:Proyecto',
            'label'      =>"Proyecto",
          
            'empty_data' => "0",
            'placeholder'=>"Seleccione...",
            'attr'       => array('class' => 'form-control ','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))
        ->add('comunidad')

        ->add('personaProyecto', EntityType::class, array(
            'disabled'=>false,
            'mapped'=>true,
            'class' => 'UBVSurUbvBundle:PersonaProyecto',
            'label'      =>"Vocero",
            'choice_label' =>'getVocero',
            'empty_data' => "0",
            'placeholder'=>"Seleccione...",
            'attr'       => array('class' => 'form-control ','placeholder'=>''),
            'label_attr' => array('class' => 'control-label'),
        ))     
        
        
        ;
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\ProyectoComunidad'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_proyectocomunidad';
    }


}
