<?php

namespace UBV\SurUbvBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use UBV\SurUbvBundle\Form\PersonaNacionalidadType;
use Symfony\Component\Form\Extension\Core\Type\DateTimeType;
use UBV\SurUbvBundle\Form\EventListener\AddPaisFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddEstadoFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddMunicipioFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddParroquiaFieldSubscriber;
use UBV\SurUbvBundle\Form\EventListener\AddAldeaFieldSubscriber;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use UBV\SurUbvBundle\Form\EventListener\AddAmbienteFieldSubscriber;
use  Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Component\Validator\Constraints\Length;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use UBV\SurUbvBundle\Entity\Pais;
use UBV\SurUbvBundle\Entity\Estado;
use UBV\SurUbvBundle\Entity\Municipio;
use UBV\SurUbvBundle\Entity\Saber;
use UBV\SurUbvBundle\Entity\Parroquia;
use UBV\SurUbvBundle\Entity\Aldea;
use Symfony\Component\PropertyAccess\PropertyAccess;
use FOS\UserBundle\Util\LegacyFormHelper;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Form\FormEvent;
use Symfony\Component\Form\FormEvents;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use UBV\SurUbvBundle\Form\PersonaProyectoType;
use UBV\SurUbvBundle\Form\ProyectoEtapaType;
use UBV\SurUbvBundle\Entity\ProyectoEtapa;
use Doctrine\Common\Collections\ArrayCollection;
use UBV\SurUbvBundle\Form\ActividadEstatusType;
use UBV\SurUbvBundle\Entity\ActividadEstatus;
use UBV\SurUbvBundle\Form\ActividadEtapaType;
use UBV\SurUbvBundle\Entity\ActividadEtapa;
use UBV\SurUbvBundle\Form\MetodologiaTipoType;
use UBV\SurUbvBundle\Entity\MetodologiaTipo;
use UBV\SurUbvBundle\Form\ProgramaTipoType;
use UBV\SurUbvBundle\Entity\ProgramaTipo;
use UBV\SurUbvBundle\Form\DocenteProyectoType;
use UBV\SurUbvBundle\Entity\DocenteProyecto;
use UBV\SurUbvBundle\Form\InstitucionEducativaType;
use UBV\SurUbvBundle\Entity\InstitucionEducativa;
use UBV\SurUbvBundle\Entity\ObjetivoPlanPatria;
use Symfony\Component\Validator\Constraints\NotNull;











class ProyectoType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)



    {
        $propertyPathToEstado = 'estado';
        $propertyPathToMunicipio = 'municipios';
        $propertyPathToParroquia = 'parroquia';
        $propertyPathToAmbiente = 'ambiente';
       



        $builder
        ->addEventSubscriber(new AddPaisFieldSubscriber($propertyPathToAmbiente))
        ->addEventSubscriber(new AddEstadoFieldSubscriber($propertyPathToAmbiente))
        ->addEventSubscriber(new AddMunicipioFieldSubscriber($propertyPathToAmbiente))
        ->addEventSubscriber(new AddParroquiaFieldSubscriber($propertyPathToAmbiente))
        ->addEventSubscriber(new AddAmbienteFieldSubscriber($propertyPathToAmbiente))
       


                            
          
                            #->add('titulo')
                            ->add('titulo', null, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'label'=>'Titulo del Proyecto',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'attr'       => array('class' => 'form-control','placeholder'=>'Maximo 250 Caracteres'),
                                'label_attr' => array('class' => 'control-label'),
                            ))


                            #->add('objetivo_general')
                            ->add('objetivo_general', null, array(
                            'mapped'=>true,
                            'disabled'=>false,
                            'label'=>'Objetivo General',
                            'constraints' => new NotBlank(array('groups' => array('Default'))),
                            'attr'       => array('class' => 'form-control','placeholder'=>'Maximo 350 Caracteres'),
                            'label_attr' => array('class' => 'control-label'),
                        ))     

                            #->add('objetivoEspecifico')
                            ->add('objetivoEspecifico', null, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'label'=>'Objetivos Especificos',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'attr'       => array('class' => 'form-control','placeholder'=>'Maximo 150 Caracteres'),
                                'label_attr' => array('class' => 'control-label'),
                            ))     
                            #->add('descripcion')
                            ->add('descripcion', null, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'label'=>'Descripcion del Proyecto',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'attr'       => array('class' => 'form-control','placeholder'=>'Maximo 1500 Caracteres'),
                                'label_attr' => array('class' => 'control-label'),
                            ))    

                            #->add('beneficiarios_directos')
                            ->add('beneficiarios_directos', null, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'label'=>'Beneficiarios Directos',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'attr'       => array('class' => 'form-control','placeholder'=>'Maximo 45 Caracteres'),
                                'label_attr' => array('class' => 'control-label'),
                            ))       

                            #->add('beneficiarios_indirectos')
                            ->add('beneficiarios_indirectos', null, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'label'=>'Beneficiarios Indirectos',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'attr'       => array('class' => 'form-control','placeholder'=>'Maximo 45 Caracteres'),
                                'label_attr' => array('class' => 'control-label'),
                            ))       

                            #->add('fecha_inicio')
                            ->add('fecha_inicio', "Symfony\Component\Form\Extension\Core\Type\DateType", array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'label'=>'Fecha de Inicio',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'widget' => 'single_text',
                                'format' => 'dd-MM-yyyy',
                                'label'=> 'Fecha de Inicio',
                                'attr' => array('class' => 'datepicker-default form-control','data-date-format'=>"dd/mm/yyyy",'placeholder'=>'' ),
                                'label_attr' => array('class' => 'control-label')
                              ))        

                            #->add('fecha_fin')
                            ->add('fecha_fin', "Symfony\Component\Form\Extension\Core\Type\DateType", array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'label'=>'Fecha de Finalizacion',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'widget' => 'single_text',
                                'format' => 'dd-MM-yyyy',
                                'label'=> 'Fecha de Finalizacion',
                                'attr' => array('class' => 'datepicker-default form-control','data-date-format'=>"dd/mm/yyyy",'placeholder'=>''  ),
                                'label_attr' => array('class' => 'control-label')
                              ))       

                            #->add('proyectocol')
                            ->add('proyectocol', null, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'attr'       => array('class' => 'form-control','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            ))     

                            #->add('direccion')
                            ->add('direccion', null, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'label'=>'Direccion',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'attr'       => array('class' => 'form-control','placeholder'=>'Direccion del Proyecto'),
                                'label_attr' => array('class' => 'control-label'),
                            ))   

                            #->add('coordenada_latitud')
                            ->add('coordenada_latitud', null, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'label'=>'Coordenadas de Latitud',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'attr'       => array('class' => 'form-control','placeholder'=>'Sugerencia Consultar en Google Maps'),
                                'label_attr' => array('class' => 'control-label'),
                            ))        

                            #->add('coordenada_longitud')
                            ->add('coordenada_longitud', null, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'label'=>'Coordenadas de Longitud',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'attr'       => array('class' => 'form-control','placeholder'=>'Sugerencia Consultar en Google Maps'),
                                'label_attr' => array('class' => 'control-label'),
                            ))

                            #->add('fecha_registro')
                            ->add('fecha_registro', "Symfony\Component\Form\Extension\Core\Type\DateType", array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'label'=>'Fecha del Registro',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'widget' => 'single_text',
                                'format' => 'dd-MM-yyyy',
                                'label'=> 'Fecha de Registro',
                                'attr' => array('class' => 'datepicker-default form-control','data-date-format'=>"dd/mm/yyyy" ),
                                'label_attr' => array('class' => 'control-label')
                              ))         

                            #->add('resumes_ruta')
                            ->add('resumes_ruta', null, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'label'=>'',
                                'constraints' => new NotBlank(array('groups' => array('Default'))),
                                'attr'       => array('class' => 'form-control','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            ))        

                            #->add('metodologia')
                            ->add('metodologia', EntityType::class, array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'class' => 'UBVSurUbvBundle:Metodologia',
                                'label'      =>"Metodologia",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            ))    

                         
                            










                            #->add('lineaInvestigacion')
                            ->add('lineaInvestigacion', EntityType::class, array(
                            'disabled'=>false,
                            'mapped'=>true,
                            'class' => 'UBVSurUbvBundle:LineaInvestigacion',
                            'label'      =>"Linea de Investigacion",
                            'empty_data' => "0",
                            'placeholder'=>"Seleccione...",
                            'attr'       => array('class' => 'form-control ','placeholder'=>''),
                            'label_attr' => array('class' => 'control-label'),
                        ))         

                            #->add('ambito')
                            ->add('ambito', EntityType::class, array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'class' => 'UBVSurUbvBundle:Ambito',
                                'label'      =>"Ambito de la Investigacion",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            ))         

                           #->add('ciudad')
                            ->add('ciudad', EntityType::class, array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'class' => 'UBVSurUbvBundle:Ciudad',
                                'label'      =>"Ciudad",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            ))    

                            #->add('proyectoTipo')
                            ->add('proyectoTipo', EntityType::class, array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'class' => 'UBVSurUbvBundle:ProyectoTipo',
                                'label'      =>"Tipo de Proyecto",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            ))     

                            #->add('proyectoEstatus')
                            ->add('proyectoEstatus', EntityType::class, array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'class' => 'UBVSurUbvBundle:ProyectoEstatus',
                                'label'      =>"Estatus del Proyecto",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            ))    

                           #->add('resgistroEstatus')
                            ->add('resgistroEstatus', EntityType::class, array(
                                'disabled'=>true,
                                'mapped'=>true,
                                'class' => 'UBVSurUbvBundle:ResgistroEstatus',
                                'label'      =>"Estatus del Registro",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            ))    

                            #->add('nucleoAcademicoRelatedByNucleoAcademicoId1')
                            ->add('nucleoAcademicoRelatedByNucleoAcademicoId1', EntityType::class, array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'class' => 'UBVSurUbvBundle:NucleoAcademico',
                                'label'      =>"Nucleo Academico",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            ))     

                            
                            #->add('comunidadTipo')
                            ->add('comunidadTipo', EntityType::class, array(
                                'mapped'=>true,
                                'disabled'=>false,
                                'class' => 'UBVSurUbvBundle:ComunidadTipo',
                                'label'      =>"Tipo de Comunidad",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            )) 

                            #->add('comunidad')
                            ->add('comunidad', new ComunidadType)
                            

                              #->add('institucionTipo')
                            ->add('institucionTipo', EntityType::class, array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'class' => 'UBVSurUbvBundle:InstitucionTipo',
                                'label'      =>"Tipo de Institucion",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            )) 
                            
                     
                             #->add('saberTipo')
                              ->add('saberTipo', EntityType::class, array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'class' => 'UBVSurUbvBundle:SaberTipo',
                                'label'      =>"Tipo de Saberes",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            )) 
                            
                             #->add('estado')
                             ->add('estado', EntityType::class, array(
                                'disabled'=>false,
                                'mapped'=>true,
                                'class' => 'UBVSurUbvBundle:Estado',
                                'label'      =>"Estado",
                                'empty_data' => "0",
                                'placeholder'=>"Seleccione...",
                                'attr'       => array('class' => 'form-control ','placeholder'=>''),
                                'label_attr' => array('class' => 'control-label'),
                            )) 
                               
                           
                       
                            
                             


                            #->add('docenteProyecto', new DocenteProyectoType)

                            ->add('metodologiaTipo', new MetodologiaTipoType)


                            ->add('institucionEducativa', new InstitucionEducativaType)

                            ->add('tutorInstitucionals', new TutorInstitucionalType)

                            ->add('sabers', new SaberType)

                            ->add('aporteInstitucions', new AporteInstitucionType)

                            ->add('aporteTipo', new AporteTipoType) 

                            ->add('institucion', new InstitucionType) 

                            ->add('programaTipo', new ProgramaTipoType) 

                            ->add('personaProyecto', new PersonaProyectoType)     

                            ->add('proyectoEtapas', new ProyectoEtapaType)  

                            ->add('actividadEstatus', new ActividadEstatusType)  

                            ->add('actividadEtapa', new ActividadEtapaType) 

                            ->add('objetivoPlanPatrias', new ObjetivoPlanPatriaType)

                            
                            ->add('nucleoAcademicoRelatedByNucleoAcademicoId')




                            ->add('vinculacion_plan_patria')

                            
                            
                            ->add('proyectos_estrategicos')
                            
                            
                            

                            #->add('aldeaPrograma')
                            


                            
                             ;
} 



    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UBV\SurUbvBundle\Entity\Proyecto'
            
        ));
    }


    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'ubv_surubvbundle_proyecto';
    }


}
